Param(
    [String]$CertificateThumbprint=$(throw "CertificateThumbprint is mandatory parameter!"),
    [String]$PathToFileForSinging=$(throw "PathToFileForSinging is mandatory parameter!")
)

$cert = @(Get-ChildItem Cert:\LocalMachine\My\$CertificateThumbprint)[0]
Set-AuthenticodeSignature $PathToFileForSinging $cert -TimestampServer http://timestamp.globalsign.com/scripts/timestamp.dll