﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Chart
{
    internal class BubbleChartElement : ChartGroupWithAxesElementBase<BubbleSeriesGroup>
    {
        public BubbleChartElement(OpenXmlPartsManager partsManager)
            : base(partsManager)
        {
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.BubbleChartElementName;
            }
        }

        public void CopyPropertiesFrom(BubbleSeriesGroup seriesGroup)
        {
            this.SeriesGroup = seriesGroup;
        }
    }
}
