﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Chart
{
    internal class CrossesAxisElement : ChartElementBase
    {
        private readonly IntOpenXmlAttribute value;

        public CrossesAxisElement(OpenXmlPartsManager partsManager) 
            : base(partsManager)
        {
            this.value = this.RegisterAttribute(new IntOpenXmlAttribute("val", true));
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.CrossesAxisElementName;
            }
        }

        public int Value
        {
            get
            {
                return this.value.Value;
            }
            set
            {
                this.value.Value = value;
            }
        }
    }
}
