﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Chart
{
    internal class NumberFormatElement : ChartElementBase
    {
        private readonly OpenXmlAttribute<string> formatCode;

        public NumberFormatElement(OpenXmlPartsManager partsManager) : base(partsManager)
        {
            this.formatCode = this.RegisterAttribute<string>("formatCode", true);
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.NumberFormatElementName;
            }
        }

        public string FormatCode
        {
            get
            {
                return this.formatCode.Value;
            }
            set
            {
                this.formatCode.Value = value;
            }
        }
    }
}
