﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Chart
{
    internal class OverlayElement : ChartElementBase
    {
        private readonly BoolOpenXmlAttribute value;

        public OverlayElement(OpenXmlPartsManager partsManager) : base(partsManager)
        {
            this.value = this.RegisterAttribute(new BoolOpenXmlAttribute("val", true, isRequired: false));
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.OverlayElementName;
            }
        }

        public bool Value
        {
            get
            {
                return this.value.Value;
            }
            set
            {
                this.value.Value = value;
            }
        }
    }
}
