﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Chart
{
    internal class SeriesOrderElement : ChartElementBase
    {
        private readonly IntOpenXmlAttribute value;

        public SeriesOrderElement(OpenXmlPartsManager partsManager) : base(partsManager)
        {
            this.value = this.RegisterAttribute(new IntOpenXmlAttribute("val", true));
        }

        public int Value
        {
            get
            {
                return this.value.Value;
            }
            set
            {
                this.value.Value = value;
            }
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.SeriesOrderElementName;
            }
        }
    }
}
