﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Drawing
{
    internal class NonVisualGraphicFrameDrawingPropertiesElement : DrawingElementBase
    {
        private readonly OpenXmlNamespace ns;

        public NonVisualGraphicFrameDrawingPropertiesElement(OpenXmlPartsManager partsManager, OpenXmlNamespace ns)
            : base(partsManager)
        {
            this.ns = ns;
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.NonVisualGraphicFrameDrawingPropertiesElementName;
            }
        }

        public override OpenXmlNamespace Namespace
        {
            get
            {
                return this.ns;
            }
        }

        public override bool AlwaysExport
        {
            get
            {
                return true;
            }
        }
    }
}
