﻿#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Theming;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Theme
{
    internal class Accent3Element : ColorSchemeElementBase
    {
        public Accent3Element(OpenXmlPartsManager partsManager)
            : base(partsManager)
        {
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.Accent3ElementName;
            }
        }

        public override ThemeColorType ThemeColorType
        {
            get
            {
                return ThemeColorType.Accent3;
            }
        }
    }
}
