﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Theme
{
    internal class TintElement : ThemeElementBase
    {
        private readonly OpenXmlAttribute<double> value;

        public TintElement(OpenXmlPartsManager partsManager) : base(partsManager)
        {
            this.value = this.RegisterAttribute<double>("value", true);
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.TintElementName;
            }
        }

        public double Value
        {
            get
            {
                return this.value.Value;
            }
            set
            {
                this.value.Value = value;
            }
        }
    }
}
