﻿namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model
{
    internal static class OpenXmlUniquePoolIds
    {
        public const string DrawingTransformElementUniquePoolId = "a:xfrm";
        public const string SpreadsheetDrawingTransformElementUniquePoolId = "xdr:xfrm";
        public const string ParagraphElementUniquePoolId = "a:p";
        public const string RichTextRunElementUniquePoolId = "a:r";
        public const string TextElementUniquePoolId = "a:t";
        public const string DrawingShapePropertiesUniquePoolId = "xdr:spPr";

#if !SILVERLIGHT && !NETSTANDARD
        public const string ValueElementUniquePoolId = "c:v";
        public const string ChartTextElementUniquePoolId = "charttx";
        public const string SeriesTextElementUniquePoolId = "seriestx";
        public const string FormulaElementUniquePoolId = "c:f";
        public const string ChartElementUniquePoolId = "c:chart";
        public const string ChartReferenceElementUniquePoolId = "chartReference";
        public const string NumberFormatElementUniquePoolId = "c:numFmt";
        public const string BarGroupingUniquePoolId = "barGrouping";
        public const string GroupingUniquePoolId = "lineAreaGrouping";
        public const string ChartShapePropertiesUniquePoolId = "c:spPr";
#endif
    }
}
