﻿using System;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Types;
using Telerik.Windows.Documents.Model;

namespace Telerik.Windows.Documents.Common.FormatProviders.OpenXml.Model.Types
{
    internal class PageOrientationConverter : IStringConverter<PageOrientation>
    {
        public PageOrientation ConvertFromString(string str)
        {
            if (string.Equals(str, "landscape", StringComparison.OrdinalIgnoreCase))
            {
                return PageOrientation.Landscape;
            }

            return PageOrientation.Portrait;
        }

        public string ConvertToString(PageOrientation orientation)
        {
#pragma warning disable 618
            if (orientation == PageOrientation.Landscape || orientation == PageOrientation.Rotate270)
#pragma warning restore 618
            {
                return "landscape";
            }

            return "portrait";
        }
    }
}
