﻿#if NETSTANDARD
using Telerik.Documents.Media;
#else
using System.Windows.Media;
#endif
using Telerik.Windows.Documents.Media;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Types
{
    internal class UnsignedIntHex
    {
        private readonly Color color;

        public UnsignedIntHex(Color color)
        {
            this.color = color;
        }

        public UnsignedIntHex(string hexString)
        {
            this.color = ColorsHelper.HexStringToColor(hexString);
        }

        public Color Color
        {
            get
            {
                return this.color;
            }
        }

        public override string ToString()
        {
            return string.Format("{0:X2}{1:X2}{2:X2}{3:X2}", this.color.A, this.color.R, this.color.G, this.color.B);
        }
    }
}