﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Defines members for the classes representing series which can have axes. 
    /// </summary>
    public interface ISupportAxes
    {
        /// <summary>
        /// Gets or sets the value indicating which group of axes the series group is associated with.
        /// </summary>
        AxisGroupName AxisGroupName { get; set; }
    }
}