﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Denotes the possible types of grouping for a group of series.
    /// </summary>
    public enum SeriesGrouping
    {
        /// <summary>
        /// Denotes the standard type of grouping. For bar series, the series will be clustered.
        /// </summary>
        Standard,

        /// <summary>
        /// Denotes the stacked type of grouping.
        /// </summary>
        Stacked,

        /// <summary>
        /// Denotes the percent stacked type of grouping.
        /// </summary>
        PercentStacked
    }
}
