﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Represents the possible types of series.
    /// </summary>
    public enum SeriesType
    {
        /// <summary>
        /// Represents the bar series type.
        /// </summary>
        Bar,

        /// <summary>
        /// Represents the line series type.
        /// </summary>
        Line,

        /// <summary>
        /// Represents the pie series type.
        /// </summary>
        Pie,

        /// <summary>
        /// Represents the area series type.
        /// </summary>
        Area,

        /// <summary>
        /// Represents the scatter series type.
        /// </summary>
        Scatter,

        /// <summary>
        /// Represents the bubble series type.
        /// </summary>
        Bubble
    }
}
