﻿#if (WPF || SILVERLIGHT) && !NETCORE
namespace Telerik.Windows.Documents.Model.Drawing.Theming
#else
namespace Telerik.Documents.Common.Model
#endif
{
    /// <summary>
    /// Represents the lack of fill of an object.
    /// </summary>
    public class NoFill : Fill
    {
        internal override FillType ShapeFillType
        {
            get
            {
                return FillType.NoFill;
            }
        }

        /// <summary>
        /// Creates a deep copy of the object.
        /// </summary>
        /// <returns>The deep copy of the object.</returns>
        public override Fill Clone()
        {
            return new NoFill();
        }
    }
}
