﻿#if (WPF || SILVERLIGHT) && !NETCORE
namespace Telerik.Windows.Documents.Spreadsheet.Theming
#else
namespace Telerik.Documents.Common.Model
#endif
{
    /// <summary>
    /// Describes the types of theme fonts.
    /// </summary>
    public enum ThemeFontType
    {
        /// <summary>
        /// The font of the body of the document.
        /// </summary>
        Minor,

        /// <summary>
        /// The font of the headings of the document.
        /// </summary>
        Major
    }
}