﻿namespace Telerik.Windows.Documents.Common.Model.Protection
{
    /// <summary>
    /// Defines the members of protection algorithm.
    /// </summary>
    internal interface IProtectionAlgorithm
    {
        /// <summary>
        /// Computes the hash value for the specified byte array.
        /// </summary>
        /// <param name="buffer">The input to compute the hash code for.</param>
        /// <returns>The computed hash code.</returns>
        byte[] ComputeHash(byte[] buffer);
    }
}