﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Telerik.Windows.Documents.Data.StateMachine
{
    internal class StatesCollection<TArgs>
    {
        private readonly Dictionary<string, State<TArgs>> store;

        public StatesCollection()
        {
            this.store = new Dictionary<string, State<TArgs>>();
        }

        public void Add(State<TArgs> state)
        {
            this.store.Add(state.Name, state);
        }

        public State<TArgs> GetStateByName(string name)
        {
            return this.store[name];
        }
    }
}
