﻿using System;
using System.IO;
using System.Linq;
#if NETSTANDARD
using Telerik.Documents.Primitives;
#else
using System.Windows;
#endif

namespace Telerik.Windows.Documents.Core.Imaging
{
    internal interface IImageSizeDecoder
    {
        bool CanDecode(string imageTypeExtension);

        Size DecodeSize(Stream stream);

        Size DecodeSize(byte[] bytes);
    }
}