﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Documents.Exceptions;

namespace Telerik.Windows.Documents.Core.Imaging.Jpeg.Encoder
{
    internal class NotSupportedScanEncoder : ScanEncoder
    {
        public override void EncodeBlock(JpegEncoder encoder, Tables.JpegComponent component, Tables.Block block)
        {
            throw new NotSupportedScanEncoderException();
        }

        public override void PrepareHuffmanTables(JpegEncoder jpegEncoder)
        {
            throw new NotImplementedException();
        }

        public override void PrepareQuantizationTables(JpegEncoder encoder)
        {
            throw new NotSupportedScanEncoderException();
        }

        public override void ResetEncoder(JpegEncoder encoder)
        {
            throw new NotSupportedScanEncoderException();
        }
    }
}
