﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Imaging.Jpeg.Decoder;

namespace Telerik.Windows.Documents.Core.Imaging.Jpeg.Markers
{
    internal class StartOfImageMarker : JpegMarker
    {
        /// <summary>
        /// Gets length of the marker segment.
        /// </summary>
        public override ushort Length
        {
            get
            {
                return 0;
            }
        }

        public override JpegMarkerType MarkerType
        {
            get
            {
                return JpegMarkerType.SOI;
            }
        }

        public override void InterpretMarker(JpegDecoderBase decoder)
        {
        }
    }
}
