﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Imaging.Jpeg.Tables
{
    internal class JpegScanComponent
    {
        #region Fields

        private readonly byte componentId;
        private readonly byte dcTableId;
        private readonly byte acTableId;

        #endregion


        #region Properties

        public byte ACTableId
        {
            get
            {
                return this.acTableId;
            }
        }

        public byte DCTableId
        {
            get
            {
                return this.dcTableId;
            }
        }

        public byte ComponentId
        {
            get
            {
                return this.componentId;
            }
        }

        #endregion


        #region Constructors

        public JpegScanComponent(byte componentId, byte dcTableId, byte acTableId)
        {
            this.componentId = componentId;
            this.dcTableId = dcTableId;
            this.acTableId = acTableId;
        }

        #endregion
    }
}
