﻿using Telerik.Windows.Documents.Core.Fonts;

namespace Telerik.Windows.Documents.Core.TextMeasurer
{
    /// <summary>
    /// Represents base text measurer interface.
    /// </summary>
    public interface ITextMeasurer
    {
        /// <summary>
        /// Measures the text.
        /// </summary>
        /// <param name="textProperties">The text properties.</param>
        /// <param name="fontProperties">The font properties.</param>
        /// <returns></returns>
        TextMeasurementInfo MeasureText(TextProperties textProperties, FontProperties fontProperties);
    }
}
