﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Media
{
    /// <summary>
    /// Represents a family of related fonts.
    /// </summary>
    public class FontFamily
    {
        private readonly string name;

        /// <summary>
        /// Initializes a new instance of the <see cref="FontFamily" /> class.
        /// </summary>
        /// <param name="name">The name.</param>
        public FontFamily(string name)
        {
            this.name = name;
        }

        /// <summary>
        /// Gets the name of the font family.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get
            {
                return this.name;
            }
        }
    }
}
