﻿namespace Telerik.Windows.Documents.Utilities
{
    internal class IdGenerator
    {
        private static readonly object lockObject = new object();
        private int counter = 0;

        public IdGenerator(int startFromIndex)
        {
            this.counter = startFromIndex;
        }

        public IdGenerator()
            : this(0)
        {
        }

        public int GetNext()
        {
            lock (lockObject)
            {
                return this.counter++;
            }
        }
    }
}
