﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Telerik.Windows.Documents.Utilities
{
    internal static class TasksHelper
    {
        #region Methods

        public static void DoAsync(IEnumerable<Action> actions)
        {
            DoAsync(actions.ToArray());
        }

        public static void DoAsync(params Action[] actions)
        {
            Task[] tasks = new Task[actions.Length];
            for (int i = 0; i < actions.Length; i++)
            {
                tasks[i] = new Task(actions[i]);
            }
          
            for (int i = 0; i < actions.Length; i++)
            {
                tasks[i].Start(TaskScheduler.Default);
            }
            
            Task.WaitAll(tasks);
        }

        #endregion
    }
}
