﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Telerik.Windows.Documents.Core.Tests.PostScriptInterpretatorTests
{
    [TestClass]
    public class TestNeOperator
    {
        [TestMethod]
        public void WhenValuesAreEqual()
        {
            string operation = "10.4 10.4 ne";

            object expected = false;
            object result = OperatorsUtil.ExecuteOperations(operation, 1)[0];
            Assert.AreEqual(expected, result);
        }

        [TestMethod]
        public void WhenValuesAreDifferent()
        {
            string operation = "10.4 10.3 ne";

            object expected = true;
            object result = OperatorsUtil.ExecuteOperations(operation, 1)[0];
            Assert.AreEqual(expected, result);
        }
    }
}
