﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Telerik.Windows.Documents.Core.Tests.PostScriptInterpretatorTests
{
    [TestClass]
    public class TestSqrtOperator
    {
        [TestMethod]
        public void WhenTheArgumentIsDouble()
        {
            string operation = "27.04 sqrt";

            double expected = 5.2;
            double result = Convert.ToDouble(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        }

        [TestMethod]
        public void WhenTheArgumentIsInt()
        {
            string operation = "3 round";

            double expected = 3;
            double result = Convert.ToDouble(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        }
    }
}
