﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Documents.Core.PostScript;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Tests.PostScriptInterpretatorTests
{
    internal static class OperatorsUtil
    {
        public static object[] ExecuteOperations(string operations, int resCount)
        {
            byte[] data = System.Text.Encoding.UTF8.GetBytes(operations);
            Interpreter interpreter = new Interpreter();
            interpreter.Execute(data);

            object[] result = OperatorsUtil.GetOperands(interpreter.Operands, resCount);
            return result;
        }

        private static object[] GetOperands(OperandsCollection operandsCollection, int p)
        {
            List<object> result = new List<object>();
            while (p > 0)
            {
                result.Add(operandsCollection.GetLast());
                p--;
            }

            result.Reverse();
            return result.ToArray();
        }
    }
}
