﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Documents.Core.Shapes;
using Telerik.Windows.Documents.Core.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Glyphs
{
    internal class GlyphOutlinesCollection : List<PathFigure>
    {
        public GlyphOutlinesCollection Clone()
        {
            GlyphOutlinesCollection res = new GlyphOutlinesCollection();
            foreach (Telerik.Windows.Documents.Core.Shapes.PathFigure f in this)
            {
                res.Add(f.Clone());
            }
            return res;
        }

        public void Transform(Matrix transformMatrix)
        {
            foreach (PathFigure pf in this)
            {
                pf.Transform(transformMatrix);
            }
        }
    }
}
