﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.OpenType.Tables
{
    internal class CoverageFormat1 : Coverage
    {
        #region Constructors

        public CoverageFormat1(OpenTypeFontSourceBase fontFile)
            : base(fontFile)
        {
        }

        #endregion


        #region Overrides

        public override void Read(OpenTypeFontReader reader)
        {
        }

        public override int GetCoverageIndex(ushort glyphIndex)
        {
            return -1;
        }

        internal override void Write(FontWriter writer)
        {
            writer.WriteUShort(1);
        }

        #endregion
    }
}
