﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.OpenType.Tables
{
    internal class OffsetTable
    {
        #region 
        #endregion


        #region Properties

        public ushort NumTables
        {
            get;
            private set;
        }
        public bool HasOpenTypeOutlines
        {
            get;
            private set;
        }


        #endregion


        #region Methods

        public void Read(OpenTypeFontReader reader)
        {
            this.HasOpenTypeOutlines = Tags.OTTO_TAG == reader.ReadULong() ? true : false;
            this.NumTables = reader.ReadUShort();
            reader.ReadUShort();
            reader.ReadUShort();
            reader.ReadUShort();
        }

        #endregion
    }
}
