﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CFFFormat.CFFTables
{
    internal class Header : CFFTable
    {
        #region Constructors

        public Header(ICFFFontFile file)
            : base(file, 0)
        {
        }

        #endregion


        #region Properties

        public byte HeaderSize
        {
            get;
            set;
        }

        public byte OffSize
        {
            get;
            set;
        }

        #endregion


        #region Overrides

        public override void Read(CFFFontReader reader)
        {
            reader.ReadCard8();
            reader.ReadCard8();
            this.HeaderSize = reader.ReadCard8();
            this.OffSize = reader.ReadOffSize();
        }

        #endregion
    }
}
