﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CFFFormat.CFFTables
{
    internal class SupplementalEncoding
    {
        #region Constructors
        #endregion


        #region Fields

        private Supplement[] supplements;

        #endregion


        #region Overrides

        public void Read(CFFFontReader reader)
        {
            byte cnt = reader.ReadCard8();
            this.supplements = new Supplement[cnt];
            for (int i = 0; i < cnt; i++)
            {
                Supplement s = new Supplement();
                s.Read(reader);
                this.supplements[i] = s;
            }
        }

        #endregion
    }
}
