﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class CallOtherSubr : Operator
    {
        public override void Execute(BuildChar interpreter)
        {
            int otherSubrIndex = interpreter.Operands.GetLastAsInt();
            int count = interpreter.Operands.GetLastAsInt();

            switch (otherSubrIndex)
            {
                case 0:
                    interpreter.PostScriptStack.AddLast(interpreter.Operands.GetLast());
                    interpreter.PostScriptStack.AddLast(interpreter.Operands.GetLast());
                    break;
                case 3:
                    interpreter.PostScriptStack.AddLast(3);
                    break;
                default:
                    for (int i = 0; i < count; i++)
                    {
                        interpreter.PostScriptStack.AddLast(interpreter.Operands.GetLast());
                    }
                    break;
            }

            interpreter.Operands.Clear();
        }
    }
}
