﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class HLineTo : Operator
    {
        public override void Execute(BuildChar interpreter)
        {
            if (interpreter.Operands.Count % 2 == 0)
            {
                while (interpreter.Operands.Count > 0)
                {
                    int dxa = interpreter.Operands.GetFirstAsInt();
                    int dyb = interpreter.Operands.GetFirstAsInt();

                    RLineTo.HLineTo(interpreter, dxa);
                    RLineTo.VLineTo(interpreter, dyb);
                }
            }
            else
            {
                int dx1 = interpreter.Operands.GetFirstAsInt();
                RLineTo.HLineTo(interpreter, dx1);

                while (interpreter.Operands.Count > 0)
                {
                    int dya = interpreter.Operands.GetFirstAsInt();
                    int dxb = interpreter.Operands.GetFirstAsInt();

                    RLineTo.VLineTo(interpreter, dya);
                    RLineTo.HLineTo(interpreter, dxb);
                }
            }

            interpreter.Operands.Clear();
        }
    }
}
