﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class HintOperator : Operator
    {
        private static void ReadWidth(BuildChar interpreter)
        {
            if (interpreter.Width.HasValue)
            {
                return;
            }
            if (interpreter.Operands.Count % 2 == 1)
            {
                interpreter.Width = interpreter.Operands.GetFirstAsInt();
            }
            else
            {
                interpreter.Width = 0;
            }
        }

        public override void Execute(BuildChar interpreter)
        {
            ReadWidth(interpreter);
            interpreter.Operands.Clear();
        }

        internal void Execute(BuildChar interpreter, out int count)
        {
            count = interpreter.Operands.Count / 2;
            this.Execute(interpreter);
        }
    }
}
