﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class RLineCurve : Operator
    {
        public override void Execute(BuildChar interpreter)
        {
            OperandsCollection stack = interpreter.Operands;
            while (stack.Count > 6)
            {
                RLineTo.LineTo(interpreter, stack.GetFirstAsInt(), stack.GetFirstAsInt());
            }

            int dxa = stack.GetFirstAsInt();
            int dya = stack.GetFirstAsInt();
            int dxb = stack.GetFirstAsInt();
            int dyb = stack.GetFirstAsInt();
            int dxc = stack.GetFirstAsInt();
            int dyc = stack.GetFirstAsInt();
            RRCurveTo.CurveTo(interpreter, dxa, dya, dxb, dyb, dxc, dyc);

            stack.Clear();
        }
    }
}
