﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class Seac : Operator
    {
        public override void Execute(BuildChar buildChar)
        {
            int aChar = buildChar.Operands.GetLastAsInt();
            int bChar = buildChar.Operands.GetLastAsInt();
            int dy = buildChar.Operands.GetLastAsInt();
            int dx = buildChar.Operands.GetLastAsInt();
            int abs = buildChar.Operands.GetLastAsInt();

            string accentedChar = PredefinedEncodings.StandardEncoding[aChar];
            string baseChar = PredefinedEncodings.StandardEncoding[bChar];

            buildChar.CombineChars(accentedChar, baseChar, dx, dy);
            buildChar.Operands.Clear();
        }
    }
}
