﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class VVCurveTo : Operator
    {
        public override void Execute(BuildChar interpreter)
        {
            OperandsCollection stack = interpreter.Operands;
            int dx1 = 0;
            if (stack.Count % 2 != 0)
            {
                dx1 = stack.GetFirstAsInt();
            }

            int dya = stack.GetFirstAsInt();
            int dxb = stack.GetFirstAsInt();
            int dyb = stack.GetFirstAsInt();
            int dyc = stack.GetFirstAsInt();
            RRCurveTo.CurveTo(interpreter, dx1, dya, dxb, dyb, 0, dyc);

            while (stack.Count / 4 > 0)
            {
                dya = stack.GetFirstAsInt();
                dxb = stack.GetFirstAsInt();
                dyb = stack.GetFirstAsInt();
                dyc = stack.GetFirstAsInt();
                RRCurveTo.CurveTo(interpreter, 0, dya, dxb, dyb, 0, dyc);
            }

            stack.Clear();
        }
    }
}
