using Telerik.Windows.Documents.Core.Fonts.Glyphs;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Data
{
    internal class GlyphData
    {
        public GlyphOutlinesCollection Oultlines { get; private set; }

        public ushort AdvancedWidth { get; private set; }

        public bool HasWidth { get; private set; }

        public GlyphData(GlyphOutlinesCollection outlines, ushort? width)
        {
            this.Oultlines = outlines;
            if (width.HasValue)
            {
                this.AdvancedWidth = width.Value;
                this.HasWidth = true;
            }
        }
    }
}