﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Encoding
{
    internal class ByteEncodingCollection : List<ByteEncoding>
    {
        public ByteEncoding FindEncoding(byte b0)
        {
            foreach (ByteEncoding be in this)
            {
                if (be.IsInRange(b0))
                {
                    return be;
                }
            }
            return null;
        }
    }
}
