﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Fonts.Type1.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Encoding
{
    internal class ThreeByteIntegerEncoding : ByteEncoding
    {
        #region Constructors
        public ThreeByteIntegerEncoding() : base(28, 28)
        {
        }

        #endregion

        #region Methods

        public override object Read(EncodedDataReader reader)
        {
            reader.Read();
            byte b1 = reader.Read();
            byte b2 = reader.Read();
            return (short)(b1 << 8 | b2);
        }
        #endregion
    }
}
