﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Fonts.Type1.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Encoding
{
    internal class TwoByteIntegerEncodingType1 : ByteEncoding
    {
        #region Constructors
        public TwoByteIntegerEncodingType1() : base(247, 250)
        {
        }

        #endregion

        #region Methods

        public override object Read(EncodedDataReader reader)
        {
            byte b0 = reader.Read();
            byte b1 = reader.Read();
            return (short)((b0 - 247) * 256 + b1 + 108);
        }
        #endregion
    }
}
