﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Fonts.Type1.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Encoding
{
    internal class TwoByteIntegerEncodingType2 : ByteEncoding
    {
        #region Constructors
        public TwoByteIntegerEncodingType2() : base(251, 254)
        {
        }

        #endregion

        #region Methods

        public override object Read(EncodedDataReader reader)
        {
            byte b0 = reader.Read();
            byte b1 = reader.Read();
            return (short)(-(b0 - 251) * 256 - b1 - 108);
        }
        #endregion
    }
}
