﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Type1Format.Converters
{
    internal class PostScriptObjectConverter : IConverter
    {
        public object Convert(Type resultType, object value)
        {
            PostScriptDictionary dict = value as PostScriptDictionary;
            if (dict == null)
            {
                return null;
            }

            PostScriptObject postScriptObject = Activator.CreateInstance(resultType) as PostScriptObject;
            if (postScriptObject == null)
            {
                return null;
            }

            postScriptObject.Load(dict);
            return postScriptObject;
        }
    }
}
