﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Type1Format
{
    internal class Type1FontReader : PostScriptReader
    {
        #region Constructors

        public Type1FontReader(byte[] data)
            : base(data)
        {
        }

        #endregion


        #region Methods

        public static byte[] StripData(byte[] data)
        {
            if (Characters.IsValidHexCharacter(data[0]))
            {
                PfbFontReader reader = new PfbFontReader();
                return reader.ReadData(data);
            }

            return data;
        }

        #endregion
    }
}
