﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Utils
{
    internal class GlyphInfo
    {
        #region Constructors

        public GlyphInfo(ushort glyphId)
        {
            this.GlyphId = glyphId;
            this.Form = GlyphForm.Undefined;
        }

        public GlyphInfo(ushort glyphID, GlyphForm form)
        {
            this.GlyphId = glyphID;
            this.Form = form;
        }

        #endregion


        #region Properties

        public ushort GlyphId
        {
            get;
            private set;
        }

        public GlyphForm Form
        {
            get;
            private set;
        }

        #endregion


        #region Overrides

        public override string ToString()
        {
            return string.Format("{0}({1});", this.GlyphId, this.Form);
        }

        #endregion
    }
}
