﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.PdfConverters;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Utils;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core.Encryption
{
    internal class CryptFilterOld : PdfObjectOld
    {
        private readonly InstantLoadProperty<PdfNameOld> cryptFilterMethod;

        public CryptFilterOld(PdfContentManager contentManager) 
            : base(contentManager)
        {
            this.cryptFilterMethod = this.CreateInstantLoadProperty<PdfNameOld>(new PdfPropertyDescriptor { Name = "CFM" }, new PdfNameOld(contentManager, "None"), Converters.PdfNameConverter);
        }

        public PdfNameOld CryptFilterMethod
        {
            get
            {
                return this.cryptFilterMethod.GetValue();
            }
            set
            {
                this.cryptFilterMethod.SetValue(value);
            }
        }
    }
}
