﻿using System;
using Telerik.Windows.Documents.Core.PostScript.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Text;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Utils;
using Telerik.Windows.Documents.Fixed.Model.Common.Functions;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core.Functions
{
    [PdfClass(TypeName = "Function", SubtypeProperty = PdfNames.FunctionType, SubtypeValue = "4")]
    internal class PostScriptCalculatorFunctionOld : FunctionOld
    {
        public PostScriptCalculatorFunctionOld(PdfContentManager contentManager)
            : base(contentManager)
        { 
        }

        protected override FunctionBase CreateFunctionModel()
        {
            return this.CreateFunctionModel(null);
        }

        protected override FunctionBase CreateFunctionModel(byte[] data)
        {
            double[] domain = this.ReadDoubleArray(this.Domain);
            double[] range = this.ReadDoubleArray(this.Range);
            PostScriptCalculatorFunction function = new PostScriptCalculatorFunction(data, domain, range);

            return function;
        }
    }
}
