﻿using Telerik.Windows.Documents.Utilities;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core
{
	internal class PdfStreamOld : PdfObjectOld
    {
        public PdfStreamOld(PdfContentManager contentManager)
            : base(contentManager)
        {
        }

        public virtual void Load(PdfDataStream stream)
		{
			this.Load(stream.Dictionary);
		}

        public override void Load(IndirectObjectOld indirectObject)
        {
            Guard.ThrowExceptionIfNull(indirectObject, "indirectObject");

            PdfDataStream dataStream = indirectObject.Value as PdfDataStream;
            if (dataStream != null)
            {
                this.Load(dataStream);
            }

            base.Load(indirectObject);
        }
    }
}
