﻿namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data
{
	internal class CrossReferenceEntryOld
	{
		public int Field3
		{
			get;
			set;
		}
		
		public long Field2
		{
			get;
			set;
		}

		public CrossReferenceEntryTypeOld Type
		{
			get;
			set;
		}

        public string ToCrossReferenceTableString()
        {
            string type = this.Type == CrossReferenceEntryTypeOld.Free ? "f" : "n";
            return string.Format("{0:0000000000} {1:00000} {2}", this.Field2, this.Field3, type);
        }

        public override string ToString()
        {
            string type = this.Type == CrossReferenceEntryTypeOld.Used ? "n" : (this.Type == CrossReferenceEntryTypeOld.Compressed ? "c" : "f");
            char separator = Telerik.Windows.Documents.Core.PostScript.Data.PostScriptConstants.SpaceSeparator;

            return string.Format("{0:0000000000}{3}{1:00000}{3}{2}", this.Field2, this.Field3, type, separator);
        }
	}
}
