﻿using Telerik.Windows.Documents.Utilities;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Utils;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data
{
	internal class PdfIntOld : PdfSimpleTypeOld<int>
	{
        public PdfIntOld(PdfContentManager contentManager)
            : base(contentManager)
        {
        }

        public PdfIntOld(PdfContentManager contentManager, int value)
            : base(contentManager)
        {
            this.Value = value;
        }

        public override void Load(IndirectObjectOld indirectObject)
        {
            Guard.ThrowExceptionIfNull(indirectObject, "indirectObject");

            int res;
            Helper.UnboxInt(indirectObject.Value, out res);

            this.Value = res;

            base.Load(indirectObject);
        }
    }
}
