﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Utilities;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core.Fonts;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.PdfConverters
{
    internal class CIDFontConverter : IndirectReferenceConverterBase
    {
        protected override object ConvertFromPdfDictionary(Type type, PdfReader.PdfContentManager contentManager, PdfDictionaryOld dictionary)
        {
            Guard.ThrowExceptionIfNull(type, "type");
            Guard.ThrowExceptionIfNull(contentManager, "contentManager");
            Guard.ThrowExceptionIfNull(dictionary, "dictionary");

            return CIDFontOld.CreateCIDFont(contentManager, dictionary);
        }
    }
}
