﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core.XObjects;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.PdfConverters
{
    internal class MaskConverter : IndirectReferenceConverterBase
    {
        protected override object ConvertFromPdfArray(Type type, PdfReader.PdfContentManager contentManager, PdfArrayOld array)
        {
            Guard.ThrowExceptionIfNull(contentManager, "contentManager");
            Guard.ThrowExceptionIfNull(array, "array");

            return new ColorKeyMaskOld(contentManager, array);
        }

        protected override object ConvertFromPdfDataStream(Type type, PdfReader.PdfContentManager contentManager, PdfDataStream stream)
        {
            return new ImageMaskOld(contentManager, stream.ReadData(contentManager));
        }
    }
}
