﻿using System;
using Telerik.Windows.Documents.Utilities;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Utils;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.PdfConverters
{
    internal class PdfRealConverter : ConverterBase
    {
        public override object Convert(Type type, PdfContentManager contentManager, object value)
        {
            Guard.ThrowExceptionIfNull(type, "type");
            Guard.ThrowExceptionIfNull(contentManager, "contentManager");
            Guard.ThrowExceptionIfNull(value, "value");

            PdfRealOld i = value as PdfRealOld;
            if (i != null)
            {
                return i;
            }

            double res;
            Helper.UnboxDouble(value, out res);

            return new PdfRealOld(contentManager, res);
        }
    }
}
