namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Text
{
    internal static class CMapOperators
    {
        public const string beginbfrange = "beginbfrange";
        public const string beginbfchar = "beginbfchar";
        public const string begincodespacerange = "begincodespacerange";
        public const string begincidchar = "begincidchar";
        public const string begincidrange = "begincidrange";
        public const string beginnotdefchar = "beginnotdefchar,";
        public const string beginnotdefrange = "beginnotdefrange,";

        public static bool IsOperator(string s)
        {
            switch (s)
            {
                case CMapOperators.beginbfchar:
                case CMapOperators.beginbfrange:
                case CMapOperators.begincodespacerange:
                case CMapOperators.begincidchar:
                case CMapOperators.begincidrange:
                case CMapOperators.beginnotdefchar:
                case CMapOperators.beginnotdefrange:
                    return true;
            }
            return false;
        }
    }
}