namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Text
{
    internal static class PathOperators
    {
        public const string m = "m";
        public const string l = "l";
        public const string c = "c";
        public const string v = "v";
        public const string y = "y";
        public const string h = "h";
        public const string re = "re";
        public const string S = "S";
        public const string s = "s";
        public const string f = "f";
        public const string F = "F";
        public const string fStar = "f*";
        public const string B = "B";
        public const string BStar = "B*";
        public const string b = "b";
        public const string bStar = "b*";
        public const string n = "n";
        public const string W = "W";
        public const string WStar = "W*";
        public const string Sh = "sh";

        public static bool IsOperator(string s)
        {
            switch (s)
            {
                case PathOperators.m:
                case PathOperators.l:
                case PathOperators.c:
                case PathOperators.v:
                case PathOperators.y:
                case PathOperators.h:
                case PathOperators.re:
                case PathOperators.s:
                case PathOperators.S:
                case PathOperators.f:
                case PathOperators.F:
                case PathOperators.fStar:
                case PathOperators.B:
                case PathOperators.BStar:
                case PathOperators.b:
                case PathOperators.bStar:
                case PathOperators.n:
                case PathOperators.W:
                case PathOperators.WStar:
                case PathOperators.Sh:
                    return true;
            }
            return false;
        }
    }
}