﻿using System;
using System.IO;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Export
{
    /// <summary>
    /// This writer is used for writing all the content on a single line (does not support multiline text writing).
    /// </summary>
    internal class PdfSingleLineWriter : PdfWriter
    {
        public PdfSingleLineWriter(Stream output) 
            : base(output)
        {
        }

        public override void WriteLine()
        {
            this.WriteSeparator();
        }
    }
}
