﻿namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Filters
{
    internal class ByteReader
    {
        public ByteReader(byte[] data)
        {
            this.data = data;
            this.pos = 0;
        }

        private byte[] data;
        private int pos;

        public int Remaining
        {
            get
            {
                return this.data.Length - this.pos;
            }
        }

        public byte ReadByte()
        {
            byte res = this.data[this.pos];
            this.pos++;
            return res;
        }

        public void Read(byte[] buffer)
        {
            for (int i = 0; i < buffer.Length; i++)
            {
                buffer[i] = this.ReadByte();
            }
        }
    }
}
