﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import.Parser;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Annotations
{
    internal class UnsupportedAnnotation : AnnotationObject
    {
        public override bool IsSupported
        {
            get
            {
                return false;
            }
        }

        public override Fixed.Model.Annotations.Annotation ToAnnotationOverride(PostScriptReader reader, IRadFixedDocumentImportContext context)
        {
            throw new NotSupportedException("Import of this annotation type is not supported.");
        }
    }
}
