﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Common;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Fonts
{
    internal abstract class CharIdToGlyphIdMappingBase : PdfStreamObject
    {
        private static readonly CharIdToGlyphIdMappingBase identity;

        static CharIdToGlyphIdMappingBase()
        {
            identity = new CharIdToGlyphIdMappingIdentity();
        }

        public static CharIdToGlyphIdMappingBase Identity
        {
            get
            {
                return identity;
            }
        }
    }
}
