﻿using System;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Forms
{
    // NOTE: The number after the name means the bit position of the flag. 
    internal enum FieldFlag
    {        
        // Common
        ReadOnly = 1,
        Required = 2,
        NoExport = 3,

        // Buttons
        NoToggleToOff = 15,
        Radio = 16,
        PushButton = 17,
        RadiosInUnison = 26,

        // Text
        Multiline = 13,
        Password = 14,
        FileSelect = 21,
        DoNotScroll = 24,
        Comb = 25,
        RichText = 26,

        // Choice
        Combo = 18,
        Edit = 19,
        Sort = 20,
        MultiSelect = 22,
        CommitOnSelChange = 27,

        // Text and Choice
        DoNotSpellCheck = 23,
    }
}
