﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Metadata.Xmp.Model.Structure;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Metadata.Xmp.Model.Data
{
    internal class RdfElement : XmpDataElementBase
    {
        private readonly IEnumerable<DescriptionElement> descriptions;

        public RdfElement(IEnumerable<DescriptionElement> descriptions)
        {
            this.descriptions = descriptions;
        }

        public override string Name
        {
            get
            {
                return "RDF";
            }
        }

        protected override IEnumerable<Common.XmpElementBase> EnumerateInnerElements()
        {
            return this.descriptions;
        }
    }
}
