﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.DocumentProcessing.Fixed.FormatProviders.Pdf.Import;
using Telerik.DocumentProcessing.Fixed.Model.Graphics;

namespace Telerik.DocumentProcessing.Fixed.FormatProviders.Pdf.Operators
{
    internal class FillPath : Operator
    {
        public override string Name
        {
            get { return Operators.FillPath; }
        }

        public override void Execute(ContentStreamInterpreter interpreter, IPdfImportContext context)
        {
            Path path = interpreter.Container.Content.AddPath();
            path.Geometry = interpreter.Geometry;
            path.Fill = interpreter.GraphicState.Color.ToColor();
        }
    }
}
