﻿using System;
#if NETSTANDARD
using Telerik.Documents.Primitives;
#else
using System.Windows.Media;
#endif
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators.State
{
    internal class ConcatMatrix : MatrixOperatorBase
    {
        public override string Name
        {
            get
            {
                return ContentStreamOperatorNames.ConcatMatrix;
            }
        }

        protected override void InterpretMatrixOverride(ContentStreamInterpreter interpreter, Matrix matrix)
        {
            interpreter.GraphicState.ConcatenateMatrix(matrix);
        }
    }
}
