namespace Telerik.Windows.Documents.Fixed.Imaging.Silverlight
{
	/// <summary>
	/// Represents the BitmapCodecInfo class.
	/// </summary>
	internal class PngCodecInfo : BitmapCodecInfo
	{
		/// <summary>
		/// Gets a value that identifies the file extensions associated with the codec.
		/// </summary>
		public override string FileExtensions
        {
            get
            {
				return ".png";
            }
        }

		/// <summary>
		/// Gets a value that identifies the MIME types associated with the codec.
		/// </summary>
		public override string MimeTypes
        {
            get
            {
				return "image/png";
            }
        }
	}
}
