﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.Annotations.EventArgs
{
    /// <summary>
    /// Represent AnnotationEventArgs
    /// </summary>
    public class AnnotationEventArgs : System.EventArgs
    {
        /// <summary>
        /// Gets or sets the page.
        /// </summary>
        /// <value>The page.</value>
        public RadFixedPage Page { get; set; }

        /// <summary>
        /// Gets or sets the annotation.
        /// </summary>
        /// <value>The annotation.</value>
        public Annotation Annotation { get; set; }

        /// <summary>
        /// Gets or sets if the event is handled.
        /// </summary>
        /// <value>If the event is handled.</value>
        public bool Handled { get; set; }
    }
}
