﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Fixed.Model.Collections
{
    /// <summary>
    /// Represents fixed pages collection.
    /// </summary>
    public sealed class PageCollection : DocumentElementCollection<RadFixedPage, RadFixedDocument>
    {
        internal PageCollection(RadFixedDocument parent)
            : base(parent)
        {
        }

        /// <summary>
        /// Creates new instance of RadFixedPage and add it to the collection.
        /// </summary>
        /// <returns>The new RadFixedPage instance.</returns>
        public RadFixedPage AddPage()
        {
            RadFixedPage page = new RadFixedPage();
            this.Add(page);

            return page;
        }
    }
}
