﻿using System.Collections.Generic;
#if NETSTANDARD
using Telerik.Documents.Primitives;
#else
using System.Windows;
#endif
using Telerik.Windows.Documents.Core.Imaging;

namespace Telerik.Windows.Documents.Fixed.Model.ColorSpaces
{
    internal interface IGradient : IPatternColor
    {
        bool ExtendBefore { get; }

        bool ExtendAfter { get; }

        Point StartPoint { get; }
        
        Point EndPoint { get; }

        Color StartColor { get; }

        Color EndColor { get; }

        Color? Background { get; }

        Rect? BoundingBox { get; }

        IEnumerable<IGradientStop> GradientStops { get; }
    }
}
