﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.Model.Collections;

namespace Telerik.Windows.Documents.Fixed.Model.Common
{
    /// <summary>
    /// Represents base interface for container element.
    /// </summary>
    public interface IContainerElement : IFixedDocumentElement
    {
        /// <summary>
        /// Gets the content for the element.
        /// </summary>
        /// <value>The content.</value>
        ContentElementCollection Content { get; }
    }
}
