﻿namespace Telerik.Windows.Documents.Fixed.Model.Common
{
    /// <summary>
    /// An enumeration specifying how the document should be displayed when opened.
    /// </summary>
    public enum PageMode
    {
        /// <summary>
        /// None page mode is specified.
        /// </summary>
        UseNone,
        /// <summary>
        /// Document bookmarks visible.
        /// </summary>
        UseBookmarks
    }
}
