﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Fixed.Model.Data
{
    /// <summary>
    /// Represents rotation enumeration.
    /// </summary>
    public enum Rotation
    {
        /// <summary>
        /// Represents rotation to 0 degrees.
        /// </summary>
        Rotate0 = 0,

        /// <summary>
        /// Represents rotation to 90 degrees.
        /// </summary>
        Rotate90 = 90,

        /// <summary>
        /// Represents rotation to 180 degrees.
        /// </summary>
        Rotate180 = 180,

        /// <summary>
        /// Represents rotation to 270 degrees.
        /// </summary>
        Rotate270 = 270
    }
}
