﻿using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Fixed.Model.Editing
{
    internal abstract class FixedContentElementEditorBase
    {
        private readonly FixedContentEditorBase contentEditor;

        public FixedContentElementEditorBase(FixedContentEditorBase contentEditor)
        {
            Guard.ThrowExceptionIfNull(contentEditor, "contentEditor");

            this.contentEditor = contentEditor;
        }

        protected FixedContentEditorBase Editor
        {
            get
            {
                return this.contentEditor;
            }
        }
    }
}
