﻿namespace Telerik.Windows.Documents.Fixed.Model.Editing.Flow
{
    /// <summary>
    /// Defines tab stop leader types.
    /// </summary>
    internal enum TabStopLeader
    {
        /// <summary> 
        /// No tab stop leader type.
        /// </summary>
        None,

        /// <summary> 
        /// Dot tab stop leader type.
        /// </summary>
        Dot,

        /// <summary> 
        /// Hyphen tab stop leader type. 
        /// </summary>
        Hyphen,

        /// <summary>
        /// Underscore tab stop leader type. 
        /// </summary>
        Underscore,

        /// <summary> 
        /// MiddleDot tab stop leader type.
        /// </summary>
        MiddleDot
    }
}