﻿using Telerik.Windows.Documents.Fixed.Model.Annotations;
using Telerik.Windows.Documents.Fixed.Model.Fonts;

namespace Telerik.Windows.Documents.Fixed.Model.Editing.Layout
{
    internal abstract class HyperlinkStartLayoutElement : StartMarkerLayoutElement<HyperlinkStartLayoutElement>
    {
        public HyperlinkStartLayoutElement(FontBase font, double fontSize)
            : base(font, fontSize)
        {
        }

        public override EndMarkerLayoutElement CreateEnd()
        {
            return new HyperlinkEndLayoutElement(this, this.Font, this.FontSize);
        }

        public abstract Annotation CreateAnnotation();
    }
}
