﻿namespace Telerik.Windows.Documents.Fixed.Model.Editing.Lists
{
    /// <summary>
    /// Describes the list templates.
    /// </summary>
    public enum ListTemplateType
    {
        /// <summary>
        /// Default bulleted list.
        /// </summary>
        BulletDefault,

        /// <summary>
        /// Default Numbered list.
        /// </summary>
        NumberedDefault,

        /// <summary>
        /// Numbered parentheses list.
        /// </summary>
        NumberedParentheses,

        /// <summary>
        /// Numbered hierarchical list.
        /// </summary>
        NumberedHierarchical
    }
}
