﻿using System;
using Telerik.Windows.Documents.Fixed.Model.Editing.Flow;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Fixed.Model.Editing
{
    internal class RadFixedPageCreatedEventArgs : EventArgs
    {
        private readonly SectionInfo section;

        public RadFixedPageCreatedEventArgs(SectionInfo section)
        {
            Guard.ThrowExceptionIfNull(section, "section");

            this.section = section;
        }

        public SectionInfo Section
        {
            get
            {
                return this.section;
            }
        }
    }
}
