﻿namespace Telerik.Windows.Documents.Fixed.Model.Editing.Tables
{
    /// <summary>
    /// Specifies whether the measuring algorithm should measure border spacing between borders center lines or between borders outlines.
    /// </summary>
    public enum BorderCollapse
    {
        /// <summary>
        /// Specifies the case when the border spacing is measured from the borders center lines.
        /// </summary>
        Collapse,

        /// <summary>
        /// Specifies the case when the border spacing is measured from the borders outlines.
        /// </summary>
        Separate
    }
}
