﻿namespace Telerik.Windows.Documents.Fixed.Model.Graphics
{
    /// <summary>
    /// Represents line join types.
    /// </summary>
    public enum LineJoin
    {
        /// <summary>
        /// Miter line join.
        /// </summary>
        Miter = 0,

        /// <summary>
        /// Round line join.
        /// </summary>
        Round = 1,

        /// <summary>
        /// Bevel line join.
        /// </summary>
        Bevel = 2
    }
}