﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.InteractiveForms
{
    /// <summary>
    /// Represents a field option.
    /// </summary>
    public abstract class FieldOptionBase
    {
        internal FieldOptionBase(string value)
        {
            this.Value = value;
        }

        /// <summary>
        /// Gets or sets the option value.
        /// </summary>
        public abstract string Value { get; set; }

        internal bool IsAdded { get; set; }
    }
}
