﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.Internal.Annotations
{
    internal class SingleStateAppearancesOld : AnnotationAppearancesOld
    {
        private readonly Container normalAppearance;
        private readonly Container mouseDownAppearance;
        private readonly Container mouseOverAppearance;

        public SingleStateAppearancesOld(Container normalAppearance, Container mouseDownAppearance, Container mouseOverAppearance)
        {
            this.normalAppearance = normalAppearance;
            this.mouseDownAppearance = mouseDownAppearance;
            this.mouseOverAppearance = mouseOverAppearance;
        }

        public override Container GetNormalAppearance()
        {
            return this.normalAppearance;
        }

        public override Container GetMouseDownAppearance()
        {
            return this.mouseDownAppearance;
        }

        public override Container GetMouseOverAppearance()
        {
            return this.mouseOverAppearance;
        }
    }
}
