﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Documents.Core.Data;
using Telerik.Windows.Documents.Core.Shapes;

using Rect = System.Windows.Rect;
using Size = System.Windows.Size;

namespace Telerik.Windows.Documents.Fixed.Model.Internal.Classes
{
    internal interface IContentElement
    {
        int ZIndex
        {
            get;
            set;
        }

        PathGeometry Clip
        {
            get;
            set;
        }

        bool HasChildren
        {
            get;
        }

        Matrix TransformMatrix
        {
            get;
            set;
        }

        Size Size
        {
            get;
            set;
        }

        Rect BoundingRect
        {
            get;
            set;
        }

        ContentElementTypeOld Type
        {
            get;
        }

        IEnumerable<IContentElement> Children
        {
            get;
        }

        Rect Arrange(Matrix transformMatrix);

        IContentElement Clone();
    }
}
