﻿using System.Collections.Generic;
using Telerik.Windows.Documents.Fixed.Model.Annotations;
using System.Windows;
#if WINFORMS
using Telerik.Fixed.Legacy;
#endif

namespace Telerik.Windows.Documents.Fixed.Model.Collections
{
    internal class AnnotationsCollection : List<Annotation>
    {
        internal Annotation GetAnnotationFromLocation(Point location)
        {
            for (int i = this.Count - 1; i >= 0; i--)
            {
                if (this[i].BoundingRect.Value.Contains(location))
                {
                    return this[i];
                }
            }
            return null;
        }
    }
}
