﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;

namespace Telerik.Windows.Documents.Fixed.Model.Internal
{
    internal class ResourceKey
    {
        public int Id { get; set; }

        public ResourceType Type { get; set; }

        public IndirectReferenceOld Reference { get; internal set; }

        public override int GetHashCode()
        {
            unchecked
            {
                int result = 17;
                result = result * 23 + this.Id.GetHashCode();
                result = result * 23 + this.Type.GetHashCode();
                result = (this.Reference == null) ? 0 : result * 23 + this.Reference.GetHashCode();
                return result;
            }
        }

        public override bool Equals(object obj)
        {
            ResourceKey key = obj as ResourceKey;
            if (key == null)
            {
                return false;
            }
            return this.Id == key.Id && this.Type == key.Type && this.Reference == key.Reference;
        }
    }
}
