﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class ClearToMark : Operator
    {
        public override void Execute(Interpreter interpreter)
        {
            while (true)
            {
                object o = interpreter.Operands.GetLast();
                if (o != null && o is Mark)
                {
                    return;
                }
            }
        }
    }
}
