﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class Def : Operator
    {
        public override void Execute(Interpreter interpreter)
        {
            object value = interpreter.Operands.GetLast();
            string key = interpreter.Operands.GetLastAs<string>();

            interpreter.CurrentDictionary[key] = value;

            // TODO: This needs refactoring.
            if (key == Operator.RD || key == Operator.RDAlternate)
            {
                interpreter.RD = (PostScriptArray)value;
            }
            else if (key == Operator.ND || key == Operator.NDAlternate)
            {
                interpreter.ND = (PostScriptArray)value;
            }
            else if (key == Operator.NP || key == Operator.NPAlternate)
            {
                interpreter.NP = (PostScriptArray)value;
            }
        }
    }
}
