﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class Dict : Operator
    {
        public override void Execute(Interpreter interpreter)
        {
            int capacity = interpreter.Operands.GetLastAsInt();
            PostScriptDictionary dict = new PostScriptDictionary(capacity);
            interpreter.Operands.AddLast(dict);
        }
    }
}
