﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class IfElse : Operator
    {
        public override void Execute(Interpreter interpreter)
        {
            PostScriptArray proc2 = interpreter.Operands.GetLastAs<PostScriptArray>();
            PostScriptArray proc1 = interpreter.Operands.GetLastAs<PostScriptArray>();
            bool condition = interpreter.Operands.GetLastAs<bool>();

            if (condition)
            {
                interpreter.ExecuteProcedure(proc1);
            }
            else
            {
                interpreter.ExecuteProcedure(proc2);
            }
        }
    }
}
