﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class Known : Operator
    {
        public override void Execute(Interpreter interpreter)
        {
            string key = interpreter.Operands.GetLastAs<string>();
            PostScriptDictionary dict = interpreter.Operands.GetLastAs<PostScriptDictionary>();

            interpreter.Operands.AddLast(dict.ContainsKey(key));
        }
    }
}
