﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class Truncate : UnaryOperator<double, double>
    {
        protected override double Execute(double x)
        {
            return TruncateValue(x);
        }

        private static double TruncateValue(double x)
        {
            return (x < 0 ? -1.0 : 1.0) * Math.Floor(Math.Abs(x));
        }
    }
}
