﻿namespace Telerik.Windows.Documents.Fixed.PostScript.Parser.Operators
{
    internal static class PostScriptOperators
    {
        private static readonly BeginBFChar beginBFChar;
        private static readonly EndBFChar endBFChar;
        private static readonly BeginBFRange beginBFRange;
        private static readonly EndBfRange endBFRange;

        static PostScriptOperators()
        {
            beginBFChar = new BeginBFChar();
            endBFChar = new EndBFChar();
            beginBFRange = new BeginBFRange();
            endBFRange = new EndBfRange();
        }

        public static BeginBFChar BeginBFChar
        {
            get
            {
                return beginBFChar;
            }
        }

        public static EndBFChar EndBFChar
        {
            get
            {
                return endBFChar;
            }
        }

        public static BeginBFRange BeginBFRange
        {
            get
            {
                return beginBFRange;
            }
        }

        public static EndBfRange EndBFRange
        {
            get
            {
                return endBFRange;
            }
        }
    }
}
