﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import.Parser
{
    internal class PostScriptReaderArgs
    {
        public PostScriptReaderArgs(IPdfImportContext context, byte b)
        {
            Guard.ThrowExceptionIfNull(context, "context");

            this.Context = context;
            this.Byte = b;
        }

        public byte Byte
        {
            get;
            set;
        }

        public IPdfImportContext Context
        {
            get;
            set;
        }
    }
}
