﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import.Parser.PrimitiveParsers
{
    internal class ArrayParser
    {
        private readonly PostScriptReader parser;

        public ArrayParser(PostScriptReader parser)
        {
            Guard.ThrowExceptionIfNull(parser, "parser");

            this.parser = parser;
        }

        public void Start()
        {
            this.parser.PushCollection();
        }

        public void End()
        {
            this.parser.PushToken(new PdfArray(this.parser.PopCollection().Reverse()));
        }
    }
}
