﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Fixed.Text
{
    internal static class WordEnd
    {
        public const char Dash = '-';
        public const char Slash = '/';
        public const char Backslash = '\\';
        public const char LeftParenthesis = '(';

        public static bool IsWordEnd(char ch)
        {
            switch (ch)
            {
                case Dash:
                case Slash:
                case Backslash:
                case LeftParenthesis:
                    return true;
            }
            return false;
        }
    }
}
