﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Globalization;

namespace Telerik.Windows.Documents.Fixed.Utilities
{
    internal static class PdfHelper
    {
        private static readonly OpenXmlCultureInfo cultureInfo;

        static PdfHelper()
        {
            cultureInfo = new OpenXmlCultureInfo(System.Globalization.CultureInfo.InvariantCulture);
        }

        public static OpenXmlCultureInfo CultureInfo
        {
            get
            {
                return cultureInfo;
            }
        }
    }
}
