﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Security.Cryptography;
using System.Security.Cryptography.Pkcs;
using System.Text;
using Telerik.Windows.Documents.Fixed.Model.DigitalSignatures;

namespace Telerik.Windows.Documents.Fixed.Tests.DigitalSignature
{
    public class CustomSignatureValidationHandler : SignatureValidationHandlerBase
    {
        public CustomSignatureValidationHandler()
        {
            
        }

        protected override SignatureValidationResult ValidateOverride(SignatureDataProperties dataProperties, SignatureValidationProperties validationProperties)
        {
            SignatureValidationResultBuilder validationResultBuilder = new SignatureValidationResultBuilder();

            validationResultBuilder.BuildIsDocumentModified(false);
            validationResultBuilder.BuildIsCertificateValid(true);

            SignatureValidationResult validationResult = validationResultBuilder.GetResult();
            return validationResult;
        }
    }
}
