﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Fixed.Tests.Utils;
using Telerik.Windows.Documents.Fixed.Model;
using Telerik.Windows.Documents.Flow.Tests.Utils;

namespace Telerik.Windows.Documents.Fixed.Tests.Editing
{
    [TestClass]
    public class CloneTests : DocumentFixedVisualBaseTest
    {
        [TestMethod]
        [TestCategory(PdfProcessingCategory.VisualTest)]
        [Description("Team Pulse ID: 195556, TFS ID: 252191")]
        public void Clone_DocumentWithAllFeatures_EverythingIsCloned()
        {
            RadFixedDocument document = this.LoadVisualTestDocument("CentaurFeatures2014Q3.pdf");
            RadFixedDocument clonedDocument = document.Clone();

            this.AssertAreVisualyEqual(clonedDocument, UIInteractionHelper.PageDown(), 3);
        }
    }
}
