﻿using System.Collections.Generic;
using Telerik.Windows.Documents.Core.Fonts;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core.Fonts;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.Model.Internal;
using Telerik.Windows.Documents.Fixed.Model.Internal.Classes;
using Telerik.Windows.Documents.Fixed.Tests.Model.Fonts;

namespace Telerik.Windows.Documents.Fixed.Tests.Fonts
{
    internal class TestCidFontOld : CIDFontOld
    {
        public TestCidFontOld(PdfContentManager contentManager)
            : base(contentManager)
        {
        }

        public override FontSource FontSource
        {
            get
            {
                return new TestFontSource();
            }
        }

        public override IEnumerable<GlyphOld> GetGlyphs(IEnumerable<CharCodeOld> charIds)
        {
            return null;
        }
    }
}
