﻿using System;
using System.Collections.Generic;
using Telerik.Windows.Documents.Core.Fonts.Type1;
using Telerik.Windows.Documents.Core.Fonts.Type1.CFFFormat.CFFTables;

namespace Telerik.Windows.Documents.Fixed.Tests.Fonts.Type1
{
    internal class TestCFFFontFile : ICFFFontFile
    {
        private readonly Dictionary<int, string> stringIdToStringValue;

        public TestCFFFontFile(Dictionary<int, string> stringIdToStringValue)
        {
            this.stringIdToStringValue = stringIdToStringValue;
        }

        public SubrsIndex GlobalSubrs { get; set; }

        public CFFFontReader Reader { get; set; }

        public string ReadString(ushort sid)
        {
            return this.stringIdToStringValue[sid];
        }

        public void ReadTable(CFFTable table)
        {
            throw new NotImplementedException();
        }
    }
}
