﻿using System;
using System.IO;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import.Parser;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;
using Telerik.Windows.Documents.Fixed.Tests.Import;

namespace Telerik.Windows.Documents.Fixed.Tests.FormatProviders.Pdf.Model.Types
{
    internal class TestPdfStream : PdfStreamBase
    {
        public TestPdfStream(Stream stream) 
            : base(new TestPdfImportContext(), stream, new PdfDictionary(), new PdfInt(), 0)
        {
        }

        protected override int CalculateLength(Reader reader)
        {
            throw new NotImplementedException();
        }

        protected override byte[] ReadRawPdfDataOverride()
        {
            MemoryStream memoryStream = new MemoryStream();
            this.Stream.CopyTo(memoryStream);

            return memoryStream.ToArray();
        }
    }
}
