﻿using System.Collections.Generic;
#if NETSTANDARD
using Telerik.Documents.Primitives;
#else
using System.Windows.Media;
#endif
using Telerik.Windows.Documents.Fixed.Model.ColorSpaces;
using Telerik.Windows.Documents.Fixed.Model.Graphics;

namespace Telerik.Windows.Documents.Fixed.Tests.Import
{
    public class ExpectedPath
    {
        public Matrix Position { get; set; }

        public IEnumerable<double> StrokeDashArray { get; set; }

        public double StrokeDashOffset { get; set; }

        public double StrokeThickness { get; set; }

        public LineCap StrokeLineCap { get; set; }

        public LineJoin StrokeLineJoin { get; set; }

        public double? MiterLimit { get; set; }

        public bool IsFilled { get; set; }

        public bool IsStroked { get; set; }

        public ColorBase Fill { get; set; }

        public ColorBase Stroke { get; set; }

        public ExpectedGeometry ExpectedGeometry { get; set; }

        public ExpectedClipping Clipping { get; set; }

        public ExpectedPath()
        {
            this.StrokeThickness = 1;
            this.Stroke = new RgbColor(0, 0, 0);
            this.Fill = new RgbColor(0, 0, 0);
        }
    }
}
