﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Fixed.Model;

namespace Telerik.Windows.Documents.Fixed.Tests.Integration.ImportExport.InteractiveForms
{
    [TestClass]
    public class TestExportImportAcroForm : TestAcroFormBase
    {
        [TestMethod]
        public void TestExportImportAcroFormProperties()
        {
            RadFixedDocument document = new RadFixedDocument();
            this.CreateFields(document);
            DrawPageWithWidgets(document.Pages.AddPage());
            document.AcroForm.ViewersShouldRecalculateWidgetAppearances = true;

            this.AssertFieldsWidgetsExportAndImport(document);
        }
    }
}
