﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Telerik.Windows.Documents.Fixed.Model.InteractiveForms;

namespace Telerik.Windows.Documents.Fixed.Tests.Integration.ImportExport.InteractiveForms
{
    [TestClass]
    public class TestPushButtonField : TestTwoOppositeFieldValuesBase<PushButtonField>
    {
        protected override string NamePrefix
        {
            get
            {
                return "push";
            }
        }

        [TestMethod]
        public void TestPushButtonFieldProperties()
        {
            this.GenerateAssertExportAndImportSinglePageDocument();
        }

        protected override PushButtonField CreateField(string name, bool isFirstCase)
        {
            return new PushButtonField(name);
        }

        protected override void AssertPushButton(PushButtonField field)
        {
            this.AssertFieldNameAndGetIfFirstCase(field);
        }
    }
}
