﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Telerik.Windows.Documents.Fixed.Model.ColorSpaces;

namespace Telerik.Windows.Documents.Fixed.Tests.Model.ColorSpaces
{
    [TestClass]
    public class LabTests
    {
        [TestMethod]
        [ExpectedException(typeof(NotImplementedException))]
        public void GetColor_WhenParsIsNull_ThrowsNotImplementedException()
        {
            Lab labColorSpace = new Lab();
            ColorBase result = labColorSpace.GetColor(null);
        }

        [TestMethod]
        [ExpectedException(typeof(NotImplementedException))]
        public void GetColor_WhenParsIsNotNullAndNotEmpty_ThrowsNotImplementedException()
        {
            double[] pars = new double[] { 1 };
            Lab labColorSpace = new Lab();

            ColorBase result = labColorSpace.GetColor(pars);
        }
    }
}
