﻿using Telerik.Windows.Documents.Fixed.Model.ColorSpaces;
using Telerik.Windows.Documents.Fixed.Model.Resources;
using Telerik.Windows.Documents.Fixed.Tests.Model.Resources;

namespace Telerik.Windows.Documents.Fixed.Tests.Model.ColorSpaces
{
    internal class TestColorSpace : IColorSpace
    {
        public int ComponentCount { get; set; }

        public double[] GetDefaultDecodeArray(int bitsPerComponent)
        {
            return ColorSpaceBase.GetDecodeArrayFromComponents(this.ComponentCount);
        }

        public PixelContainer GetPixels(IImageDescriptor image, bool applyMask)
        {
            TestPixelContainer container = new TestPixelContainer(image.Width * image.Height);
            container.IsMaskedApplied = applyMask;

            return container;
        }
    }
}
