﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Fixed.Model.Editing;
using Telerik.Windows.Documents.Fixed.Model.Editing.Collections;
using Telerik.Windows.Documents.Fixed.Model.Editing.Layout;

namespace Telerik.Windows.Documents.Fixed.Tests.Model.Editing.Layout
{
    [TestClass]
    public class TabLayoutElementTests
    {
        [TestMethod]
        public void GetWidth_WhenDefaultTabStopWidthIsZeroAndTabStopCollectionisEmpty_ShouldReturnZero()
        {
            // Arrange
            TabStopCollection tabStops = new TabStopCollection();
            double defaultTabStop = 0;
            TextProperties textProperties = new TextProperties();

            TabLayoutElement tabLayoutElement = new TabLayoutElement(tabStops, defaultTabStop, textProperties);

            // Act
            double result = tabLayoutElement.GetWidth();

            // Assert
            Assert.AreEqual(0, result);
        }
    }
}
