﻿using System.Collections.Generic;
using Telerik.Windows.Documents.Core.Fonts.Type1.Type1Format;

namespace Telerik.Windows.Documents.Fixed.Tests.Model.Fonts
{
    internal class TestType1FontSource : Type1FontSource
    {
        private readonly Dictionary<ushort, string> cidMappings;

        public TestType1FontSource()
            : base(new byte[0])
        {
            this.cidMappings = new Dictionary<ushort, string>();
        }

        public override string GetGlyphName(ushort cid)
        {
            return this.cidMappings[cid];
        }

        public void AddCidMapping(ushort cid, string name)
        {
            this.cidMappings.Add(cid, name);
        }
    }
}
