﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace Telerik.Windows.Documents.Core.Tests.PostScriptInterpretatorTests
{
    [TestClass]
    public class TestIDivOperator
    {
        [TestMethod]
        public void WhenTheFirstArgumentIsNotDivisibleByTheSecond()
        {
            string operation = "10 4 idiv";

            double expected = 2;
            double result = Convert.ToDouble(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        }

        [TestMethod]
        public void WhenTheFirstArgumentIsDivisibleByTheSecond()
        {
            string operation = "10 2 idiv";

            double expected = 5;
            double result = Convert.ToDouble(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        }
    }
}
