﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace Telerik.Windows.Documents.Core.Tests.PostScriptInterpretatorTests
{
    [TestClass]
    public class TestOrOperator
    {
        [TestMethod]
        public void WhenTheArgumentsAreBool()
        {
            string operation = "false true or";

            bool expected = true;
            bool result = Convert.ToBoolean(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        }

        [TestMethod]
        public void WhenTheArgumentsAreInt()
        {
            string operation = "6 1 or";

            int expected = 7;
            int result = Convert.ToInt32(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);

        }
    }
}
