﻿using System.IO;

namespace Telerik.Windows.Documents.Fixed.Tests.Utils
{
    public class ResourceHelper
    {
        public static MemoryStream GetResourceMemoryStream(string resource)
        {
            MemoryStream memory = new MemoryStream();

            using (Stream stream = TestUtils.GetApplicationResourceStream(resource))
            {
                stream.CopyTo(memory);
            }

            return memory;
        }

        public static byte[] GetResourceBytes(string resource)
        {
            MemoryStream memory = GetResourceMemoryStream(resource);

            return memory.ToArray();
        }
    }
}
