﻿namespace Telerik.Windows.Documents.Flow.FormatProviders.Common
{
    internal static class AnnotationIdGenerator
    {
        private static readonly object LockObject = new object();
        private static int lastId = -1;

        public static int GetNext()
        {
            lock (AnnotationIdGenerator.LockObject)
            {
                AnnotationIdGenerator.lastId++;
                return lastId;
            }
        }
    }
}
