﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Parts;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Common
{
    internal abstract class DocxPartRootElementBase : DocxElementBase
    {
        public DocxPartRootElementBase(DocxPartsManager partsManager, OpenXmlPartBase part)
            : base(partsManager)
        {
            Guard.ThrowExceptionIfNull(part, "part");

            this.Part = part;
        }

        public override bool AlwaysExport
        {
            get
            {
                return true;
            }
        }
    }
}
