﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Document
{
    internal abstract class AnnotationStartEndElementBase : DocumentElementBase
    {
        private readonly IntOpenXmlAttribute idAttrubute;

        public AnnotationStartEndElementBase(DocxPartsManager partsManager)
            : base(partsManager)
        {
            this.idAttrubute = this.RegisterAttribute(new IntOpenXmlAttribute("id", OpenXmlNamespaces.WordprocessingMLNamespace));
        }

        public int Id
        {
            get
            {
                return this.idAttrubute.Value;
            }
            set
            {
                this.idAttrubute.Value = value;
            }
        }
    }
}