﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Document
{
    internal class TextElement : DocumentElementBase
    {
        public TextElement(DocxPartsManager partsManager)
            : base(partsManager)
        {
            this.RegisterAttribute(new SpaceAttribute(this));
        }

        public override string ElementName
        {
            get
            {
                return DocxElementNames.Text;
            }
        }
    }
}
