﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Parts
{
    internal abstract class HeaderFooterPartBase : DocxPartBase
    {
        public HeaderFooterPartBase(DocxPartsManager partsManager, string partName, int partNumber)
            : base(partsManager, string.Format(partName, partNumber))
        {
        }

        public HeaderFooterPartBase(DocxPartsManager partsManager, string name)
            : base(partsManager, name)
        {
        }

        public override int Level
        {
            get
            {
                return OpenXmlPartLevel.Level5;
            }
        }

        public string RelationshipId { get; protected set; }
    }
}