﻿using Telerik.Windows.Documents.Flow.FormatProviders.Html.Model.Styles;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Export
{
    internal static class StyleExporter
    {
        public static string Export(IHtmlExportContext context)
        {
            Guard.ThrowExceptionIfNull(context, "context");

            CssStyleWriter cssWriter = new CssStyleWriter();
            foreach (Selector style in context.HtmlStyleRepository.GetStyles())
            {
                style.Write(cssWriter, context);
            }

            return cssWriter.GetData();
        }
    }
}
