﻿namespace Telerik.Windows.Documents.Flow.FormatProviders.Html
{
    /// <summary>
    /// Describes images export mode.
    /// </summary>
    public enum ImagesExportMode
    {
        /// <summary>
        /// Images are exported embedded in the main file as Base64-encoded strings.
        /// </summary>
        Embedded,

        /// <summary>
        /// Images are exported in separate files.
        /// </summary>
        External
    }
}
