﻿// Copyright (c) 2012 James Treworgy
// 
// LICENSE (MIT License)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy 
// of this software and associated documentation files (the "Software"), to deal 
// in the Software without restriction, including without limitation the rights to 
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
// of the Software, and to permit persons to whom the Software is furnished to do 
// so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in all 
// copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
// INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION 
// OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using CsQuery.Implementation;

// TODO this should be fully commented; however it's not part of the main public API

#pragma warning disable 1591
#pragma warning disable 1570


namespace CsQuery.ExtensionMethods.Xml
{
    /// <summary>
    /// CqXmlDocument. This is not fully implemented and should not be used.
    /// </summary>

    internal class CqXmlDocument : XmlDocument
    {
        public CqXmlDocument(IDomDocument document)
        {
            //var root = CreateElement("", "ROOT", "");
            CqXmlNode docNode=null;
            

            foreach (var child in document.ChildNodes)
            {
                var node = new CqXmlNode(this, child);
                if (node.NodeType == XmlNodeType.DocumentType)
                {
                    this.AppendChild(node);
                }
                else
                {
                    if (docNode == null)
                    {
                        docNode = new CqXmlNode(this, document);
                        this.AppendChild(docNode);
                    }
                    docNode.AppendChild(node);
                }
            }
        }

        //private XmlDocument XmlDocument;
        //private CqXmlNode InnerNode;

        //public override XmlNodeList ChildNodes
        //{
        //    get
        //    {
        //        return InnerNode.ChildNodes;
        //    }
        //}
        //public override XmlAttributeCollection Attributes
        //{
        //    get
        //    {
        //        return InnerNode.Attributes;
        //    }
        //}
    }
}
