﻿// Copyright (c) 2012 James Treworgy
// 
// LICENSE (MIT License)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy 
// of this software and associated documentation files (the "Software"), to deal 
// in the Software without restriction, including without limitation the rights to 
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
// of the Software, and to permit persons to whom the Software is furnished to do 
// so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in all 
// copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
// INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION 
// OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CsQuery;
using CsQuery.StringScanner;
using CsQuery.ExtensionMethods.Internal;

//namespace CsQuery.OutputFormatters
//{
//    /// <summary>
//    /// Format with indents, etc. This is totally incomplete.
//    /// </summary>
//    public class Structured : IOutputFormatter
//    {
//        #region constructors

//        public Structured()
//        {
//            Initialize();
//        }
//        public Structured(int indentWidth)
//        {
//            Initialize();

//            string indentString = "";
//            for (int i = 0; i < indentWidth; i++)
//            {
//                indentString += " ";
//            }
//            IndentString = indentString;
//        }
//        public Structured(string indentString)
//        {
//            Initialize();

//            IndentString = indentString;
//        }

//        private void Initialize()
//        {
//            IndentString = "    ";
//            TextBlockWidth = 100;
//        }
//        #endregion

//        #region private properties

//        protected int IndentLevel = 0;
//        StringBuilder sb = new StringBuilder();

//        #endregion

//        #region public properties

//        public string IndentString
//        {
//            get;
//            set;
//        }

//        public int TextBlockWidth
//        {
//            get;
//            set;
//        }

//        #endregion


//        public string Format(CQ selection)
//        {

//            AddContents(selection);

//            return sb.ToString();
//        }

//        protected void AddContents(IEnumerable<IDomObject> sequence)
//        {
//            Indent();

//            foreach (var el in sequence)
//            {
//                switch (el.NodeType)
//                {
//                    case NodeType.ELEMENT_NODE:

//                        if (((IDomElement)el).IsBlock)
//                        {
//                            IndentLevel++;
//                            AddContents(el.ChildNodes);
//                            IndentLevel--;
//                        }
//                        else
//                        {
//                            AddContents(el.ChildNodes);
//                        }
//                        break;


//                }
//            }
//        }


//        private void Indent()
//        {
//            for (int i = 0; i < IndentLevel; i++)
//            {
//                sb.Append(IndentString);
//            }

//        }

//    }
//}
