﻿using Telerik.Windows.Documents.Flow.FormatProviders.Html.Import;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Model.Elements.Tables
{
    internal class TableFooterElement : TableRowContainerElement
    {
        public TableFooterElement(HtmlContentManager contentManager)
            : base(contentManager)
        {
        }

        public override string Name
        {
            get
            {
                return HtmlElementNames.TableFooter;
            }
        }

        protected override RowType RowType
        {
            get
            {
                return RowType.Footer;
            }
        }
    }
}
