﻿using Telerik.Windows.Documents.Flow.FormatProviders.Html.Import;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Model.Elements.Tables
{
    internal class TableHeaderElement : TableRowContainerElement
    {
        public TableHeaderElement(HtmlContentManager contentManager)
            : base(contentManager)
        {
        }

        public override string Name
        {
            get
            {
                return HtmlElementNames.TableHeader;
            }
        }

        protected override RowType RowType
        {
            get
            {
                return RowType.Header;
            }
        }
    }
}
