﻿namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Model
{
    internal static class HtmlConstants
    {
        public const string TextCss = "text/css";
        public const string StyleSheet = "stylesheet";
        public static readonly string DefaultStyleSheet = @"
b, strong { font-weight: bold; }

s, del, strike { text-decoration: line-through; }

i, em, dfn, var, cite { font-style: italic; }

u, ins { text-decoration: underline; }

sub { vertical-align: sub; }

sup { vertical-align: super; }

center { text-align: center; }

code, kbd, samp, tt, pre
{ 
    font-family: monospace; 
    font-size: 10pt;
}

a {
	color: #06C;
	text-decoration: underline;
}

h1 { 
    font-size: 24pt;
    font-weight: bold;
    margin-top: 14pt;
    margin-bottom: 14pt;
}

h2 { 
    font-size: 18pt;
    font-weight: bold;
    margin-top: 14pt;
    margin-bottom: 14pt;
}

h3 { 
    font-size: 13.55pt;
    font-weight: bold;
    margin-top: 14pt;
    margin-bottom: 14pt;
}

h4 { 
    font-weight: bold;
    margin-top: 14pt;
    margin-bottom: 14pt;
}

h5 { 
    font-size: 10pt;
    font-weight: bold;
    margin-top: 14pt;
    margin-bottom: 14pt;
}

h6 { 
    font-size: 7.55pt;
    font-weight: bold;
    margin-top: 14pt;
    margin-bottom: 14pt;
}
";
    }
}
