using System;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Pdf.Export
{
    internal class HyperlinkInfo
    {
        private readonly Uri uri;

        public HyperlinkInfo(Uri uri)
        {
            Guard.ThrowExceptionIfNull(uri, "uri");

            this.uri = uri;
        }

        public Uri Uri
        {
            get
            {
                return this.uri;
            }
        }
    }
}