﻿using System;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Pdf.Utils
{
    internal class NumberingStyleConverter : INumberingStyleConverter
    {
        private readonly Func<int, string> converter;

        public NumberingStyleConverter(Func<int, string> converter)
        {
            Guard.ThrowExceptionIfNull(converter, "converter");

            this.converter = converter;
        }

        public string ConvertNumberToText(int number)
        {
            return this.converter(number);
        }
    }
}
