﻿#if NETSTANDARD
using Telerik.Documents.Media;
#else
using System.Windows.Media;
#endif

namespace Telerik.Windows.Documents.Flow.FormatProviders.Rtf.Import.Model
{
    internal class RtfColor
    {
        private readonly Color color;
        private readonly bool isAutomatic;

        public RtfColor(Color color, bool isAutomatic = false)
        {
            this.color = color;
            this.isAutomatic = isAutomatic;
        }

        public Color Color
        {
            get
            {
                return this.color;
            }
        }

        public bool IsAutomatic
        {
            get
            {
                return this.isAutomatic;
            }
        }
    }
}
