﻿using Telerik.Windows.Documents.Flow.Model.Styles;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Rtf.Import.RtfTypes.Borders
{
    internal class RtfRowBorders
    {
        public RtfRowBorders()
        {
            this.Top = new RtfBorder();
            this.Left = new RtfBorder();
            this.Bottom = new RtfBorder();
            this.Right = new RtfBorder();
            this.InnerVertical = new RtfBorder();
            this.InnerHorizontal = new RtfBorder();
        }

        public RtfBorder Top { get; set; }

        public RtfBorder Left { get; set; }

        public RtfBorder Bottom { get; set; }

        public RtfBorder Right { get; set; }

        public RtfBorder InnerVertical { get; set; }

        public RtfBorder InnerHorizontal { get; set; }

        public TableBorders CreateBorders()
        {
            return new TableBorders(
                this.Left.CreateBorder(),
                this.Top.CreateBorder(),
                this.Right.CreateBorder(),
                this.Bottom.CreateBorder(),
                this.InnerHorizontal.CreateBorder(),
                this.InnerVertical.CreateBorder());
        }
    }
}