﻿namespace Telerik.Windows.Documents.Flow.FormatProviders.Rtf
{
    /// <summary>
    /// Contains settings for export with <see cref="RtfFormatProvider"/>.
    /// </summary>
    public class RtfExportSettings
    {
        /// <summary>
        /// Gets or sets the export images in compatibility mode. 
        /// Use this options if the document will be consumed by older readers.
        /// </summary>
        /// <value>The export images in compatibility mode.</value>
        public bool ExportImagesInCompatibilityMode { get; set; }
    }
}
