#if NETSTANDARD
using Telerik.Documents.Media;
#else
using System.Windows.Media;
#endif
using Telerik.Windows.Documents.Flow.Model.Styles;
#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Model;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.Flow.Model.BorderEvaluation.GridItems
{
    internal class VerticalBorderGridItem : BorderGridItemBase
    {
        public VerticalBorderGridItem()
        {
            this.Border = new Border(0, BorderStyle.Inherit, new ThemableColor(Colors.Transparent));
            this.IsInsideCell = true;
        }

        public bool IsInsideCell { get; set; }

        public int RowSpan { get; set; }
    }
}