﻿namespace Telerik.Windows.Documents.Flow.Model
{
    /// <summary>
    /// Describes possible types of conflict resolution when style repositories are merged during <see cref="RadFlowDocument" /> merging.
    /// </summary>
    public enum ConflictingStylesResolutionMode
    {
        /// <summary>
        /// Style of the target document will be used.
        /// </summary>
        UseTargetStyle,

        /// <summary>
        /// Style of the source document will be renamed and used.
        /// </summary>
        RenameSourceStyle
    }
}
