namespace Telerik.Windows.Documents.Flow.Model.Fields
{
    /// <summary>
    /// Represents a result of evaluation arguments of comparison field.
    /// </summary>
    internal class ComparisonFieldResult : FieldResult
    {
        internal ComparisonFieldResult(string result, bool error)
            : base(result, error)
        {
        }

        internal ComparisonFieldResult(string result)
            : base(result)
        {
        }

        /// <summary>
        /// Gets the compare value.
        /// </summary>
        /// <value>The compare value.</value>
        public bool CompareValue { get; internal set; }
    }
}