﻿namespace Telerik.Windows.Documents.Flow.Model.Fields
{
    /// <summary>
    /// A field element with configurable code part.
    /// </summary>
    public class CustomCodeField : Field
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="CustomCodeField" /> class.
        /// </summary>
        /// <param name="document">The document.</param>
        public CustomCodeField(RadFlowDocument document)
            : base(document)
        {
        }

        /// <summary>
        /// Gets the field result.
        /// </summary>
        /// <param name="context">The context.</param>
        /// <returns>The field result.</returns>
        internal override FieldResult GetFieldResult(FieldUpdateContext context)
        {
            return null;
        }
    }
}
