namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions
{
    internal class ErrorExpression : Expression
    {
        private readonly ExpressionException error;

        public ErrorExpression(ExpressionException error)
        {
            this.error = error;
        }

        public string ErrorMessage
        {
            get
            {
                return this.error.Message;
            }
        }

        public override ExpressionResult GetResult()
        {
            return new ExpressionResult(this.error);
        }
    }
}