namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions
{
    internal static class ExpressionConstants
    {
        internal const string UnaryPlus = "+";
        internal const string UnaryMinus = "-";
        internal const string Percent = "%";

        internal const string Plus = "+";
        internal const string Minus = "-";
        internal const string Multiplication = "*";
        internal const string Division = "/";
        internal const string Power = "^";

        internal const string Equal = "=";
        internal const string GreaterThan = ">";
        internal const string GreaterThanOrEqualTo = ">=";
        internal const string LessThan = "<";
        internal const string LessThanOrEqualTo = "<=";
        internal const string NotEqual = "<>";

        internal const string LeftParenthesis = "(";
        internal const string RightParenthesis = ")";

        internal const string NumberDecimalSeparator = ".";
        internal const string ListSeparator = ",";

        internal const string TrueLiteral = "TRUE";
        internal const string FalseLiteral = "FALSE";

        internal const string DoubleQuote = "\"";
        internal const string SingleQuote = "'";
        internal const string Comma = ",";
        internal const string Semicolon = ";";

        internal const string Period = ".";
        internal const string Space = " ";

        internal static string TextQualifier
        {
            get
            {
                return DoubleQuote;
            }
        }
    }
}