﻿using System;

namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Functions
{
    internal class NotFunctionExpression : SingleArgumentFunctionExpression
    {
        public NotFunctionExpression(Expression[] arguments)
            : base(arguments)
        {
        }

        public override ExpressionResult GetResult()
        {
            double result = Math.Sign(this.Argument.GetResult().Value) != 0 ? 0 : 1;
            return new ExpressionResult(result);
        }
    }
}