﻿namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Functions
{
    internal class OrFunctionExpression : TwoArgumentFunctionExpression
    {
        public OrFunctionExpression(Expression[] arguments)
            : base(arguments)
        {
        }

        public override ExpressionResult GetResult()
        {
            double result = (this.FirstArgument.GetResult().Value > 0 || this.SecondArgument.GetResult().Value > 0) ? 1 : 0;
            return new ExpressionResult(result);
        }
    }
}