﻿namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Functions
{
    internal class ProductFunctionExpression : FunctionExpression
    {
        public ProductFunctionExpression(Expression[] arguments)
            : base(arguments)
        {
        }

        public override ExpressionResult GetResult()
        {
            double result = this.Arguments.Count > 0 ? 1 : 0;
            foreach (Expression expression in this.Arguments)
            {
                result *= expression.GetResult().Value;
                if (result == 0)
                {
                    break;
                }
            }

            return new ExpressionResult(result);
        }
    }
}