namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions
{
    internal class NumberExpression : Expression
    {
        private readonly double value;

        public NumberExpression(double value)
        {
            this.value = value;
        }

        public double Value
        {
            get
            {
                return this.value;
            }
        }

        public override ExpressionResult GetResult()
        {
            return new ExpressionResult(this.Value);
        }
    }
}