namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Operators
{
    /// <summary>
    /// Abstract class providing methods and properties for using OperatorExpression.
    /// </summary>
    internal abstract class OperatorExpression : Expression
    {
        /// <summary>
        /// Gets the operator info.
        /// </summary>
        /// <value>The operator info.</value>
        /// <returns>The operator info as OperatorInfo.</returns>
        public abstract OperatorInfo OperatorInfo { get; }
    }
}