﻿namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Operators
{
    internal class PercentExpression : UnaryOperatorExpression
    {
        public PercentExpression(Expression operand)
            : base(operand)
        {
        }

        public override OperatorInfo OperatorInfo
        {
            get
            {
                return OperatorInfos.Percent;
            }
        }

        public override ExpressionResult GetResult()
        {
            return new ExpressionResult(this.Operand.GetResult().Value / 100);
        }
    }
}