﻿namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Operators
{
    internal class SubtractionExpression : BinaryOperatorExpression
    {
        public SubtractionExpression(Expression left, Expression right)
            : base(left, right)
        {
        }

        public override OperatorInfo OperatorInfo
        {
            get
            {
                return OperatorInfos.Minus;
            }
        }

        public override ExpressionResult GetResult()
        {
            return new ExpressionResult(this.Left.GetResult().Value - this.Right.GetResult().Value);
        }
    }
}