﻿namespace Telerik.Windows.Documents.Flow.Model
{
    /// <summary>
    /// Provides base functionality for <see cref="Header"/> and <see cref="Footer"/> classes.
    /// </summary>
    public abstract class HeaderFooterBase : BlockContainerBase
    {
        internal HeaderFooterBase(RadFlowDocument document, Section section)
            : base(document)
        {
            this.SetParent(section);
        }
    }
}
