﻿namespace Telerik.Windows.Documents.Flow.Model.Lists
{
    /// <summary>
    /// Describes the type of a list.
    /// </summary>
    public enum MultilevelType
    {
        /// <summary>
        /// Single level list. For single level lists, only first list level is significant.
        /// </summary>
        SingleLevel,

        /// <summary>
        /// Multilevel list.
        /// </summary>
        Multilevel,

        /// <summary>
        /// Hybrid-multilevel list.
        /// </summary>
        HybridMultilevel
    }
}
