﻿namespace Telerik.Windows.Documents.Flow.Model.Styles.Core
{
    /// <summary>
    /// Establishes common functionality for validation rules.
    /// </summary>
    public interface IValidationRule
    {
        /// <summary>
        /// Determines whether the specified value is valid.
        /// </summary>
        /// <param name="value">The value.</param>
        /// <returns></returns>
        bool IsValid(object value);
    }
}
