﻿namespace Telerik.Windows.Documents.Flow.Model.Styles.Core
{
    internal class LocalProperty<TValue> : StylePropertyBase<TValue>
    {
        public LocalProperty(StylePropertyDefinition<TValue> propertyDefinition, DocumentElementPropertiesBase propertyContainer)
            : base(propertyDefinition, propertyContainer)
        {
            this.LocalValue = this.PropertyDefinitionOfT.DefaultValue;
        }

        public override bool HasLocalValue
        {
            get
            {
                return true;
            }
        }

        public override TValue GetActualValue()
        {
            return (this.LocalValue != null) ? this.LocalValue : this.PropertyDefinitionOfT.DefaultValue;
        }

        public override void ClearValue()
        {
            this.LocalValue = this.PropertyDefinitionOfT.DefaultValue;
        }
    }
}