namespace Telerik.Windows.Documents.Flow.Model.Styles
{
    /// <summary>
    /// Establishes common functionality for elements containing their properties in DocumentElementPropertiesBase.
    /// </summary>
    public interface IElementWithProperties
    {
        /// <summary>
        /// Gets the properties.
        /// </summary>
        /// <value>The properties.</value>
        DocumentElementPropertiesBase Properties { get; }
    }
}