﻿using Telerik.Windows.Documents.Flow.Model.Styles.Core;
using Telerik.Windows.Documents.Primitives;

namespace Telerik.Windows.Documents.Flow.Model.Styles
{
    /// <summary>
    /// Establishes common functionality for document element properties with padding.
    /// </summary>
    internal interface IPropertiesWithPadding
    {
        /// <summary>
        /// Gets the padding.
        /// </summary>
        /// <value>The padding.</value>
        IStyleProperty<Padding> Padding { get; }
    }
}
