﻿namespace Telerik.Windows.Documents.Flow.Model.Styles
{
    /// <summary>
    /// Defines constants that specify the content flow direction for text elements. 
    /// </summary>
    public enum FlowDirection
    {
        /// <summary>
        /// Indicates that content should flow from left to right.
        /// </summary>
        LeftToRight,

        /// <summary>
        /// Indicates that content should flow from right to left.
        /// </summary>
        RightToLeft
    }
}
