﻿namespace Telerik.Windows.Documents.Flow.Model.Styles
{
    /// <summary>
    /// Describes paragraph outline level. The outline level defines the level of this paragraph in TOC field.
    /// </summary>
    public enum OutlineLevel
    {
        /// <summary> No outline level.</summary>
        None,

        /// <summary> Outline level 1.</summary>
        Level1,

        /// <summary> Outline level 2.</summary>
        Level2,

        /// <summary> Outline level 3.</summary>
        Level3,

        /// <summary> Outline level 4.</summary>
        Level4,

        /// <summary> Outline level 5.</summary>
        Level5,

        /// <summary> Outline level 6.</summary>
        Level6,

        /// <summary> Outline level 7.</summary>
        Level7,

        /// <summary> Outline level 8.</summary>
        Level8,

        /// <summary> Outline level 9.</summary>
        Level9
    }
}