﻿namespace Telerik.Windows.Documents.Flow.Model.Styles
{
    /// <summary>
    /// Describes the type of a style.
    /// </summary>
    public enum StyleType
    {
        /// <summary>
        /// Character style.
        /// </summary>
        Character,

        /// <summary>
        /// Paragraph style.
        /// </summary>
        Paragraph,

        /// <summary>
        /// Table style.
        /// </summary>
        Table,

        /// <summary>
        /// Numbering style.
        /// </summary>
        Numbering
    }
}
