﻿namespace Telerik.Windows.Documents.Flow.Model.Watermarks
{
    /// <summary>
    /// Describes the type of a <see cref="Watermark"/>.
    /// </summary>
    public enum WatermarkType
    {
        /// <summary>
        /// Watermark containing image.
        /// </summary>
        Image,

        /// <summary>
        /// Watermark containing text.
        /// </summary>
        Text
    }
}
