﻿using CsQuery;
using Telerik.Windows.Documents.Flow.FormatProviders.Html;
using Telerik.Windows.Documents.Flow.Model;

namespace Telerik.Windows.Documents.Flow.InternalTests.Integration.Html.Export
{
    internal static class ExportHelper
    {
        public static CQ ExportDocumentToCq(RadFlowDocument document, HtmlExportSettings exportSettings = null)
        {
            HtmlFormatProvider provider = new HtmlFormatProvider();
            provider.ExportSettings = (exportSettings != null) ? exportSettings : provider.ExportSettings;

            string html = provider.Export(document);

            return new CQ(html);
        }
    }
}
