﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.Model.Collections;

namespace Telerik.Windows.Documents.Flow.InternalTests.Model.Collections
{
    [TestClass]
    public class DocumentVariableCollectionTests
    {
        [TestMethod]
        public void Contains_ShouldBeCaseInsensitive()
        {
            // Arrange
            DocumentVariableCollection collection = new DocumentVariableCollection();

            // Act
            collection.Add("project_name", "PROJECT NAME");

            // Assert
            Assert.IsTrue(collection.Contains("PROJECT_NAME"));
        }
    }
}
