﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.Model;
using Telerik.Windows.Documents.Flow.Model.Collections;

namespace Telerik.Windows.Documents.Flow.InternalTests.Model.Collections
{
    [TestClass]
    public class TableCellCollectionTests
    {
        [TestMethod]
        public void AddTableCell_AddsTableCellWithCorrectParentAndDocument()
        {
            RadFlowDocument expectedDocument = new RadFlowDocument();
            TableRow tableRow = new TableRow(expectedDocument);

            TableCellCollection tableCellCollection = new TableCellCollection(tableRow);

            TableCell tableCell = tableCellCollection.AddTableCell();

            Assert.AreEqual(expectedDocument, tableCell.Document);
            Assert.AreEqual(tableRow, tableCell.Parent);
        }
    }
}
