﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.Model;
using Telerik.Windows.Documents.Flow.Model.Collections;

namespace Telerik.Windows.Documents.Flow.InternalTests.Model.Collections
{
    [TestClass]
    public class TableRowCollectionTests
    {
        [TestMethod]
        public void AddTableRow_AddsTableRowWithCorrectParentAndDocument()
        {
            RadFlowDocument expectedDocument = new RadFlowDocument();
            Table table = new Table(expectedDocument);

            TableRowCollection tableRowCollection = new TableRowCollection(table);

            TableRow tableRow = tableRowCollection.AddTableRow();

            Assert.AreEqual(expectedDocument, tableRow.Document);
            Assert.AreEqual(table, tableRow.Parent);
        }
    }
}
