﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.Model.Lists;

namespace Telerik.Windows.Documents.Flow.InternalTests.Model.Lists
{
    [TestClass]
    public class ListTests
    {
        [TestMethod]
        public void DetachOldListLevelFromListTest()
        {
            List list = new List();

            list.Levels[2].StartIndex = 4;

            List newList = new List();

            ListLevel listLevelClone = list.Levels[2].Clone(newList);
            ListLevel oldListLevel = newList.Levels[2];
            newList.Levels[2] = listLevelClone;

            Assert.IsNull(oldListLevel.OwnerList);
        }
    }
}
