﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.Model.Shapes;

namespace Telerik.Windows.Documents.Flow.InternalTests.Model.Shapes
{
    [TestClass]
    public class ShapeWrappingTests
    {
        [TestMethod]
        public void Clone_WhenInvoked_CreatesCloning()
        {
            // Arrange
            ShapeWrapping shapeWrapping = new ShapeWrapping();
            shapeWrapping.TextWrap = TextWrap.LeftOnly;
            shapeWrapping.WrappingType = ShapeWrappingType.None;

            // Act
            ShapeWrapping clonedShapeWrapping = shapeWrapping.Clone();

            // Assert
            Assert.AreEqual(TextWrap.LeftOnly, clonedShapeWrapping.TextWrap);
            Assert.AreEqual(ShapeWrappingType.None, clonedShapeWrapping.WrappingType);
        }
    }
}
