﻿using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Commands.WorkbookCommands
{
    internal class ReapplyCellStyleCommandContext : WorkbookCommandContextBase
    {
        #region Fields

        private readonly string oldValue;
        private readonly string newValue;

        #endregion


        #region Properties

        public string OldValue
        {
            get
            {
                return this.oldValue;
            }
        }

        public string NewValue
        {
            get
            {
                return this.newValue;
            }
        }

        #endregion


        #region Constructors

        public ReapplyCellStyleCommandContext(Workbook workbook, string oldValue)
            : base(workbook)
        {
            this.oldValue = oldValue;
            this.newValue = oldValue;
        }
            
        #endregion
    }
}