﻿using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Commands.WorkbookCommands
{
    internal class SetWorkbookPropertyCommandContext<T> : WorkbookCommandContextBase
    {
        #region Fields

        private T oldValue;
        private readonly T newValue;

        #endregion


        #region Properties

        public T OldValue
        {
            get
            {
                return this.oldValue;
            }
            internal set
            {
                this.oldValue = value;
            }
        }

        public T NewValue
        {
            get
            {
                return this.newValue;
            }
        }

        #endregion


        #region Constructors

        public SetWorkbookPropertyCommandContext(Workbook workbook, T newValue)
            : base(workbook)
        {
            this.newValue = newValue;
        }

        #endregion
    }
}