﻿using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.PropertySystem;

namespace Telerik.Windows.Documents.Spreadsheet.Commands.WorksheetCommands
{
    internal class ClearCellPropertyCommandContext<T> : SetCellPropertyCommandContext<T>
    {
        #region Constructors

        public ClearCellPropertyCommandContext(Worksheet worksheet, IPropertyDefinition<T> property, CellRange cellRange)
            : base(worksheet, property, cellRange, null)
        {
        }

        #endregion
    }
}