﻿using Telerik.Windows.Documents.Spreadsheet.Core;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.PropertySystem;

namespace Telerik.Windows.Documents.Spreadsheet.Commands.WorksheetCommands
{
    internal abstract class SetPropertyInRangeCommandContext<T> : SetPropertyCommandContextBase<T>
	{
		#region Fields

		private readonly ValueBox<T> newValue;

		#endregion


		#region Properties

		public ValueBox<T> NewValue
		{
			get
			{
				return this.newValue;
			}
		}

		#endregion


		#region Constructors

		public SetPropertyInRangeCommandContext(Worksheet worksheet, IPropertyDefinition<T> property, ValueBox<T> newValue)
            : base(worksheet, property)
		{
			this.newValue = newValue;
		}

		#endregion
	}
}