﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Core.DataStructures
{
    internal class LongRange
    {
        #region Fields

        private long start;
        private long end;

        #endregion


        #region Properties

        public long Start
        {
            get
            {
                return this.start;
            }
            internal set
            {
                this.start = value;
            }
        }

        public long End
        {
            get
            {
                return this.end;
            }
            internal set
            {
                this.end = value;
            }
        }

        public long Length
        {
            get
            {
                return this.end - this.start + 1;
            }
        }

        #endregion


        #region Constructors

        public LongRange()
        {
        }

        public LongRange(long start, long end)
        {
            this.start = start;
            this.end = end;
        }

        #endregion
    }
}