﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    /// <summary>
    /// Provides methods and properties for using EmptyExpression.
    /// </summary>
    public class EmptyExpression : ConstantExpression<string>
    {
        #region Constants

        /// <summary>
        /// The EmptyExpression.
        /// </summary>
        public static readonly EmptyExpression Empty = new EmptyExpression();

        #endregion


        #region Constructors

        internal EmptyExpression()
            : base(string.Empty)
        { }

        #endregion
    }
}
