﻿namespace Telerik.Windows.Documents.Spreadsheet.Expressions.Functions
{
    /// <summary>
    /// Abstract class for creating function with String arguments.
    /// </summary>
    public abstract class StringsInFunction : FunctionWithSameTypeArguments<string>
    {
        #region Properties

        /// <summary>
        /// Gets the argument conversion rules.
        /// </summary>
        /// <returns>The argument conversion rules as ArgumentConversionRules.</returns>
        /// <value>The argument conversion rules.</value>
        public override ArgumentConversionRules ArgumentConversionRules
        {
            get
            {
                return ArgumentConversionRules.NumberFunctionConversion;
            }
        }

        #endregion
    }
}