﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    /// <summary>
    /// Represents the array list separator input string.
    /// </summary>
    internal class ArrayListSeparatorInputString : UserInputStringBase
    {
        public override string ToString(SpreadsheetCultureHelper cultureInfo)
        {
            return cultureInfo.ArrayListSeparator;
        }
        
        public override UserInputStringBase Clone()
        {
            return new ArrayListSeparatorInputString();
        }
    }
}
