﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    /// <summary>
    /// Represents the array row separator input string.
    /// </summary>
    internal class ArrayRowSeparatorInputString : UserInputStringBase
    {
        public override string ToString(SpreadsheetCultureHelper cultureInfo)
        {
            return cultureInfo.ArrayRowSeparator;
        }

        public override UserInputStringBase Clone()
        {
            return new ArrayRowSeparatorInputString();
        }
    }
}
