﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    internal class CellReferenceInputString : UserInputStringBase<CellReferenceRangeExpression>
    {
        public override bool IsSheetNameDependent
        {
            get
            {
                return this.Expression.IsValid;
            }
        }

        public CellReferenceInputString(CellReferenceRangeExpression expression)
            : base(expression)
        {            
        }

        public override string ToString(SpreadsheetCultureHelper cultureInfo)
        {
            return this.Expression.ToString(cultureInfo);
        }

        public override UserInputStringBase Clone()
        {
            return new CellReferenceInputString(this.Expression);
        }
    }
}
