﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    /// <summary>
    /// Represents translatable input string class.
    /// </summary>
    internal class ExpressionInputString : UserInputStringBase<RadExpression>
    {
        public ExpressionInputString(RadExpression expression)
            : base(expression)
        {
         
        }

        public override string ToString(SpreadsheetCultureHelper cultureInfo)
        {
            return this.Expression.ToString(cultureInfo);
        }

        public override UserInputStringBase Clone()
        {
            return new ExpressionInputString(this.Expression);
        }
    }
}
