﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    /// <summary>
    /// Represents the format input string class.
    /// </summary>
    internal class FormatInputString : UserInputStringBase
    {
        private readonly string stringValue;

        public FormatInputString(string value)
        {
            this.stringValue = value;
        }

        public override string ToString(SpreadsheetCultureHelper cultureInfo)
        {
            return this.stringValue;
        }

        public override UserInputStringBase Clone()
        {
            return new FormatInputString(this.stringValue);
        }
    }
}
