﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    internal abstract class UserInputStringBase<T> : UserInputStringBase
           where T : RadExpression
    {
        private T expression;

        public T Expression
        {
            get
            {
                return this.expression;
            }
            set
            {
                this.expression = value;
            }
        }

        public UserInputStringBase(T expression)
        {
            this.expression = expression;
        }
    }
}
