﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions.Parser
{
    /// <summary>
    /// Represents cell reference expression token.
    /// </summary>
    internal class CellReferenceExpressionToken : WorksheetDependentExpressionToken
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="CellReferenceExpressionToken" /> class.
        /// </summary>
        /// <param name="worksheetName">Name of the worksheet.</param>
        /// <param name="cellName">Name of the cell.</param>
        public CellReferenceExpressionToken(string worksheetName, string cellName) 
            : base(ExpressionTokenType.A1CellReference, worksheetName, cellName)
        { 

        }
    }
}
