﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions.Parser
{
    /// <summary>
    /// Represents defined name expression token.
    /// </summary>
    internal class DefinedNameExpressionToken : WorksheetDependentExpressionToken
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DefinedNameExpressionToken" /> class.
        /// </summary>
        /// <param name="worksheetName">Name of the worksheet.</param>
        /// <param name="variableName">Name of the variable.</param>
        public DefinedNameExpressionToken(string worksheetName, string variableName) 
            : base(ExpressionTokenType.DefinedName, worksheetName, variableName)
        {

        }
    }
}
