﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders
{
    /// <summary>
    /// Provides options describing which part of the document should be exported.
    /// </summary>
    public enum ExportWhat
    {
        /// <summary>
        /// Export the active sheet option.
        /// </summary>
        ActiveSheet,

        /// <summary>
        /// Export the entire workbook option.
        /// </summary>
        EntireWorkbook,

        /// <summary>
        /// Export only the selected ranges option.
        /// </summary>
        Selection
    }
}
