﻿namespace Telerik.Windows.Documents.Spreadsheet.Formatting.FormatStrings
{
    /// <summary>
    /// Defines format string type.
    /// </summary>
    public enum FormatStringType
    {
        /// <summary>
        /// Number format string type.
        /// </summary>
        Number,

        /// <summary>
        /// DateTime format string type.
        /// </summary>
        DateTime,

        /// <summary>
        /// Text format string type.
        /// </summary>
        Text
    }
}