﻿using System;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Formatting.FormatStrings
{
    /// <summary>
    /// Represents the invalid format string exception.
    /// </summary>
    public class InvalidFormatStringException : LocalizableException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="InvalidFormatStringException" /> class.
        /// </summary>
        public InvalidFormatStringException() 
            : base("Invalid Formatting String.", "Spreadsheet_ErrorExpressions_FormatStringInvalid")
        {
        }
    }
}
