﻿using System;
using System.Windows;
using Telerik.Windows.Documents.Spreadsheet.Model;
#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Theming;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.Spreadsheet.Layout.Layers
{
    internal class GradientFillRenderable : IRenderable
    {
        public GradientFill GradientFill { get; set; }
        public ThemeColorScheme ColorScheme { get; set; }
        public Rect BoundingRectangle { get; set; }

        public override string ToString()
        {
            return String.Format("GradientFillRenderable: Rect={0}, GradientType={1}", this.BoundingRectangle, this.GradientFill.GradientType);
        }
    }
}
