﻿using System;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Layout.Layers
{
    internal class GridlinesLayer : CellBordersLayerBase
    {
        public const bool ShouldShowTopLeftMostBorders = false;
        public const bool SupportDiagonals = false;
        public static readonly Func<CellBorder, bool> ShowBorder = (border) => border == CellBorder.Default;

        public GridlinesLayer(IRenderer<LineRenderable> lineRenderer)
            : base(lineRenderer, GridlinesLayer.ShouldShowTopLeftMostBorders, GridlinesLayer.SupportDiagonals, GridlinesLayer.ShowBorder, WorksheetPredefinedLayers.Gridlines)
        {
        }
    }
}
