﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Spreadsheet.Layout
{
    // TODO: Rethik this maybe you will want to freeze bottom and right

    /// <summary>
    /// Defines viewport pane types.
    /// </summary>
    public enum ViewportPaneType
    {
        /// <summary>
        /// Fixed viewport pane type.
        /// </summary>
        Fixed, // TopLeft
        
        /// <summary>
        /// Horizontal scrollable viewport pane type.
        /// </summary>
        HorizontalScrollable, // TopRight

        /// <summary>
        /// Vertical scrollable viewport pane type.
        /// </summary>
        VerticalScrollable, // BottomLeft,

        /// <summary>
        /// Scrollable viewport pane type.
        /// </summary>
        Scrollable // BottomRight
    }
}