namespace Telerik.Windows.Documents.Spreadsheet.Maths
{
    /// <summary>
    /// Enumeration of supported temperature units.
    /// </summary>
    internal enum TemperatureUnit
    {
        /// <summary>
        /// Celsius "C" or "cel"
        /// </summary>
        Celsius,
        /// <summary>
        /// Fahrenheit "F" or "fah"
        /// </summary>
        Fahrenheit,
        /// <summary>
        /// Kelvin "K" or "kel"
        /// </summary>
        Kelvin,
        /// <summary>
        /// Rankine "Rank"
        /// </summary>
        Rankine,
        /// <summary>
        /// Reaumur "Reau"
        /// </summary>
        Reaumur
    }
}