namespace Telerik.Windows.Documents.Spreadsheet.Maths
{
    /// <summary>
    /// Enumeration of supported time units.
    /// </summary>
    internal enum TimeUnit
    {
        /// <summary>
        /// A year "yr"
        /// </summary>
        Year,
        /// <summary>
        /// A day "d" or "day"
        /// </summary>
        Day,
        /// <summary>
        /// An hour "hr"
        /// </summary>
        Hour,
        /// <summary>
        /// A minute "mn" or "min"
        /// </summary>
        Minute,
        /// <summary>
        /// A second "s" or "sec"
        /// </summary>
        Second
    }
}