﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Defines the types of merge state of a cell.
    /// </summary>
    public enum CellMergeState
    {
        /// <summary>
        /// NotMerged cell merge state.
        /// </summary>
        NotMerged,

        /// <summary>
        /// TopLeftCellInMergedRange cell merge state.
        /// </summary>
        TopLeftCellInMergedRange,

        /// <summary>
        /// NonTopLeftCellInMergedRange cell merge state.
        /// </summary>
        NonTopLeftCellInMergedRange
    }
}