﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Model.Filtering
{
    /// <summary>
    /// Defines the possible options for the type of the top filter.
    /// </summary>
    public enum TopFilterType
    {
        /// <summary>
        /// TopNumber top filter type.
        /// </summary>
        TopNumber,

        /// <summary>
        /// BottomNumber top filter type.
        /// </summary>
        BottomNumber,

        /// <summary>
        /// TopPercent top filter type.
        /// </summary>
        TopPercent,

        /// <summary>
        /// BottomPercent top filter type.
        /// </summary>
        BottomPercent
    }
}
