﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Describes the types of find in content options for the find and replace actions.
    /// </summary>
    public enum FindInContentType
    {
        /// <summary>
        /// Find in formulas content type.
        /// </summary>
        Formulas,

        /// <summary>
        /// Find in values content type.
        /// </summary>
        Values,
        //Comments
    }
}