﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Defines the types of find within options for the find and replace actions.
    /// </summary>
    public enum FindWithin
    {
        /// <summary>
        /// Find within sheet.
        /// </summary>
        Sheet,

        /// <summary>
        /// Find within workbook.
        /// </summary>
        Workbook
    }
}