﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Describes the types of hyperlinks.
    /// </summary>
    public enum HyperlinkType
    {
        /// <summary>
        /// Url hyperlink type.
        /// </summary>
        Url,

        /// <summary>
        /// Mailto hyperlink type.
        /// </summary>
        Mailto,

        /// <summary>
        /// InDocument hyperlink type.
        /// </summary>
        InDocument
    }
}
