﻿#if NETCORE || NETSTANDARD
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Defines members for the sheet view state classes.
    /// </summary>
    public interface ISheetViewState
    {
        /// <summary>
        /// Gets or sets the color of the tab.
        /// </summary>
        /// <value>The color of the tab.</value>
        ThemableColor TabColor { get; set; }

        /// <summary>
        /// Gets or sets the is invalidated.
        /// </summary>
        /// <value>The is invalidated.</value>
        bool IsInvalidated { get; set; }
    }
}