﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Model.Printing
{
    internal static class HeaderFooterFieldSymbols
    {
        public const char FieldStartSymbol = '&';
        public const char AmpersandSymbol = FieldStartSymbol;
        public const char FontPropertiesStartSymbol = '"';
        public const char FontPropertiesEndSymbol = FontPropertiesStartSymbol;
        public const char FontPropertiesSeparator = ',';
        public const char FontPropertiesNormalFontFamily = '-';
        public const char ColorSymbol = 'K';
        public const char LeftSectionSymbol = 'L';
        public const char CenterSectionSymbol = 'C';
        public const char RightSectionSymbol = 'R';
        public const char BoldSymbol = 'B';
        public const char ItalicSymbol = 'I';
        public const char UnderlineSymbol = 'U';
        public const char DoubleUnderlineSymbol = 'E';
        public const char StrikeThroughSymbol = 'S';
        public const char SubscriptSymbol = 'Y';
        public const char SuperscriptSymbol = 'X';
        public const char FontSizeAndNumberTextSeparatorSymbol = ' ';
        public const char PageNumberSymbol = 'P';
        public const char AddToPageNumberSymbol = '+';
        public const char SubstractFromPageNumberSymbol = '-';
        public const char NumberOfPagesSymbol = 'N';
        public const char DateSymbol = 'D';
        public const char TimeSymbol = 'T';
        public const char FilePathSymbol = 'Z';
        public const char FileNameSymbol = 'F';
        public const char SheetNameSymbol = 'A';
        public const char PictureSymbol = 'G';
        public const char OutlineStyle = 'O';
        public const char ShadowStyle = 'H';
    }
}
