﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Model.Protection
{
    internal class WorkbookProtectionOptions
    {
        public static readonly WorkbookProtectionOptions Default = new WorkbookProtectionOptions();

        private readonly bool lockStructure;
        private readonly bool lockWindows;

        public bool LockStructure
        {
            get
            {
                return this.lockStructure;
            }
        }

        public bool LockWindows
        {
            get
            {
                return this.lockWindows;
            }
        }

        public WorkbookProtectionOptions(bool lockStructure = true, bool lockWindows = false)
        {
            this.lockStructure = lockStructure;
            this.lockWindows = lockWindows;
        }
    }
}
