﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Describes the types of vertical alignments.
    /// </summary>
    public enum RadVerticalAlignment
    {
        /// <summary>
        /// Bottom vertical alignment.
        /// </summary>
		Bottom,

        /// <summary>
        /// Center vertical alignment.
        /// </summary>
		Center,

        /// <summary>
        /// Top vertical alignment.
        /// </summary>
		Top,

        /// <summary>
        /// Justify vertical alignment.
        /// </summary>
		Justify,

        /// <summary>
        /// Distributed vertical alignment.
        /// </summary>
		Distributed,

        /// <summary>
        /// Undetermined vertical alignment.
        /// </summary>
        Undetermined
	}
}