﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Describes the types of shifting of the cells.
    /// </summary>
    public enum ShiftType
    {
        /// <summary>
        /// Left shift type.
        /// </summary>
        Left,

        /// <summary>
        /// Up shift type.
        /// </summary>
        Up,

        /// <summary>
        /// Right shift type.
        /// </summary>
        Right,

        /// <summary>
        /// Down shift type.
        /// </summary>
        Down
    }
}