﻿using System;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.PropertySystem
{
    internal interface IProperty
    {
        IPropertyDefinition PropertyDefinition { get; }

        void ClearValue(CellRange cellRange);

        /// <summary>
        /// Sets the default value as local value.
        /// </summary>
        /// <param name="cellRange">The cell range.</param>
        void SetDefaultValue(CellRange cellRange);
    }
}