﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.PropertySystem
{
    internal class SortedEventArgs : EventArgs
    {
        public CellRange Range { get; private set; }
        public int[] SortedIndexes { get; private set; }

        internal SortedEventArgs(CellRange range, int[] sortedIndexes)
        {
            this.Range = range;
            this.SortedIndexes = sortedIndexes;
        }
    }
}