﻿namespace Telerik.Windows.Documents.Spreadsheet.Utilities
{
    /// <summary>
    /// Represents the unit types used by the RadSpreadsheet.
    /// </summary>
    public enum UnitType
    {
        /// <summary>
        /// Dip unit type.
        /// </summary>
		Dip = 0,

        /// <summary>
        /// Point unit type.
        /// </summary>
        Point = 1,

        /// <summary>
        /// Pica unit type.
        /// </summary>
        Pica = 2,

        /// <summary>
        /// Inch unit type.
        /// </summary>
        Inch = 3,

        /// <summary>
        /// Mm unit type.
        /// </summary>
        Mm = 4,

        /// <summary>
        /// Cm unit type.
        /// </summary>
        Cm = 5,

        /// <summary>
        /// Twip unit type.
        /// </summary>
        Twip = 6,
	}
}