﻿using Telerik.Windows.Documents.Spreadsheet.Utilities;
#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Model;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Contexts
{
    internal class GradientStop
    {
        private readonly double position;
        private readonly ThemableColor color;

        public GradientStop(double position, ThemableColor color)
        {
            Guard.ThrowExceptionIfNull(color, "color");

            this.position = position;
            this.color = color;
        }

        public double Position
        {
            get
            {
                return this.position;
            }
        }

        public ThemableColor ThemableColor
        {
            get
            {
                return this.color;
            }
        }
    }
}