﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Contexts
{
    internal class RichTextRunSharedString : SharedString
    {
        private readonly string text;

        public RichTextRunSharedString(string text)
        {
            this.text = text;
        }

        public string Text
        {
            get
            {
                return this.text;
            }
        }

        public override SharedStringType Type
        {
            get
            {
                return SharedStringType.RichText;
            }
        }
    }
}