﻿using System;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Contexts
{
    internal abstract class XlsxWorksheetContextBase
    {
        private readonly Worksheet worksheet;

        public XlsxWorksheetContextBase(Worksheet worksheet)
        {
            Guard.ThrowExceptionIfNull(worksheet, "worksheet");
            this.worksheet = worksheet;
        }
        
        public Worksheet Worksheet
        {
            get
            {
                return this.worksheet;
            }
        }
    }
}