﻿using Telerik.Windows.Documents.Spreadsheet.Layout.Layers;
using Telerik.Windows.Documents.Spreadsheet.Model.Shapes;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.Pdf.Export.Layers
{
    internal class ChartPdfSource : IShapeSource
    {
        private readonly FloatingChartShape chartShape;

        public ChartPdfSource(FloatingChartShape chartShape)
        {
            this.chartShape = chartShape;
        }

        public FloatingChartShape ChartShape
        {
            get
            {
                return this.chartShape;
            }
        }

        bool IShapeSource.IsLocked { get; set; }
    }
}
