﻿using System;
using Telerik.Windows.Documents.Fixed.Model.Editing;
using Telerik.Windows.Documents.Spreadsheet.Core;
using Telerik.Windows.Documents.Spreadsheet.Layout.Layers;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.Pdf.Export.Layers
{
    internal class PdfLayerStack : NamedObjectList<PdfLayerBase>
    {
        public void UpdateRender(PdfPrintWorksheetRenderUpdateContext updateContext, FixedContentEditor editor)
        {
            foreach (PdfLayerBase layer in this)
            {
                layer.UpdateRender(updateContext, editor);
            }
        }
    }
}
