﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.Model.Shapes;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.ImportExportTests
{
    [TestClass]
    public class ImportAttributeWithNonDefaultNamespacePrefix : ImportExportTestClassBase
    {
        public override Workbook ArrangeWorkbook()
        {
            throw new NotImplementedException();
        }

        public override void AssertWorkbookImportedCorrectly(Workbook workbook)
        {
            Worksheet worksheet = workbook.Worksheets["Sheet1"];

            FloatingImage shape = worksheet.Shapes.FirstOrDefault() as FloatingImage;
            Assert.IsNotNull(shape);

            Assert.IsNotNull(shape.ImageSource);
        }

        [TestMethod]
        [TestCategory("ImportExport")]
        public void ImportAttributeWithNonDefaultNamespacePrefixTest()
        {
            this.ImportFileAndAssert("NonDefaultAttributeNamespace.xlsx");
        }
    }
}
