﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.ImportExportTests
{
    [TestClass]
    public class ImportCellValuesTests : ImportExportTestClassBase
    {
        public override Workbook ArrangeWorkbook()
        {
            throw new NotImplementedException();
        }

        public override void AssertWorkbookImportedCorrectly(Workbook workbook)
        {
            Worksheet worksheet = workbook.Worksheets["Sheet1"];

            string a1 = worksheet.Cells[0, 0, 0, 0].GetValue().Value.RawValue;
            Assert.AreEqual(string.Empty, a1);
        }

        [TestMethod]
        [TestCategory("ImportExport")]
        public void ImportProtectedWorkbookTest()
        {
            this.ImportFileAndAssert("ImportSingleEmptyValueCell.xlsx");
        }
    }
}
