﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.Tests.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.ImportExportTests
{
    [TestClass]
    public class ImportDirectFormattingWithMissingCellStyleTests
    {
        [TestMethod]
        public void Workbook_WhenHasDirectFormattingWhichPointsToMissingCellStyle_IsImported()
        {
            // Arrange & Act
            Workbook workbook = TestHelper.GetWorkbookFromFile("ImportDirectFormattingMissingCellStyle.xlsx");
            Worksheet worksheet = workbook.Worksheets[0];

            // Assert
            Assert.AreEqual("test", worksheet.Cells[0, 0].GetValue().Value.RawValue);
        }
    }
}