﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.ImportExportTests
{
    [TestClass]
    public class ImportDocumentContainingDefaultValuesForShowRowColumnHeadingsExcelExport : ImportExportTestClassBase
    {
        public override Workbook ArrangeWorkbook()
        {
            throw new NotImplementedException();
        }

        public override void AssertWorkbookImportedCorrectly(Workbook workbook)
        {
            Assert.AreEqual(true, workbook.Worksheets[0].ViewState.ShowGridLines);
            Assert.AreEqual(true, workbook.Worksheets[0].ViewState.ShowRowColHeaders);
        }

        [TestMethod]
        [TestCategory("ImportExport")]
        public void ImportDocumentContainingDefaultValuesForShowRowColumnHeadingsExcelExportTest()
        {
            ImportFileAndAssert("DafaultValuesShowRowColumnHeadingsExcelExported.xlsx");
        }
    }
}