﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Windows;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.Tests.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.ImportExportTests.ViewStateTests
{
    [TestClass]
    public class ScaleFactorTests : ImportExportTestClassBase
    {
        public override Workbook ArrangeWorkbook()
        {
            Workbook workbook = TestHelper.CreateNonEmptyWorkbook();
            workbook.ActiveWorksheet.ViewState.ScaleFactor = new Size(0.8, 0.8);

            return workbook;
        }

        public override void AssertWorkbookImportedCorrectly(Workbook workbook)
        {
            throw new NotImplementedException();
        }

        [TestMethod]
        [TestCategory("ImportExport")]
        public void AssertScaleFactor_ImportExport()
        {
            this.ArrangeWorkbookExportImportAssert();
        }
    }
}
