﻿using System;
using System.Collections.Generic;
using System.IO;
using Telerik.Windows.Documents.Spreadsheet.FormatProviders;
using Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.ImportExportTests
{
    public class XlsmTestFormatProvider : WorkbookFormatProviderBase
    {
        public override string Name
        {
            get 
            { 
                return "XlsmTestFormatprovider"; 
            }
        }

        public override IEnumerable<string> SupportedExtensions
        {
            get 
            { 
                return new string[] {".xlsm"}; 
            }
        }

        public override bool CanImport
        {
            get { return true; }
        }

        public override bool CanExport
        {
            get { return false; }
        }

        protected override Workbook ImportOverride(Stream input)
        {
            XlsxFormatProvider xlsxFormatprovider = new XlsxFormatProvider();

            return xlsxFormatprovider.Import(input);
        }
    }
}
