﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class BubbleSeriesEqualityComparer : PointSeriesBaseEqualityComparer<BubbleSeries>
    {
        static BubbleSeriesEqualityComparer()
        {
            RegisterComparerFunction("BubbleSizes", CompareBubbleSize);
        }

        private static bool CompareBubbleSize(BubbleSeries arg1, BubbleSeries arg2)
        {
            IChartData value1 = arg1.BubbleSizes;
            IChartData value2 = arg1.BubbleSizes;

            return SeriesBaseEqualityComparer<BubbleSeries>.CompareIChartData(value1, value2);
        }
    }
}
