﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class LineSeriesGroupEqualityConverter : SeriesGroupEqualityComparer<LineSeriesGroup>
    {
        public LineSeriesGroupEqualityConverter()
        {
            RegisterComparerFunction("AxisGroupName", this.CompareAxisGroupName);
            RegisterComparerFunction("Grouping", this.CompareGrouping);
        }

        private bool CompareGrouping(LineSeriesGroup arg1, LineSeriesGroup arg2)
        {
            bool result = arg1.Grouping == arg2.Grouping;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }

        private bool CompareAxisGroupName(LineSeriesGroup arg1, LineSeriesGroup arg2)
        {
            bool result = arg1.AxisGroupName == arg2.AxisGroupName;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }
    }
}
