﻿using System.Collections.Generic;
using Telerik.Windows.Documents.Model.Drawing.Theming;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class NoFillEqualityComparer : EqualityComparer<NoFill>
    {
        public override bool Equals(NoFill x, NoFill y)
        {
            if (x == null && y == null)
            {
                return true;
            }

            if (x == null || y == null)
            {
#if DEBUG
                System.Diagnostics.Debug.Assert(false);
#endif

                return false;
            }

            return true;
        }

        public override int GetHashCode(NoFill obj)
        {
            return obj.GetHashCode();
        }
    }
}
