﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class ScatterSeriesGroupEqualityConverter : SeriesGroupEqualityComparer<ScatterSeriesGroup>
    {
        public ScatterSeriesGroupEqualityConverter()
        {
            RegisterComparerFunction("AxisGroupName", this.CompareAxisGroupName);
        }

        private bool CompareAxisGroupName(ScatterSeriesGroup arg1, ScatterSeriesGroup arg2)
        {
            bool result = arg1.AxisGroupName == arg2.AxisGroupName;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }
    }
}
