﻿using Telerik.Windows.Documents.Model.Drawing.Theming;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class SolidFillEqualityComparer : SafeEqualityComparerBase<SolidFill>
    {
        static SolidFillEqualityComparer()
        {
            RegisterComparerFunction("Color", CompareColor);
        }

        private static bool CompareColor(SolidFill fill1, SolidFill fill2)
        {
            ThemableColor value1 = fill1.Color;
            ThemableColor value2 = fill2.Color;

            bool result = value1 == value2;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }
    }
}
