﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class TitleEqualityComparerBase<T> : SafeEqualityComparerBase<T>
        where T : Title
    {
        static TitleEqualityComparerBase()
        {
            RegisterComparerFunction("TitleType", CompareTitleType);
        }

        private static bool CompareTitleType(T arg1, T arg2)
        {
            bool result = arg1.TitleType == arg2.TitleType;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }
    }
}
