﻿using System;
using Telerik.Windows.Controls;

namespace Telerik.Windows.Documents.Spreadsheet.TestsInternal.Analytics
{
    public abstract class TestTraceMonitor : ITraceMonitor
    {
        public abstract void TrackAtomicFeature(string feature);
        public abstract void TrackError(string feature, Exception exception);
        public abstract void TrackFeatureCancel(string feature);
        public abstract void TrackFeatureEnd(string feature);
        public abstract void TrackFeatureStart(string feature);
        public abstract void TrackValue(string feature, long value);
    }
}
