﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Spreadsheet.FormatProviders.TextBased.Core;

namespace Telerik.Windows.Documents.Spreadsheet.TestsInternal.FormatProviders
{
    [TestClass]
    public class CsvWriterTests : CsvTestClassBase
    {
        [TestMethod]
        public void DoubleQuotes()
        {
            WriteAndCompareFiles("ValuesWithQuotesResult.txt", "ValuesWithQuotesTest.csv", splitter: ':');
        }

        [TestMethod]
        public void SingleQuotes()
        {
            WriteAndCompareFiles("ValuesWithSingleQuotesResult.txt", "ValuesWithSingleQuotesTest.csv", settings: new CsvSettings() { Quote = '\'' }, splitter: ':');
        }

        [TestMethod]
        public void BaseCases()
        {
            WriteAndCompareFiles("WriterBaseResult.txt", "WriterBaseTest.csv", splitter: ':');
        }

        [TestMethod]
        public void NumberOfValues()
        {
            WriteAndCompareFiles("NumberOfValues.txt", "NumberOfValues.csv");
        }
    }
}
