﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.TestsInternal.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.TestsInternal.ImportExport
{
    [TestClass]
    public class ImportExportTests
    {
        [TestMethod]
        [TestCategory("ImportExport")]
        public void TestImportExportWorkbookContainingManySheetsNotThrowingOutOfMemoryException()
        {
            Workbook workbook = TestHelperInternal.GetWorkbookFromFile("WorkbookWithManyWorksheets.xlsx");

            XlsxFormatProvider provider = new XlsxFormatProvider();
            byte[] buffer = provider.Export(workbook);
        }
    }
}
