﻿using System;
using Telerik.Windows.Documents.Spreadsheet.Layout.Layers;

namespace Telerik.Windows.Documents.Spreadsheet.TestsInternal.LayersTests
{
    public class LayerWrapper
    {
        private readonly LayerBase layer;

        internal LayerWrapper(LayerBase layer)
        {
            this.layer = layer;
        }

        internal LayerBase Layer
        {
            get
            {
                return this.layer;
            }
        }

        internal void UpdateRender(WorksheetRenderUpdateContext updateContext)
        {
            this.Layer.UpdateRender(updateContext);
        }
    }
}
