﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming
{
    /// <summary>
    /// Defines members used to import a workbook.
    /// </summary>
    internal interface IWorkbookImporter : IDisposable
    {
        /// <summary>
        /// Gets the worksheet importers.
        /// </summary>
        /// <value>The worksheet importers.</value>
        IEnumerable<IWorksheetImporter> WorksheetImporters { get; }
    }
}