﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.Model.Themes;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core
{
    internal class ElementContext
    {
        public ElementContext(OpenXmlWriter writer, OpenXmlReader reader, SpreadTheme theme)
        {
            this.Writer = writer;
            this.Reader = reader;
            this.Theme = theme;
        }

        public OpenXmlWriter Writer { get; private set; }
        public OpenXmlReader Reader { get; private set; }
        public SpreadTheme Theme { get; private set; }
    }
}