﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.Core;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core
{
    internal abstract class PartBase : EntityBase
    {
        private readonly string name;

        public PartBase(string name)
        {
            this.name = name;
        }

        public abstract string ContentType { get; }
        protected abstract string PartPath { get; }

        public string GetPartFullPath()
        {
            return string.Format(this.PartPath, this.name);
        }
    }
}