﻿using System;
using System.Linq;
using Microsoft.Office.Interop.Excel;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Wrappers
{
    public class CellStylesCollectionWrapper
    {
        private readonly Workbook workbook;

        public CellStylesCollectionWrapper(Workbook instance)
        {
            this.workbook = instance;
        }

        public CellStyleWrapper GetByName(string name)
        {
            Style style = this.workbook.Styles.get_Item(name);

            return new CellStyleWrapper(style);
        }
    }
}