﻿using System;
using System.Linq;
using Microsoft.Office.Interop.Excel;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Wrappers
{
    public class WorksheetsWrapper
    {
        private readonly Sheets instance;

        public WorksheetsWrapper(Sheets worksheets)
        {
            this.instance = worksheets;
        }

        public WorksheetWrapper this[int index]
        {
            get
            {
                return new WorksheetWrapper(this.instance[index + 1]);
            }
        }

        public int WorksheetsCount
        {
            get
            {
                return this.instance.Count;
            }
        }
    }
}