﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.PropertySystem;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Wrappers
{
    public class CellStylesCollectionWrapper
    {
        private readonly Workbook workbook;

        public CellStylesCollectionWrapper(Workbook instance)
        {
            this.workbook = instance;
        }

        public CellStyleWrapper GetByName(string name)
        {
            CellStyle style = this.workbook.Styles.GetByName(name);

            return new CellStyleWrapper(style);
        }
    }
}