﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Wrappers
{
    public class WorksheetsWrapper
    {
        private readonly WorksheetCollection instance;

        public WorksheetsWrapper(WorksheetCollection worksheets)
        {
            this.instance = worksheets;
        }

        public WorksheetWrapper this[int index]
        {
            get
            {
                return new WorksheetWrapper(this.instance[index]);
            }
        }

        public int WorksheetsCount
        {
            get
            {
                return this.instance.Count();
            }
        }
    }
}