﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
#if SPREAD
using System;
#endif
using Telerik.Documents.SpreadsheetStreaming.Tests.ExportBase;
using Telerik.Documents.SpreadsheetStreaming.Tests.Utils;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.XlsxExport
{
    [TestClass]
    public class WorkbookXlsxTest : WorkbookTestBase
    {
        protected override SpreadDocumentFormat SpreadDocumentFormat
        {
            get
            {
                return SpreadDocumentFormat.Xlsx;
            }
        }

        protected override string TestCategory
        {
            get
            {
                return SpreadsheetStreamingCategory.XlsxExport;
            }
        }

#if SPREAD
        [TestMethod]
        [TestCategory(SpreadsheetStreamingCategory.SpreadsheetStreaming)]
        [TestCategory(SpreadsheetStreamingCategory.XlsxExport)]
        [ExpectedException(typeof(InvalidOperationException))]
        public void ExportEmptyWorkbookXlsxTest()
        {
            this.CreateEmptyWorkbook();
        }
#endif
    }
}