﻿#if EXCEL || SPREAD
using Telerik.Documents.SpreadsheetStreaming.Tests.ExcelWrappers;
#endif
using System;
using System.IO;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Documents.SpreadsheetStreaming;
using Telerik.Documents.SpreadsheetStreaming.Tests.Utils;
using Telerik.Documents.SpreadsheetStreaming.VisualTests.Tests.ExportBaseTests;

namespace Telerik.Documents.SpreadsheetStreaming.VisualTests.Tests.XlsxExportTests
{
    [TestClass]
    public class WorkbookXlsxTest : WorkbookTestBase
    {
        protected override SpreadDocumentFormat SpreadDocumentFormat
        {
            get
            {
                return SpreadDocumentFormat.Xlsx;
            }
        }

        protected override string TestCategory
        {
            get
            {
                return SpreadsheetStreamingCategory.XlsxExport;
            }
        }

#if SPREAD
        [TestMethod]
        [TestCategory(SpreadsheetStreamingCategory.SpreadsheetStreaming)]
        [TestCategory(SpreadsheetStreamingCategory.XlsxExport)]
        [ExpectedException(typeof(InvalidOperationException))]
        public void ExportEmptyWorkbookXlsxTest()
        {
            this.CreateEmptyWorkbook();
        }
#endif
    }
}