﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.Tests.Integration;
using Telerik.Windows.Documents.Flow.Tests.Flow.Utils;
using Telerik.Windows.Documents.Flow.Tests.Utils;

namespace Telerik.Documents.SpreadsheetStreaming.VisualTests.Utils
{
    public class AssertVisual
    {
        public static void AssertAreVisuallyEqual(VisualTestHelper visualTestHelper, string extenssion, byte[] data)
        {
            visualTestHelper.Assert(data, extenssion, null, 0);
        }

        public static void AssertAreVisuallyEqual(VisualTestHelper visualTestHelper, string extenssion, Action action, byte[] data)
        {
            visualTestHelper.Assert(data, extenssion, null, 1, wait: 4000, actions:action);
        }
    }
}