﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Utils
{
    public static class ResourceHelper
    {
        public static Stream GetResourceStream(string fileName)
        {
            Assembly assembly = typeof(ResourceHelper).Assembly;
            string[] resourceNames = assembly.GetManifestResourceNames();

            string resourceName = resourceNames.Where(p => p.Contains(fileName)).First();

            return assembly.GetManifestResourceStream(resourceName);
        }
    }
}