﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Utils
{
    public class SpreadsheetStreamingCategory
    {
#if VISUAL
        private const string TestsPart = "VisualTest";
#elif EXCEL
        private const string TestsPart = "Excel";
#elif SPREAD
        private const string TestsPart = "Spread";
#endif
        private const string TestPartRootXlsxToStream = "SpreadsheetStreaming";

        public const string SpreadsheetStreaming = TestPartRootXlsxToStream + TestsPart;

        public const string XlsxExport = "XslxExport";
        public const string CsvExport = "CsvExport";

        public const string ElementsExportOrder = "ElementsExportOrder";
        public const string ElementsExportOrderCsv = "ElementsExportOrderCsv";

        public const string HideRowsColumns = "HideRowsColumns";

        public const string Workbook = "Workbook";
        public const string WorkbookCsv = "WorkbookCsv";

        public const string Worksheet = "Worksheet";
        public const string WorksheetCsv = "WorksheetCsv";

        public const string CellStyles = "CellStyles";

        public const string CellValue = "CellValue";
        public const string CellValueCsv = "CellValueCsv";

        public const string MergedCells = "MergedCells";

        public const string ViewState = "ViewState";

        public const string RowsColumns = "RowsColumns";

        public const string Append = "Append";

        public const string FreezePanes = "FreezePanes";

        public const string Bug = "Bug";
    }
}
