﻿#if NETSTANDARD
namespace Telerik.Zip
#else
namespace Telerik.Windows.Zip
#endif
{
    /// <summary>
    /// Operational mode of the cryptographic and compression streams.
    /// </summary>
    public enum StreamOperationMode
    {
        /// <summary>
        /// Read operation is allowed.
        /// </summary>
        Read,

        /// <summary>
        /// Write operation is allowed.
        /// </summary>
        Write
    }
}
