﻿using System;
using System.Collections.Generic;
using System.Text;

#if NETSTANDARD
namespace Telerik.Zip
#else
namespace Telerik.Windows.Zip
#endif
{
    /// <summary>
    /// Specifies values for interacting with zip archive entries.
    /// </summary>
    public enum ZipArchiveMode
    {
        /// <summary>
        /// Only creating new archive entries is permitted.
        /// </summary>
        Create,

        /// <summary>
        /// Only reading archive entries is permitted.
        /// </summary>
        Read,

        /// <summary>
        /// Both read and write operations are permitted for archive entries.
        /// </summary>
        Update
    }
}
