﻿using System;
using System.Linq;

#if NETSTANDARD
namespace Telerik.Zip
#else
namespace Telerik.Windows.Zip
#endif
{
    internal class CentralDirectoryHeaderInfo : FileHeaderInfoBase
    {
        public CentralDirectoryHeaderInfo(CentralDirectoryHeader header)
            : base(header)
        {
            this.LocalHeaderOffsetOverflow = header.LocalHeaderOffset == uint.MaxValue;
        }

        public bool LocalHeaderOffsetOverflow { get; private set; }
    }
}