﻿using Telerik.Windows.Documents.Common.Model.Data;
#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Theming;
#else
using Telerik.Documents.Common.Model;
#endif
#if !SILVERLIGHT && !NETSTANDARD
using Telerik.Windows.Documents.Model.Drawing.Shapes;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Parts;
#endif

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Export
{
    internal interface IOpenXmlExportContext
    {
        DocumentTheme Theme { get; }

        ResourceManager Resources { get; }

        string GetRelationshipIdByResource(IResource resource);

        void RegisterResource(string relationshipId, IResource resource);

#if !SILVERLIGHT && !NETSTANDARD
        ChartPart GetChartPartForChart(ChartShape chart);

        ChartShape GetChartForChartPart(ChartPart chartPart);
#endif
    }
}
