﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Chart
{
    internal class MaxAxisValueElement : ChartElementBase
    {
        private readonly OpenXmlAttribute<double> value;

        public MaxAxisValueElement(OpenXmlPartsManager partsManager) 
            : base(partsManager)
        {
            this.value = this.RegisterAttribute<double>("val", true);
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.MaxAxisValueElementName;
            }
        }

        public double Value
        {
            get
            {
                return this.value.Value;
            }
            set
            {
                this.value.Value = value;
            }
        }
    }
}
