﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Chart
{
    internal class SizeElement : ChartElementBase
    {
        private readonly OpenXmlAttribute<byte> value;

        public SizeElement(OpenXmlPartsManager partsManager)
            : base(partsManager)
        {
            this.value = this.RegisterAttribute(new OpenXmlAttribute<byte>("val", 5, true));
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.SizeElementName;
            }
        }

        public byte Value
        {
            get
            {
                return this.value.Value;
            }
            set
            {
                this.value.Value = value;
            }
        }
    }
}
