﻿#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Theming;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Theme
{
    internal class Light2Element : ColorSchemeElementBase
    {
        public Light2Element(OpenXmlPartsManager partsManager)
            : base(partsManager)
        {
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.Light2ElementName;
            }
        }

        public override ThemeColorType ThemeColorType
        {
            get
            {
                return ThemeColorType.Background2;
            }
        }
    }
}
