﻿#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Theming;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements.Theme
{
    internal class MajorFontElement : FontSchemeElementBase
    {
        public MajorFontElement(OpenXmlPartsManager partsManager)
            : base(partsManager)
        {
        }

        public override string ElementName
        {
            get
            {
                return OpenXmlElementNames.MajorFontElementName;
            }
        }

        protected override ThemeFontType ThemeFontType
        {
            get
            {
                return ThemeFontType.Major;
            }
        }
    }
}
