﻿using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model
{
    internal static class OpenXmlNamespaces
    {
        public static readonly OpenXmlNamespace ContentTypesNamespace = new OpenXmlNamespace("http://schemas.openxmlformats.org/package/2006/content-types");
        public static readonly OpenXmlNamespace RelationshipsNamespace = new OpenXmlNamespace("http://schemas.openxmlformats.org/package/2006/relationships");
        public static readonly OpenXmlNamespace SpreadsheetMLNamespace = new OpenXmlNamespace("http://schemas.openxmlformats.org/spreadsheetml/2006/main");
        public static readonly OpenXmlNamespace OfficeDocumentRelationshipsNamespace = new OpenXmlNamespace(DefaultNamespaceName, "r", "http://schemas.openxmlformats.org/officeDocument/2006/relationships");
        public static readonly OpenXmlNamespace DrawingMLNamespace = new OpenXmlNamespace(DefaultNamespaceName, "a", "http://schemas.openxmlformats.org/drawingml/2006/main");
        public static readonly OpenXmlNamespace WordprocessingMLNamespace = new OpenXmlNamespace(DefaultNamespaceName, "w", "http://schemas.openxmlformats.org/wordprocessingml/2006/main");
        public static readonly OpenXmlNamespace SpreadsheetDrawingMLNamespace = new OpenXmlNamespace(DefaultNamespaceName, "xdr", "http://schemas.openxmlformats.org/drawingml/2006/spreadsheetDrawing");
        public static readonly OpenXmlNamespace WordprocessingDrawingMLNamespace = new OpenXmlNamespace(DefaultNamespaceName, "wp", "http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing");
        public static readonly OpenXmlNamespace PictureDrawingMLNamespace = new OpenXmlNamespace(DefaultNamespaceName, "pic", "http://schemas.openxmlformats.org/drawingml/2006/picture");
        public static readonly OpenXmlNamespace ChartDrawingMLNamespace = new OpenXmlNamespace(DefaultNamespaceName, "c", "http://schemas.openxmlformats.org/drawingml/2006/chart");
        public static readonly OpenXmlNamespace VectorMLNamespace = new OpenXmlNamespace(DefaultNamespaceName, "v", "urn:schemas-microsoft-com:vml");

        private const string DefaultNamespaceName = "xmlns";
    }
}