using Telerik.Windows.Documents.Media;

namespace Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Types
{
    internal class EmuToDipConverter : IStringConverter<double>
    {
        public double ConvertFromString(string value)
        {
            int emu;
            if (int.TryParse(value, out emu))
            {
                return (int)Unit.EmuToDip(emu);
            }

            return 0;
        }

        public string ConvertToString(double dip)
        {
            return ((int)Unit.DipToEmu(dip)).ToString();
        }
    }
}