﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Represents the possible groups of axes a group of series can be associated with.
    /// </summary>
    public enum AxisGroupName
    {
        /// <summary>
        /// Denotes the primary axes.
        /// </summary>
        Primary,

        /// <summary>
        /// Denotes the secondary axes.
        /// </summary>
        Secondary
    }
}
