﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Represents the possible types of axes of the chart.
    /// </summary>
    public enum AxisType
    {
        /// <summary>
        /// Denotes the value type of axis.
        /// </summary>
        Value,
        /// <summary>
        /// Denotes the categorical type of axis.
        /// </summary>
        Category,
        /// <summary>
        /// Denotes the date type of axis.
        /// </summary>
        Date
    }
}
