﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Represents a categorical axis. The categorical axis is designed to contain discrete values.
    /// </summary>
    public class CategoryAxis : Axis
    {
        /// <summary>
        /// Gets the type of the axis.
        /// </summary>
        public override AxisType AxisType
        {
            get
            {
                return AxisType.Category;
            }
        }
    }
}