﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Represents the possible positions of the legend.
    /// </summary>
    public enum LegendPosition
    {
        /// <summary>
        /// Denotes the right-side positioning of the legend.
        /// </summary>
        Right,

        /// <summary>
        /// Denotes the bottom-side positioning of the legend.
        /// </summary>
        Bottom,

        /// <summary>
        /// Denotes the left-side positioning of the legend.
        /// </summary>
        Left,

        /// <summary>
        /// Denotes the top-side positioning of the legend.
        /// </summary>
        Top
    }
}
