﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Defines the members for the classes representing chart data.
    /// </summary>
    public interface IChartData
    {
        /// <summary>
        /// Gets the type of chart data.
        /// </summary>
        ChartDataType ChartDataType { get; }

        /// <summary>
        /// Creates a deep copy of the object.
        /// </summary>
        /// <returns>The deep copy of the object.</returns>
        IChartData Clone();
    }
}
