﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Represents a base class for the classes representing a title in the chart.
    /// </summary>
    public abstract class Title
    {
        /// <summary>
        /// Gets the type of the title.
        /// </summary>
        public abstract TitleType TitleType { get; }

        /// <summary>
        /// Creates a deep copy of the object.
        /// </summary>
        /// <returns>The deep copy of the object.</returns>
        public abstract Title Clone();
    }
}