﻿namespace Telerik.Windows.Documents.Model.Drawing.Charts
{
    /// <summary>
    /// Represents the possible types of chart title.
    /// </summary>
    public enum TitleType
    {
        /// <summary>
        /// Denotes the formula chart title type. This type of title holds a formula which refers to the actual title.
        /// </summary>
        Formula,

        /// <summary>
        /// Denotes the text chart title type. This type of title holds a text literal to be used as title.
        /// </summary>
        Text
    }
}
