﻿#if (WPF || SILVERLIGHT) && !NETCORE
namespace Telerik.Windows.Documents.Spreadsheet.Model
#else
namespace Telerik.Documents.Common.Model
#endif
{
    /// <summary>
    /// Defines the types of color shade.
    /// </summary>
    public enum ColorShadeType
    {
        /// <summary>
        /// Represents shade 1 shade type.
        /// </summary>
        Shade1,

        /// <summary>
        /// Represents shade 2 shade type.
        /// </summary>
        Shade2,

        /// <summary>
        /// Represents shade 3 shade type.
        /// </summary>
        Shade3,

        /// <summary>
        /// Represents shade 4 shade type.
        /// </summary>
        Shade4,

        /// <summary>
        /// Represents shade 5 shade type.
        /// </summary>
        Shade5
    }
}
