﻿#if (WPF || SILVERLIGHT) && !NETCORE
namespace Telerik.Windows.Documents.Spreadsheet.Model
#else
namespace Telerik.Documents.Common.Model
#endif
{
    /// <summary>
    /// Describes the types of font languages.
    /// </summary>
    public enum FontLanguageType
    {
        /// <summary>
        /// Represents latin font language type.
        /// </summary>
        Latin,

        /// <summary>
        /// Represents east asian font language type.
        /// </summary>
        EastAsian,

        /// <summary>
        /// Represents complex script font language type.
        /// </summary>
        ComplexScript
    }
}
