﻿namespace Telerik.Documents.Core
{
    /// <summary>
    /// Defines constants that specify the content flow direction for text and user interface (UI) elements.
    /// </summary>
    public enum FlowDirection
    {
        /// <summary>
        /// Indicates that content should flow from left to right.
        /// </summary>
        LeftToRight = 0,
        
        /// <summary>
        /// Indicates that content should flow from right to left.
        /// </summary>
        RightToLeft = 1
    }
}
