﻿using System;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Core.Sevices
{
    internal static class DateTimeService
    {
        private static IDateTimeProvider dateTimeProvider;
        internal static IDateTimeProvider DateTimeProvider
        {
            get
            {
                return DateTimeService.dateTimeProvider;
            }
            set
            {
                Guard.ThrowExceptionIfNull(value, "value");
                DateTimeService.dateTimeProvider = value;
            }
        }

        static DateTimeService()
        {
            DateTimeService.DateTimeProvider = new SystemDateTimeProvider();
        }

        internal static DateTime GetDateTime()
        {
            return DateTimeProvider.GetDateTime();
        }
    }
}
