﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Media
{
    /// <summary>
    /// Defines a structure that represents the style of a font face as normal or italic.
    /// </summary>
    public enum FontStyle
    {
        /// <summary>
        /// A value that represents an "Normal" font style.
        /// </summary>
        Normal,

        /// <summary>
        /// A value that represents an "Italic" font style.
        /// </summary>
        Italic
    }
}
