﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Media
{
    /// <summary>
    /// Refers to the density of a typeface, in terms of the lightness or heaviness of the strokes.
    /// </summary>
    public enum FontWeight
    {
        /// <summary>
        /// A value that represents an "Normal" font weight.
        /// </summary>
        Normal,

        /// <summary>
        /// A value that represents an "Bold" font weight.
        /// </summary>
        Bold
    }
}
