﻿using System;

namespace Telerik.Documents.Primitives
{
    internal abstract class GeneralTransform
    {
        public Point Transform(Point point)
        {
            Point point1;
            if (!this.TryTransform(point, out point1))
            {
                throw new InvalidOperationException("General transform failed");
            }

            return point1;
        }

        public abstract Rect TransformBounds(Rect rect);

        public abstract bool TryTransform(Point inPoint, out Point result);
    }
}
