﻿namespace Telerik.Documents.Primitives
{
    internal class ScaleTransform : Transform
    {
        public double CenterX { get; set; }

        public double CenterY { get; set; }

        public double ScaleX { get; set; }

        public double ScaleY { get; set; }

        public override Matrix Value
        {
            get
            {
                Matrix matrix = new Matrix();
                matrix.Scale(this.ScaleX, this.ScaleY, this.CenterX, this.CenterY);

                return matrix;
            }
        }
    }
}
