﻿namespace Telerik.Documents.Primitives
{
    internal abstract class Transform : GeneralTransform
    {
        public abstract Matrix Value
        {
            get;
        }

        public override Rect TransformBounds(Rect rect)
        {
            this.TransformRect(ref rect);
            return rect;
        }

        internal virtual void TransformRect(ref Rect rect)
        {
            Matrix value = this.Value;
            value.TransformRect(ref rect);
        }

        public override bool TryTransform(Point inPoint, out Point result)
        {
            result = this.Value.Transform(inPoint);
            return true;
        }
    }
}
