﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Utilities
{
    internal static class BitsHelper
    {
        internal static bool GetBit(int n, byte bit)
        {
            return (n & (1 << bit)) != 0;
        }

        internal static byte[] GetBits(byte bt)
        {
            byte[] b = new byte[8];
            for (int i = 0; i < 8; i++)
            {
                b[i] = (byte)(bt % 2);
                bt /= 2;
            }
            return b;
        }

        internal static byte ToByte(byte[] bits, int offset, int count)
        {
            byte res = 0;
            int st = 1;
            for (int i = 0; i < count; i++)
            {
                res += (byte)(bits[offset + i] * st);
                st *= 2;
            }
            return res;
        }
    }
}
