﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Telerik.Windows.Documents.Core.Tests.PostScriptInterpretatorTests
{
    [TestClass]
    public class TestXorOperator
    {
        [TestMethod]
        public void WhenTheArgumentsAreBool()
        {
            string operation = "false true xor";

            bool expected = true;
            bool result = Convert.ToBoolean(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        }

        [TestMethod]
        public void WhenTheArgumentsAreInt()
        {
            string operation = "7 1 xor";

            int expected = 6; 
            int result = Convert.ToInt32(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        
        }
    }
}
