﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Fonts.Utils;

namespace Telerik.Windows.Documents.Core.Fonts.OpenType.Tables.Features
{
    internal class RLigFeatureInfo : FeatureInfo
    {
        #region Properties

        public override uint Tag
        {
            get { return Tags.FEATURE_REQUIRED_LIGATURES; }
        }

        public override FeatureType Type
        {
            get { return FeatureType.MultipleSubstitution; }
        }

        #endregion


        #region Overrides

        public override bool ShouldApply(GlyphInfo glyphInfo)
        {
            return false;
        }

        #endregion
    }
}
