﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.OpenType.Tables
{
    internal class PostFormat1 : Post
    {
        public PostFormat1(OpenTypeFontSourceBase fontSource)
            : base(fontSource)
        {
        }

        public override ushort GetGlyphId(string name)
        {
            ushort res;
            if (macintoshStandardOrderGlyphIds.TryGetValue(name, out res))
            {
                return res;
            }

            return CMap.MISSING_GLYPH_ID;
        }
    }
}
