﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.OpenType.Tables.Utils
{
    internal class EncodingRecord
    {
        #region Properties

        public ushort PlatformId
        {
            get;
            set;
        }

        public ushort EncodingId
        {
            get;
            set;
        }

        public uint Offset
        {
            get;
            set;
        }

        #endregion


        #region Methods

        

        public void Read(OpenTypeFontReader reader)
        {
            this.PlatformId = reader.ReadUShort();
            this.EncodingId = reader.ReadUShort();
            this.Offset = reader.ReadULong();
        }

        #endregion


        #region Overrides

        //public override bool Equals(object obj)
        //{
        //    EncodingRecord other = obj as EncodingRecord;
        //    if (other == null)
        //    {
        //        return false;
        //    }
        //    return this.EncodingId == other.EncodingId && this.PlatformId == other.PlatformId;
        //}

        //public override int GetHashCode()
        //{
        //    unchecked
        //    {
        //        int result = 17;
        //        result = result * 23 + this.PlatformId.GetHashCode();
        //        result = result * 23 + this.EncodingId.GetHashCode();
        //        return result;
        //    }
        //}

        #endregion
    }
}
