﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.OpenType.Tables.Utils
{
    internal class LangSysRecord
    {
        #region Properties

        public uint LangSysTag
        {
            get;
            private set;
        }

        public uint LangSys
        {
            get;
            private set;
        }

        #endregion


        #region Methods

        public void Read(OpenTypeFontReader reader)
        {
            this.LangSysTag = reader.ReadULong();
            this.LangSys = reader.ReadULong();
        }

        #endregion
    }
}
