﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.OpenType.Tables.Utils
{
    internal class TableRecord
    {
        #region Constructors
        #endregion


        #region Properties

        public uint Tag
        {
            get;
            set;
        }

        public uint CheckSum
        {
            get;
            set;
        }

        public uint Offset
        {
            get;
            set;
        }

        public uint Length
        {
            get;
            set;
        }

        #endregion


        #region Methods

        public void Read(OpenTypeFontReader reader)
        {
            this.Tag = reader.ReadULong();
            this.CheckSum = reader.ReadULong();
            this.Offset = reader.ReadULong();
            this.Length = reader.ReadULong();
        }

        #endregion


        #region Overrides

        public override string ToString()
        {
            return Tags.GetStringFromTag(this.Tag);
        }

        #endregion
    }
}
