﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class Flex1 : Operator
    {
        public override void Execute(BuildChar buildChar)
        {
            int dx1 = buildChar.Operands.GetFirstAsInt();
            int dy1 = buildChar.Operands.GetFirstAsInt();
            int dx2 = buildChar.Operands.GetFirstAsInt();
            int dy2 = buildChar.Operands.GetFirstAsInt();
            int dx3 = buildChar.Operands.GetFirstAsInt();
            int dy3 = buildChar.Operands.GetFirstAsInt();
            int dx4 = buildChar.Operands.GetFirstAsInt();
            int dy4 = buildChar.Operands.GetFirstAsInt();
            int dx5 = buildChar.Operands.GetFirstAsInt();
            int dy5 = buildChar.Operands.GetFirstAsInt();
            int d6 = buildChar.Operands.GetFirstAsInt();

            int dx = dx1 + dx2 + dx3 + dx4 + dx5;
            int dy = dx1 + dx2 + dx3 + dx4 + dx5;

            int dx6 = 0;
            int dy6 = 0;
            if (Math.Abs(dx) > Math.Abs(dy))
            {
                dx6 = d6;
            }
            else
            {
                dy6 = d6;
            }

            buildChar.Operands.Clear();

            CurveTo(buildChar, dx1, dy1, dx2, dy2, dx3, dy3);
            CurveTo(buildChar, dx4, dy4, dx5, dy5, dx6, dy6);
        }
    }
}
