﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class HHCurveTo : Operator
    {
        public override void Execute(BuildChar interpreter)
        {
            OperandsCollection stack = interpreter.Operands;
            int dy1 = 0;
            if (stack.Count % 2 != 0)
            {
                dy1 = stack.GetFirstAsInt();
            }

            while (stack.Count / 4 > 0)
            {
                int dxa = stack.GetFirstAsInt();
                int dxb = stack.GetFirstAsInt();
                int dyb = stack.GetFirstAsInt();
                int dxc = stack.GetFirstAsInt();

                RRCurveTo.CurveTo(interpreter, dxa, dy1, dxb, dyb, dxc, 0);
                dy1 = 0;
            }

            stack.Clear();
        }
    }
}
