﻿using System;
using System.Linq;
#if !NETSTANDARD
using System.Windows;
#else
using Telerik.Documents.Primitives;
#endif

namespace Telerik.Windows.Documents.Core.Fonts.Type1.CharStrings.Operators
{
    internal class SetCurrentPoint : Operator
    {
        public override void Execute(BuildChar buildChar)
        {
            int y = buildChar.Operands.GetLastAsInt();
            int x = buildChar.Operands.GetLastAsInt();

            buildChar.Operands.Clear();

            buildChar.CurrentPoint = new Point(x, y);
        }
    }
}
