﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Fonts.Type1.Encoding;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Data
{
    internal class EncodedDataReader : ReaderBase
    {
        #region Constructors

        public EncodedDataReader(byte[] data, ByteEncodingCollection encodings)
            : base(data)
        {
            this.encodings = encodings;
        }

        #endregion


        #region Fields

        private readonly ByteEncodingCollection encodings;

        #endregion


        #region Properties
        #endregion


        #region Methods

        public object ReadOperand()
        {
            byte b0 = this.Peek();
            ByteEncoding be = this.encodings.FindEncoding(b0);
            return be.Read(this);
        }

        #endregion


        #region Overrides
        #endregion
    }
}
