﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Fonts.Type1.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Encoding
{
    internal class FiveByteIntegerEncoding : ByteEncoding
    {
        #region Constructors
        public FiveByteIntegerEncoding() : base(29, 29)
        {
        }

        #endregion

        #region Methods

        public override object Read(EncodedDataReader reader)
        {
            reader.Read();
            byte b1 = reader.Read();
            byte b2 = reader.Read();
            byte b3 = reader.Read();
            byte b4 = reader.Read();
            return b1 << 24 | b2 << 16 | b3 << 8 | b4;
        }
        #endregion
    }
}
