﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.Fonts.Type1.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Encoding
{
    internal class SingleByteIntegerEncoding : ByteEncoding
    {
        #region Constructors
        public SingleByteIntegerEncoding() : base(32, 246)
        {
        }

        #endregion

        #region Methods

        public override object Read(EncodedDataReader reader)
        {
            byte b0 = reader.Read();
            return (sbyte)(b0 - 139);
        }
        #endregion
    }
}
