﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Type1Format.Converters
{
    internal class EncodingConverter : IConverter
    {
        public object Convert(Type resultType, object value)
        {
            if (value is PostScriptArray)
            {
                return value;
            }
            else if (value is string)
            {
                return PredefinedEncodings.CreateEncoding((string)value);
            }
            return null;
        }
    }
}
