﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.Fonts.Type1.Type1Format.Converters;

namespace Telerik.Windows.Documents.Core.Fonts.Type1.Type1Format.Converters
{
    internal static class Type1Converters
    {
        public static EncodingConverter EncodingConverter { get;private set; }
        public static PostScriptObjectConverter PostScriptObjectConverter { get;private set; }
        public static DoubleConverter DoubleConverter { get; private set; }

        static Type1Converters()
        {
            EncodingConverter = new EncodingConverter();
            PostScriptObjectConverter = new PostScriptObjectConverter();
            DoubleConverter = new DoubleConverter();
        }
    }
}
