﻿using System;
using System.Linq;
#if !NETSTANDARD
using System.Windows;
#else
using Telerik.Documents.Primitives;
#endif

namespace Telerik.Windows.Documents.Core.Fonts.Utils
{
    internal class OutlinePoint
    {
        public OutlinePoint(byte flags)
        {
            this.Flags = flags;
            //this.Instruction = instruction;
        }

        public OutlinePoint(double x, double y, byte flags)
            : this(flags)
        {
            this.Point = new Point(x, y);
            //this.Instruction = instruction;
        }

        public Point Point
        {
            get;
            set;
        }

        public byte Flags
        {
            get;
            set;
        }

        public byte Instruction
        {
            get;
            set;
        }

        public bool IsOnCurve
        {
            get
            {
                return ((this.Flags & 0x1) != 0);
            }
        }
    }
}
