﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Core.Fonts.Utils
{
    internal class Range
    {
        #region Constructors

        public Range()
        {
            this.RangeStart = this.RangeEnd = 0;
        }

        public Range(int start, int end)
        {
            this.RangeStart = start;
            this.RangeEnd = end;
        }

        #endregion


        #region Properties

        public int RangeStart
        {
            get;
            private set;
        }

        public int RangeEnd
        {
            get;
            private set;
        }

        #endregion


        #region Methods

        public bool IsInRange(int value)
        {
            return this.RangeStart <= value && value <= this.RangeEnd;
        }

        #endregion
    }
}
