﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.PdfConverters;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Text;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Utils;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core.Encryption
{
    internal class CryptFiltersOld : PdfObjectOld
    {
        private readonly LoadOnDemandProperty<CryptFilterOld> standardCryptFilter;

        public CryptFiltersOld(PdfContentManager contentManager) 
            : base(contentManager)
        {
            this.standardCryptFilter = this.CreateLoadOnDemandProperty<CryptFilterOld>(new PdfPropertyDescriptor { Name = PdfNames.StandardCryptFilter }, Converters.PdfDictionaryToPdfObjectConverter);
        }
        
        public CryptFilterOld StandardCryptFilter
        {
            get
            {
                return this.standardCryptFilter.GetValue();
            }
            set
            {
                this.standardCryptFilter.SetValue(value);
            }
        }
    }
}
