﻿namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data
{
	internal class IndirectReferenceOld
	{
		public int ObjectNumber
		{
			get;
			set;
		}

		public int GenerationNumber
		{
			get;
			set;
		}

		public static bool operator ==(IndirectReferenceOld left, IndirectReferenceOld right)
		{
			if (object.Equals(left, null))
			{
				return object.Equals(right, null);
			}
            if (object.Equals(right, null))
            {
                return false;
            }
			return left.Equals(right);
		}

		public static bool operator !=(IndirectReferenceOld left, IndirectReferenceOld right)
		{
			return !(left == right);
		}

        public override string ToString()
        {
            return string.Format("{0} {1} R", this.ObjectNumber, this.GenerationNumber);
        }

		public override bool Equals(object obj)
		{
			IndirectReferenceOld other = obj as IndirectReferenceOld;
			if (other == null)
			{
				return false;
			}
			return this.ObjectNumber == other.ObjectNumber && this.GenerationNumber == other.GenerationNumber;
		}

		public override int GetHashCode()
		{
			return this.ObjectNumber ^ this.GenerationNumber;
		}
	}
}
