﻿using Telerik.Windows.Documents.Utilities;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Utils;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data
{
	internal class PdfBoolOld : PdfSimpleTypeOld<bool>
    {
        public PdfBoolOld(PdfContentManager contentManager)
            : base(contentManager)
        {
        }

        public PdfBoolOld(PdfContentManager contentManager, bool value)
            : this(contentManager)
        {
            this.Value = value;
        }

        public override void Load(IndirectObjectOld indirectObject)
        {
            Guard.ThrowExceptionIfNull(indirectObject, "indirectObject");

            bool res;
            Helper.UnboxBool(indirectObject.Value, out res);

            this.Value = res;

            base.Load(indirectObject);
        }
	}
}
