﻿using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.PdfReader;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Utils;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data
{
	internal class PdfRealOld : PdfSimpleTypeOld<double>
    {
        public PdfRealOld(PdfContentManager contentManager)
            : base(contentManager)
        {
        }

        public PdfRealOld(PdfContentManager contentManager, double val)
            : base(contentManager)
        {
            this.Value = val;
            this.IsLoaded = true;
        }

        public override void Load(IndirectObjectOld indirectObject)
        {
            Guard.ThrowExceptionIfNull(indirectObject, "indirectObject");

            double res;
            Helper.UnboxDouble(indirectObject.Value, out res);

            this.Value = res;

            base.Load(indirectObject);
        }
    }
}
