﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Utilities;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Core.Fonts;
using Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.Data;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.DocumentModel.PdfConverters
{
    internal class CIDToGIDMapConverter : IndirectReferenceConverterBase
    {
        protected override object ConvertFromPdfName(Type type, PdfReader.PdfContentManager contentManager, PdfNameOld name)
        {
            Guard.ThrowExceptionIfNull(type, "type");
            Guard.ThrowExceptionIfNull(contentManager, "contentManager");
            Guard.ThrowExceptionIfNull(name, "name");

            // TODO: Predefined CID to GID mapping here.
            return new CIDToGIDMapOld(contentManager); 
        }
    }
}
