﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Media;
using Telerik.Windows.Documents.Core.Fonts;
using Telerik.Windows.Documents.Core.Fonts.OpenType;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Text
{
    internal partial class FontsManagerOld
    {
        public OpenTypeFontSource GetTrueTypeFontSource(string fontFamily, FontStyle style, FontWeight weight)
        {
            FontProperties fd = new FontProperties(new FontFamily(fontFamily), style, weight);

            return this.SystemFontsManager.GetOpenTypeFontSource(fd);
        }

        public OpenTypeFontSource GetTrueTypeFontSource(string fontName)
        {
            string fontFamily;
            FontWeight fontWeight;
            FontStyle fontStyle;
            FormatProviders.Pdf.Model.Elements.Fonts.FontsHelper.GetFontFamily(fontName, out fontFamily, out fontWeight, out fontStyle);
            
            return this.GetTrueTypeFontSource(fontFamily, fontStyle, fontWeight);
        }
    }
}
