namespace Telerik.Windows.Documents.Fixed.FormatProviders.Old.Pdf.Text
{
    internal static class TextOperators
    {
        public const string BT = "BT";
        public const string ET = "ET";
        public const string Tf = "Tf";
        public const string Tc = "Tc";
        public const string Tm = "Tm";
        public const string Tw = "Tw";
        public const string Tz = "Tz";
        public const string TL = "TL";
        public const string Tr = "Tr";
        public const string Ts = "Ts";
        public const string TJ = "TJ";
        public const string Tj = "Tj";
        public const string BDC = "BDC";
        public const string EMC = "EMC";
        public const string Td = "Td";
        public const string TD = "TD";
        public const string TStar = "T*";
        public const string Ap = "'";
        public const string Qu = "\"";

        public static bool IsOperator(string s)
        {
            switch (s)
            {
                case TextOperators.BT:
                case TextOperators.ET:
                case TextOperators.Tc:
                case TextOperators.Tw:
                case TextOperators.Tz:
                case TextOperators.TL:
                case TextOperators.Tf:
                case TextOperators.Tr:
                case TextOperators.Ts:
                case TextOperators.Tm:
                case TextOperators.TJ:
                case TextOperators.Tj:
                case TextOperators.BDC:
                case TextOperators.EMC:
                case TextOperators.Td:
                case TextOperators.TD:
                case TextOperators.TStar:
                case TextOperators.Ap:
                case TextOperators.Qu:
                    return true;
            }
            return false;
        }
    }
}