namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Export
{
    /// <summary>
    /// Represents image quality for the exported images.
    /// </summary>
    public enum ImageQuality
    {
        /// <summary>
        /// Represents high image quality.
        /// </summary>
        High = 100,

        /// <summary>
        /// Represents medium image quality.
        /// </summary>
        Medium = 50,

        /// <summary>
        /// Represents low image quality.
        /// </summary>
        Low = 10
    }
}