﻿using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import.Parser;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Data
{
    internal interface IPdfProperty
    {
        PdfPropertyDescriptor Descriptor
        {
            get;
        }

        bool HasNonDefaultValue { get; }

        bool HasValue { get; }

        void SetValue(IPdfPrimitive value);

        void SetValue(PostScriptReader reader, IPdfImportContext context, IPdfPrimitive value);

        IPdfPrimitive GetValue();
    }
}
