﻿using System;
using System.Collections.Generic;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;
using Telerik.Windows.Documents.Fixed.Model.Data;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.CMaps
{
    internal abstract class EncodingBaseObject : CMapObject
    {
        private static readonly EncodingBaseObject identityH;

        static EncodingBaseObject()
        {
            identityH = new EncodingIdentityH();
        }

        public static EncodingBaseObject IdentityH
        {
            get
            {
                return identityH;
            }
        }

        public abstract IEnumerable<CharCode> BuildCharCodes(PdfString s);
    }
}
