﻿using System;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Forms
{
    internal static class FormFieldTypes
    {
        /// <summary>
        /// Represents Button field type.
        /// </summary>
        public const string Button = "Btn";

        /// <summary>
        /// Represents Text field type.
        /// </summary>
        public const string Text = "Tx";

        /// <summary>
        /// Represents Choice field type.
        /// </summary>
        public const string Choice = "Ch";

        /// <summary>
        /// Represents Signature field type.
        /// </summary>
        public const string Signature = "Sig";
    }
}
