﻿using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Outlines
{
    internal class OutlinesObject : BaseOutlineObject
    {
        private readonly DirectProperty<PdfName> outlineType;

        public OutlinesObject()
        {
            this.outlineType = this.RegisterDirectProperty<PdfName>(new PdfPropertyDescriptor("Type"));
        }

        internal PdfName OutlineType
        {
            get
            {
                return this.outlineType.GetValue();
            }
            set
            {
                this.outlineType.SetValue(value);
            }
        }
    }
}
