﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Common;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Encryption
{
    internal class CryptFilter : PdfObject
    {
        private readonly DirectProperty<PdfName> cryptFilterMethod;

        public CryptFilter()
        {
            this.cryptFilterMethod = this.RegisterDirectProperty<PdfName>(new PdfPropertyDescriptor("CFM"));
        }

        public PdfName CryptFilterMethod
        {
            get
            {
                return this.cryptFilterMethod.GetValue();
            }
            set
            {
                this.cryptFilterMethod.SetValue(value);
            }
        }
    }
}
