﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Data;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Common;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Encryption
{
    internal class CryptFilters : PdfObject
    {
        private readonly DirectProperty<CryptFilter> standardCryptFilter;

        public CryptFilters()
        {
            this.standardCryptFilter = this.RegisterDirectProperty<CryptFilter>(new PdfPropertyDescriptor(PdfNames.StandardCryptFilter));
        }

        public CryptFilter StandardCryptFilter
        {
            get
            {
                return this.standardCryptFilter.GetValue();
            }
            set
            {
                this.standardCryptFilter.SetValue(value);
            }
        }
    }
}
