﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.ColorSpaces;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators.Color
{
    internal class SetStrokeColorN : SetColorNBase
    {
        public override string Name
        {
            get
            {
                return ContentStreamOperatorNames.SetStrokeColorN;
            }
        }

        protected override bool TryGetColorSpace(Import.ContentStreamInterpreter interpreter, out ColorSpaceObject colorSpace)
        {
            return interpreter.GraphicState.TryGetStrokeColorSpace(out colorSpace);
        }

        protected override void SetColor(Import.ContentStreamInterpreter interpreter, ColorObjectBase color)
        {
            interpreter.GraphicState.StrokeColor = color;
        }
    }
}
