﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.ColorSpaces;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators.Color
{
    internal class SetStrokeColorSpace : SetColorSpaceBase
    {
        public override string Name
        {
            get
            {
                return ContentStreamOperatorNames.SetStrokeColorSpace;
            }
        }

        protected override void SetColorSpaceInternal(Import.GraphicsState graphicsState, ColorSpaceObject colorSpace)
        {
            graphicsState.SetStrokeColorSpace(colorSpace);
        }
    }
}
