﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;
using Telerik.Windows.Documents.Fixed.Model.Graphics;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators.Graphics
{
    internal class CloseAndStrokePath : StrokePath
    {
        public override string Name
        {
            get { return ContentStreamOperatorNames.CloseAndStrokePath; }
        }

        public override void Execute(ContentStreamInterpreter interpreter, IPdfContentImportContext context)
        {
            ClosePath.Execute(interpreter);

            base.Execute(interpreter, context);
        }
    }
}
