﻿using System;
using System.Linq; 
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;
using Telerik.Windows.Documents.Fixed.Model.Graphics;
using Telerik.Windows.Documents.Utilities;  

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators.Graphics
{
    internal class FillPath : PaintPathBase
    {
        public override string Name
        {
            get
            {
                return ContentStreamOperatorNames.FillPath;
            }
        }

        protected override void ExecuteOverride(Import.ContentStreamInterpreter interpreter, IPdfContentImportContext context, Path path)
        {
            Guard.ThrowExceptionIfNull(interpreter, "interpreter");
            Guard.ThrowExceptionIfNull(context, "context");
            Guard.ThrowExceptionIfNull(path, "path");
             
            path.IsFilled = true;
            path.IsStroked = false;
        }  
    }
}
