﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators
{
    internal class NotSupportedOperator : ContentStreamOperator
    {
        private readonly string name;

        public NotSupportedOperator(string name)
        {
            this.name = name;
        }

        public override string Name
        {
            get
            {
                return this.name;
            }
        }

        public override void Execute(ContentStreamInterpreter interpreter, IPdfContentImportContext context)
        {
            interpreter.Operands.Clear();
        }
    }
}
