﻿using System;
#if NETSTANDARD
using Telerik.Documents.Primitives;
#else
using System.Windows.Media;
#endif
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators.State;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Operators.Text
{
    internal class TextMatrix : MatrixOperatorBase
    {
        public override string Name
        {
            get
            {
                return ContentStreamOperatorNames.TextMatrix;
            }
        }

        protected override void InterpretMatrixOverride(ContentStreamInterpreter interpreter, Matrix matrix)
        {
            interpreter.TextState.TextLineMatrix = matrix;
            interpreter.TextState.TextMatrix = interpreter.TextState.TextLineMatrix;
        }
    }
}
