﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Elements.Forms;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Utilities;

namespace Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Streaming.IncrementalUpdate.InteractiveForms
{
    internal class TextFieldPropertiesEditor : SingleStateAppearanceFieldPropertiesEditor
    {
        public TextFieldPropertiesEditor(PdfIncrementalStreamExportContext context, PdfFormFieldSource field) 
            : base(context, field)
        {
        }

        public void SetValue(string text)
        {
            PdfDictionary clonedField = this.GetClonedFieldDictionary();

            if(string.IsNullOrEmpty(text))
            {
                clonedField.Remove(FormFieldNode.FieldValueName);
            }
            else
            {
                clonedField[FormFieldNode.FieldValueName] = text.ToPdfString();
            }
        }
    }
}
