﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.Annotations
{
    /// <summary>
    /// Represents the icon scaling types.
    /// </summary>
    public enum IconScalingType
    {
        /// <summary>
        /// The icon should be scaled to fit the annotation rectangle ignoring the original icon sides ratio.
        /// </summary>
        FitExactly,

        /// <summary>
        /// The icon should be scaled to fit inside the annotation rectangle preserving the original icon sides ratio.
        /// </summary>
        Proportional
    }
}
