﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.Annotations
{
    /// <summary>
    /// Represents a set of constants corresponding to the button normal captions for <see cref="TwoStatesButtonWidget"/> with font ZapfDingbats.
    /// </summary>
    public static class TwoStatesButtonTemplateCaptions
    {
        /// <summary>
        /// The check button template caption.
        /// </summary>
        public const string Check = "4";
        
        /// <summary>
        /// The circle button template caption.
        /// </summary>
        public const string Circle = "l";
        
        /// <summary>
        /// The cross button template caption.
        /// </summary>
        public const string Cross = "8";

        /// <summary>
        /// The diamond button template caption.
        /// </summary>
        public const string Diamond = "u";

        /// <summary>
        /// The square button template caption.
        /// </summary>
        public const string Square = "n";

        /// <summary>
        /// The star button template caption.
        /// </summary>
        public const string Star = "H";

    }
}
