﻿using System;
using Telerik.Windows.Documents.Core.Imaging;

namespace Telerik.Windows.Documents.Fixed.Model.ColorSpaces
{
    /// <summary>
    /// Represents color.
    /// </summary>
    public abstract class ColorBase : IEquatable<ColorBase>
    {
        internal abstract ColorSpaceBase ColorSpace { get; }

        internal abstract bool IsTransparent { get; }

        /// <summary>
        /// Equalses the specified other.
        /// </summary>
        /// <param name="other">The other.</param>
        /// <returns></returns>
        public abstract bool Equals(ColorBase other);

        internal abstract Color ToColor();
    }
}
