﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Fixed.Model.ColorSpaces
{
    /// <summary>
    /// Represents predefined Rgb colors.
    /// </summary>
    public static class RgbColors
    {
        static RgbColors()
        {
        }

        /// <summary>
        /// Represents the Black color.
        /// </summary>
        /// <value>The black color.</value>
        public static RgbColor Black 
        { 
            get 
            {
                return new RgbColor();
            } 
        }

        /// <summary>
        /// Represents the Black color.
        /// </summary>
        /// <value>The black color.</value>
        public static RgbColor White
        {
            get
            {
                return new RgbColor(255, 255, 255);
            }
        }

        /// <summary>
        /// Represents the Transparent color.
        /// </summary>
        /// <value>The transparent color.</value>
        public static RgbColor Transparent
        {
            get
            {
                return new RgbColor(0, 0, 0, 0);
            }
        }
    }
}
