﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Fixed.Model.ColorSpaces
{
    /// <summary>
    /// Represents tiling type.
    /// </summary>
    public enum TilingType
    {
        /// <summary>
        /// Allows small distortion.
        /// </summary>
        AllowSmallDistortion = 1,

        /// <summary>
        /// Does not allow any distortion.
        /// </summary>
        NoDistortion = 2,

        /// <summary>
        /// Allows additional distortion which permits faster tiling.
        /// </summary>
        FastTiling = 3
    }
}
