﻿using System;
using System.Linq;
 
namespace Telerik.Windows.Documents.Fixed.Model.Common
{
    /// <summary>
    /// Represents base class for all content element.
    /// </summary>
    public abstract class ContentElementBase : FixedDocumentElementBase
    {
        /// <summary>
        /// Gets or sets the clipping.
        /// </summary>
        /// <value>The clipping.</value>
        public Clipping Clipping { get; set; }
    }
}
