﻿using System;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Fixed.Model.Common
{
    internal static class InstanceIdGenerator
    {
        private static readonly IdGenerator idGenerator;

        static InstanceIdGenerator()
        {
            idGenerator = new IdGenerator();
        }

        public static int GetNextId()
        {
            unchecked
            {
                int id = idGenerator.GetNext();

                return id;
            }
        }
    }
}
