namespace Telerik.Windows.Documents.Fixed.Model.Editing.Flow
{
    /// <summary>
    /// Provides options for different text horizontal alignments.
    /// </summary>
    public enum HorizontalAlignment
    {
        /// <summary>
        /// The left text horizontal alignment.
        /// </summary>
        Left,

        /// <summary>
        /// The right text horizontal alignment.
        /// </summary>
        Right,

        /// <summary>
        /// The center text horizontal alignment.
        /// </summary>
        Center
    }
}