namespace Telerik.Windows.Documents.Fixed.Model.Editing.Flow
{
    /// <summary>
    /// Provides options for different text vertical alignments.
    /// </summary>
    public enum VerticalAlignment
    {
        /// <summary>
        /// The top text vertical alignment.
        /// </summary>
        Top,

        /// <summary>
        /// The center text vertical alignment.
        /// </summary>
        Center,

        /// <summary>
        /// The bottom text vertical alignment.
        /// </summary>
        Bottom
    }
}