﻿namespace Telerik.Windows.Documents.Fixed.Model.Editing.Flow
{
    /// <summary>
    /// Represents a base class for the watermark settings classes.
    /// </summary>
    internal class WatermarkSettingsBase
    {
        /// <summary>
        /// Gets or sets the width of the watermark element.
        /// </summary>
        /// <value>The width.</value>
        public double Width { get; set; }

        /// <summary>
        /// Gets or sets the height of the watermark element.
        /// </summary>
        /// <value>The height.</value>
        public double Height { get; set; }

        /// <summary>
        /// Gets or sets the angle of the watermark element towards the horizontal direction.
        /// </summary>
        /// <value>The angle.</value>
        public double Angle { get; set; }
    }
}