﻿namespace Telerik.Windows.Documents.Fixed.Model.Editing
{
    /// <summary>
    /// Specifies type of height.
    /// </summary>
    public enum HeightType
    {
        /// <summary>
        /// Automatically determined height.
        /// </summary>
        Auto,

        /// <summary>
        /// Minimum height.
        /// </summary>
        AtLeast,

        /// <summary>
        /// Exact height.
        /// </summary>
        Exact
    }
}
