﻿using System.Collections.Generic;

namespace Telerik.Windows.Documents.Fixed.Model.Editing.Layout
{
    internal class LineMeasureContext
    {
        public LineMeasureContext(IEnumerable<LayoutElementBase> elements, double remainingLineWidth)
        {
            this.PendingElements = elements;
            this.RemainingLineWidth = remainingLineWidth;
        }

        public IEnumerable<LayoutElementBase> PendingElements { get; private set; }

        public double RemainingLineWidth { get; private set; }
    }
}