﻿using Telerik.Windows.Documents.Fixed.Model.Common;

namespace Telerik.Windows.Documents.Fixed.Model.Editing.Lists
{
    /// <summary>
    /// Represents a list bullet.
    /// </summary>
    public interface IBulletNumberingFormat
    {
        /// <summary>
        /// Gets the bullet numbering element.
        /// </summary>
        /// <param name="listLevelsIndexer">The list levels indexer.</param>
        /// <returns>The bullet numbering element.</returns>
        PositionContentElement GetBulletNumberingElement(IListLevelsIndexer listLevelsIndexer);
    }
}
