﻿namespace Telerik.Windows.Documents.Fixed.Model.Editing.Lists
{
    /// <summary>
    /// Represents class which indexes list levels in a List.
    /// </summary>
    public interface IListLevelsIndexer
    {
        /// <summary>
        /// Gets the current index of the specified list level.
        /// </summary>
        /// <param name="listLevel">The list level.</param>
        /// <returns>The current index in the list level.</returns>
        int GetCurrentIndex(int listLevel);
    }
}
