﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.EventArguments
{
    internal class NamedDestinationNameChangedEventArgs : EventArgs
    {
        private readonly string newValue;
        private readonly string oldValue;

        public NamedDestinationNameChangedEventArgs(string newValue, string oldValue)
        {
            this.newValue = newValue;
            this.oldValue = oldValue;
        }

        public string NewValue
        {
            get
            {
                return newValue;
            }
        }

        public string OldValue
        {
            get
            {
                return oldValue;
            }
        }
    }
}
