﻿using System.Windows;
#if WINFORMS
using Telerik.Fixed.Legacy;
#endif

namespace Telerik.Windows.Documents.Fixed.Model
{
    internal class Font
	{
        public string FontName
        {
            get;
            set;
        }

        public Rect FontBBox
        {
            get;
            set;
        }

        public string FontFamily
        {
            get;
            set;
        }

        public bool IsBold
        {
            get;
            set;
        }

        public bool IsItalic
        {
            get;
            set;
        }

        public double Ascent
        {
            get;
            set;
        }

        public double Descent
        {
            get;
            set;
        }

        public int Flags
        {
            get;
            set;
        }

		public byte[] Data
		{
			get;
			set;
		}

        public virtual double GetWidth(char ch)
        {
            return 1;
        }
	}
}
