﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.Fonts
{
    internal class CidWidthVertical
    {
        private readonly int displacementVectorY;
        private readonly int positionVectorX;
        private readonly int positionVectorY;

        public CidWidthVertical(int displacementVectorY, int positionVectorX, int positionVectorY)
        {
            this.displacementVectorY = displacementVectorY;
            this.positionVectorX = positionVectorX;
            this.positionVectorY = positionVectorY;
        }

        public int DisplacementVectorX
        {
            get
            {
                return 0;
            }
        }

        public int DisplacementVectorY
        {
            get
            {
                return this.displacementVectorY;
            }
        }

        public int PositionVectorX
        {
            get
            {
                return this.positionVectorX;
            }
        }

        public int PositionVectorY
        {
            get
            {
                return this.positionVectorY;
            }
        }
    }
}
