﻿using System.Linq;
using System.Windows;
#if NETSTANDARD
using Telerik.Documents.Primitives;
#endif

namespace Telerik.Windows.Documents.Fixed.Model.Graphics
{
    /// <summary>
    /// Represents line segment.
    /// </summary>
    public class LineSegment : PathSegment
    { 
        /// <summary>
        /// Gets or sets the point.
        /// </summary>
        /// <value>The point.</value>
        public Point Point { get; set; }

        internal override Point LastPoint
        {
            get
            {
                return this.Point;
            }
        }

        internal override Rect GetBounds(Point previousPoint)
        {
            return new Rect(previousPoint, this.Point);
        }
    }
}