﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using Telerik.Windows.Documents.Core.Data;
using Telerik.Windows.Documents.Core.Imaging;

namespace Telerik.Windows.Documents.Fixed.Model.Internal
{
    internal class LinearGradientBrush : GradientBrush
    {
        public LinearGradientBrush(Color startColor, Color endColor, Point startPoint, Point endPoint, bool extendBefore, bool extendAfter, Color? background, Matrix transform, Rect? boundingBox)
            : base(startColor, endColor, startPoint, endPoint, extendBefore, extendAfter, background, transform, boundingBox)
        {
        }

        protected override GradientBrush CloneOverride()
        {
            return new LinearGradientBrush(
                this.StartColor,
                this.EndColor,
                this.StartPoint,
                this.EndPoint, 
                this.ExtendBefore,
                this.ExtendAfter, 
                this.Background, 
                this.Transform, 
                this.BoundingBox);
        }
    }
}
