﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model
{
    internal class Marker
    {
        private readonly string name;

        // Consider handling complex markers with properties as described in section "10.5.1 Property Lists" on page 852 in PdfReference 1.7.
        public Marker(string name)
        {
            this.name = name;
        }

        public string Name
        {
            get
            {
                return this.name;
            }
        }
    }
}
