﻿using System;

namespace Telerik.Windows.Documents.Fixed.Model.Navigation
{
    /// <summary>
    /// Bookmark item text style characteristics.
    /// </summary>
    [Flags]
    public enum BookmarkItemStyles
    {
        /// <summary>
        /// If set, none styling is applied for the item.
        /// </summary>
        Normal = 0,

        /// <summary>
        /// If set, displays the item in italic.
        /// </summary>
        Italic = 1,

        /// <summary>
        /// If set, displays the item in bold.
        /// </summary>
        Bold = 2
    }
}
