﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Fixed.Model
{
    /// <summary>
    /// Represent RadFixedDocument info class
    /// </summary>
    public class RadFixedDocumentInfo
    {
        internal RadFixedDocumentInfo()
        {
        }

        /// <summary>
        /// Gets or sets the author of the document.
        /// </summary>
        /// <value>The author.</value>
        public string Author { get; set; }

        /// <summary>
        /// Gets or sets the title of the document.
        /// </summary>
        /// <value>The title.</value>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the description of the document.
        /// </summary>
        /// <value>The description.</value>
        public string Description { get; set; }
    }
}
