﻿using System;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Text;

namespace Telerik.Windows.Documents.Fixed.Model.StandardFonts
{
    internal class HelveticaBold : Font
    {
        public HelveticaBold()
        {
            this.FontName = "Helvetica-Bold";
            this.FontFamily = "Helvetica";
            this.Ascent = 718;
            this.Descent = -207;
            this.fontDescriptor = FontsManager.GetStandardFontDescriptor(this.FontName);
        }

        private readonly StandardFontDescriptor fontDescriptor;

        public override double GetWidth(char ch)
        {
            return 0;
        }
    }
}
