﻿using System;

namespace Telerik.Windows.Documents.Core.PostScript.Data
{
    internal static class PostScriptConstants
    {
        public const int Bold = 700;

        public const string BlackWeightName = "black";
        public const string BoldWeightName = "bold";
        public const string ItalicStyleName = "italic";
        public const string ObliqueStyleName = "oblique";
        
        public const string NotDef = ".notdef";

        public const char SpaceSeparator = ' ';
        public static readonly char[] Separators;

        static PostScriptConstants()
        {
            Separators = new char[] { SpaceSeparator };
        }
    }
}
