﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal abstract class BinaryOperator : Operator  
    {
        public override void Execute(Interpreter interpreter)
        {
            object y = interpreter.Operands.GetLast();
            object x = interpreter.Operands.GetLast();

            object result = this.Execute(x, y);
            interpreter.Operands.AddLast(result);
        }

        protected abstract object Execute(object x, object y);
    }
}
