﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class If : Operator
    {
        public override void Execute(Interpreter interpreter)
        {
            PostScriptArray proc = interpreter.Operands.GetLastAs<PostScriptArray>();
            bool condition = interpreter.Operands.GetLastAs<bool>();

            if (condition)
            {
                interpreter.ExecuteProcedure(proc);
            }
        }
    }
}
