﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Core.PostScript.Data;

namespace Telerik.Windows.Documents.Core.PostScript.Operators
{
    internal class ReadString : Operator
    {
        public override void Execute(Interpreter interpreter)
        {
            PostScriptString str = interpreter.Operands.GetLastAs<PostScriptString>();
            interpreter.Operands.GetLast();

            int i = 0;
            while (!interpreter.Reader.EndOfFile && i < str.Capacity)
            {
                str[i++] = (char)interpreter.Reader.Read();
            }

            interpreter.Operands.AddLast(str);
            interpreter.Operands.AddLast(true);
        }
    }
}
