﻿using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import.Parser.Keywords;
using Telerik.Windows.Documents.Fixed.PostScript.Parser.Operators;

namespace Telerik.Windows.Documents.Fixed.PostScript.Parser.Keywords
{
    internal class PostScriptKeywordCollection : KeywordCollection
    {
        public PostScriptKeywordCollection()
        {
            this.RegisterKeyword(new OperatorKeyword(PostScriptOperators.BeginBFChar));
            this.RegisterKeyword(new OperatorKeyword(PostScriptOperators.EndBFChar));
            this.RegisterKeyword(new OperatorKeyword(PostScriptOperators.BeginBFRange));
            this.RegisterKeyword(new OperatorKeyword(PostScriptOperators.EndBFRange));
        }
    }
}
