﻿using System.Collections.Generic;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Import;
using Telerik.Windows.Documents.Fixed.Model.Data;
using Telerik.Windows.Documents.Fixed.PostScript.Parser.Operators.Utils;

namespace Telerik.Windows.Documents.Fixed.PostScript.Parser.Operators
{
    internal class EndBfRange : CMapEncodingOperator
    {
        public override string Name
        {
            get
            {
                return PostScriptOperatorNames.EndBFRange;
            }
        }

        public override void Execute(ICMapEncodingInterpreter interpreter, IPdfImportContext context)
        {
            IDictionary<CharCode, string> toUnicodeMapping = ToUnicodeRangeBuilder.BuildToUnicodeMapping(interpreter);

            ToUnicodeRangeParser.ParseToUnicodeMapping(interpreter, toUnicodeMapping);
        }
    }
}
