﻿using System.Windows;
#if NETSTANDARD
using Telerik.Documents.Primitives;
#endif
using Matrix = Telerik.Windows.Documents.Core.Data.Matrix;

namespace Telerik.Windows.Documents.Core.Shapes
{
    internal class LineSegment : PathSegment
    {
        public Point Point { get; set; }

        public override PathSegment Clone()
        {
            return new LineSegment { Point = this.Point };
        }

        public override void Transform(Matrix transformMatrix)
        {
            this.Point = transformMatrix.Transform(this.Point);
        }
    }
}