﻿using Telerik.Windows.Documents.Fixed.Model.Internal;

namespace Telerik.Windows.Documents.Fixed.Text.Internal
{
    internal class TextDocumentOld : TextDocument
    {
        private readonly RadFixedDocumentInternal document;
        private readonly TextRecognizerOld textRecognizer;

        public TextDocumentOld(RadFixedDocumentInternal document)
        {
            this.document = document;
            this.textRecognizer = new TextRecognizerOld(this);
            this.PagesCount = this.document.Pages.Count;
        }

        /// <summary>
        /// TODO Make base method private when Old model is deleted.
        /// </summary>
        protected override TextPage CreateTextPage(int index)
        {
            RadFixedPageInternal page = this.document.Pages[index];
            TextPage result = this.textRecognizer.CreateTextPage(page);

            return result;
        }
    }
}
