﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf.Model.Types;

namespace Telerik.Windows.Documents.Fixed.Tests.FormatProviders.Pdf.Model.Types
{
    [TestClass]
    public class PdfIntTests
    {
        [TestMethod]
        public void Implicit_ShouldReturnPdfRealInstance()
        {
            // Arrange
            PdfInt pdfInt1 = new PdfInt(int.MinValue);
            PdfInt pdfInt2 = new PdfInt(1);
            PdfInt pdfInt3 = new PdfInt(int.MaxValue);

            // Act
            PdfReal pdfReal1 = pdfInt1;
            PdfReal pdfReal2 = pdfInt2;
            PdfReal pdfReal3 = pdfInt3;

            // Assert
            Assert.AreEqual(int.MinValue, pdfReal1.Value);
            Assert.AreEqual(1, pdfReal2.Value);
            Assert.AreEqual(int.MaxValue, pdfReal3.Value);
        }
    }
}
