﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.IO;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf;
using Telerik.Windows.Documents.Fixed.Model;
using Telerik.Windows.Documents.Fixed.Tests.Utils;

namespace Telerik.Windows.Documents.Fixed.Tests.Integration.ImportExport.Fonts
{
    [TestClass]
    public class MissingFontsTests
    {
        [TestMethod]
        public void ImportMissingFont_ShouldNotThrow()
        {
            using (Stream stream = TestUtils.GetApplicationResourceStream("Resources/Fonts/MissingFonts.pdf"))
            {
                PdfFormatProvider pdfFormatProvider = new PdfFormatProvider();
                RadFixedDocument document = pdfFormatProvider.Import(stream);
            }
        }
    }
}
