﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Core.Fonts;
using Telerik.Windows.Documents.Fixed.Model;

namespace Telerik.Windows.Documents.Fixed.Tests.Integration.ImportExport.Fonts
{
    [TestClass]
    public class TestExportImportStandardFonts : FontTestBase
    {
        [TestMethod]
        public void Test_TextFragment_ExportImport_Helvetica()
        {
            TestExportImport(FontsManager.Helvetica);
        }

        [TestMethod]
        public void Test_TextFragment_ExportImport_HelveticaBold()
        {
            TestExportImport(FontsManager.HelveticaBold);
        }

        [TestMethod]
        public void Test_TextFragment_ExportImport_HelveticaBoldOblique()
        {
            TestExportImport(FontsManager.HelveticaBoldOblique);
        }

        [TestMethod]
        public void Test_TextFragment_ExportImport_HelveticaOblique()
        {
            TestExportImport(FontsManager.HelveticaOblique);
        }

        private static void TestExportImport(string font)
        {
            RadFixedDocument document = CreateDocumentWithTextFragment(font);
            ExportImportAndAssert(document);
        }
    }
}
