﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Telerik.Windows.Documents.Fixed.Model.ColorSpaces;

namespace Telerik.Windows.Documents.Fixed.Tests.Model.ColorSpaces
{
    [TestClass]
    public class PatternTests
    {
        [TestMethod]
        [ExpectedException(typeof(NotSupportedException))]
        public void GetColor_WhenParsIsNull_ThrowsNotSupportedException()
        {
            Pattern patternColorSpace = new Pattern();
            ColorBase result = patternColorSpace.GetColor(null);
        }

        [TestMethod]
        [ExpectedException(typeof(NotSupportedException))]
        public void GetColor_WhenParsIsNotNullAndNotEmpty_ThrowsNotSupportedException()
        {
            double[] pars = new double[] { 1 };
            Pattern patternColorSpace = new Pattern();

            ColorBase result = patternColorSpace.GetColor(pars);
        }
    }
}
