﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Fixed.Model.Data;

namespace Telerik.Windows.Documents.Fixed.Tests.Model.Data
{
    [TestClass]
    public class CharCodeTests
    {
        [TestMethod]
        public void CompareTo_WhenGreaterThan_ShoouldReturnOne()
        {
            // Arange
            CharCode first = new CharCode(100);
            CharCode second = new CharCode(99);

            // Act
            int result = first.CompareTo(second);

            // Assert
            Assert.AreEqual(1, result);
        }

        [TestMethod]
        public void CompareTo_WhenLessThan_ShoouldReturnMinusOne()
        {
            // Arange
            CharCode first = new CharCode(100);
            CharCode second = new CharCode(101);

            // Act
            int result = first.CompareTo(second);

            // Assert
            Assert.AreEqual(-1, result);
        }

        [TestMethod]
        public void CompareTo_WhenEqual_ShoouldReturnZero()
        {
            // Arange
            CharCode first = new CharCode(100);
            CharCode second = new CharCode(100);

            // Act
            int result = first.CompareTo(second);

            // Assert
            Assert.AreEqual(0, result);
        }
    }
}
