﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace Telerik.Windows.Documents.Core.Tests.PostScriptInterpretatorTests
{
    [TestClass]
    public class TestAndOperator
    {
        [TestMethod]
        public void WhenTheArgumentsAreBool()
        {
            string operation = "false true and";

            bool expected = false;
            bool result = Convert.ToBoolean(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);
        }

        [TestMethod]
        public void WhenTheArgumentsAreInt()
        {
            string operation = "6 2 and";

            int expected = 2;
            int result = Convert.ToInt32(OperatorsUtil.ExecuteOperations(operation, 1)[0]);
            Assert.AreEqual(expected, result);

        }
    }
}
