﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Linq;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf;
using Telerik.Windows.Documents.Fixed.Model;
using Telerik.Windows.Documents.Fixed.Tests.Integration;
using Telerik.Windows.Documents.Fixed.Tests.Utils;
using Telerik.Windows.Documents.Flow.Tests.Flow.Utils;
using Telerik.Windows.Documents.Flow.Tests.Utils;

namespace Telerik.Windows.Documents.Fixed.Tests.FixedVisualTests
{
    [TestClass]
    public class MergeFixedDocumentsTest : DocumentFixedVisualBaseTest
    {
        [TestMethod]
        [TestCategory(PdfProcessingCategory.VisualTest)]
        public void MergeDocumentsWithDestinationTypes()
        {
            RadFixedDocument source = this.LoadVisualTestDocument("PageHorizontalFit.pdf");
            RadFixedDocument target = this.LoadVisualTestDocument("PageVerticalFit.pdf");
            target.Merge(source);


            this.AssertAreVisualyEqual(target, UIInteractionHelper.LeftMouseClick(650, 200));
        }
    }
}
