﻿using System;
using System.Linq;
using System.Windows.Forms;

namespace Telerik.Windows.Documents.Flow.DebuggerVisualizers
{
    public partial class TextBoxWindow : Form
    {
        public TextBoxWindow()
        {
            InitializeComponent();
        }

        public string TextContent
        {
            get { return this.textBoxText.Text; }
            set { this.textBoxText.Text = value; }
        }

        private void textBoxText_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Control && e.KeyCode == Keys.A)
            {
                this.textBoxText.SelectAll();
            }
        }

        private void checkBoxWordWrap_CheckedChanged(object sender, EventArgs e)
        {
            this.textBoxText.WordWrap = this.checkBoxWordWrap.Checked;
        }
    }
}
