﻿using Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Common;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Styles
{
    internal class FlowDirectionElement : BoolValueElementBase
    {
        private readonly string elementName;

        public FlowDirectionElement(DocxPartsManager partsManager, string elementName)
            : base(partsManager)
        {
            this.elementName = elementName;
        }

        public override string ElementName
        {
            get
            {
                return this.elementName;
            }
        }

        public override bool AlwaysExport
        {
            get
            {
                return false;
            }
        }
    }
}
