﻿using Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Common;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Styles
{
    internal class StyleIdElement : DocxRequiredValueElementBase<string>
    {
        private readonly string elementName;

        public StyleIdElement(DocxPartsManager partsManager, string elementName)
            : base(partsManager)
        {
            this.elementName = elementName;
        }

        public override string ElementName
        {
            get
            {
                return this.elementName;
            }
        }
    }
}
