﻿using Telerik.Windows.Documents.Flow.FormatProviders.Docx.Import;
using Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Common;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Core;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Docx.Model.Elements.Vector
{
    internal abstract class VectorElementBase : DocxElementBase
    {
        public VectorElementBase(DocxPartsManager partsManager)
            : base(partsManager)
        {
        }

        public override OpenXmlNamespace Namespace
        {
            get
            {
                return OpenXmlNamespaces.VectorMLNamespace;
            }
        }

        protected override bool ShouldImport(IDocxImportContext context)
        {
            return true;
        }
    }
}
