﻿using PreMailer.Net;
using Telerik.Windows.Documents.Flow.FormatProviders.Html.Model.Styles;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Import
{
    internal class InlineCssReader
    {
        private readonly CssParser parser;

        public InlineCssReader()
        {
            this.parser = new CssParser();
        }

        public void ReadStyleProperties(HtmlStyleProperties styleProperties, string style)
        {
            StyleClass styleClass = this.parser.ParseStyleClass("class", style);
            foreach (System.Collections.Generic.KeyValuePair<string, string> property in styleClass.Attributes)
            {
                styleProperties.RegisterProperty(property.Key, property.Value);
            }
        }
    }
}
