﻿// Copyright (c) 2012 James Treworgy
// 
// LICENSE (MIT License)
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy 
// of this software and associated documentation files (the "Software"), to deal 
// in the Software without restriction, including without limitation the rights to 
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
// of the Software, and to permit persons to whom the Software is furnished to do 
// so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in all 
// copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
// INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
// PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION 
// OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

// TODO: this should be fully commented; however it's not part of the main public API

#pragma warning disable 1591
#pragma warning disable 1570


namespace CsQuery.EquationParser
{
    /// <summary>
    /// Interface for an equation clause.
    /// </summary>

    internal interface IClause : IFunction, IVariableContainer
    {

        ///// <summary>
        ///// Builds an expression by returning the open clause: either the same clause, with the first 
        ///// operand replace by a new clause containing (oldOpA, operandB, op), or a new clause that
        ///// has been added as OperandB to the previous clause. The operand returned is based on the
        ///// associativity of the operator, and will result in a correctly constructed association chain.
        ///// </summary>
        ///// <param name="operandB">The new operand</param>
        ///// <param name="op">The operator</param>
        ///// <returns></returns>
        //IClause Chain(IOperand operandB, IOperator op);
        //IClause Chain(IOperand operandB, string op);
        //IClause Chain(IConvertible operandB, string op);
        
        new IClause Clone();
    }
    //public interface IClause<T> : IFunction<T>, IClause where T : IConvertible, IEquatable<T>
    //{
    //    //new IClause<T> Chain(IOperand operandB, IOperator op);
    //    //new IClause<T> Chain(IOperand operandB, string op);
    //    //new IClause<T> Chain(IConvertible operandB, string op);
    //    new IClause<T> Clone();
    //}
}
