﻿using System.Collections.Generic;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Import
{
    internal class StyleNamesInfo
    {
        private IEnumerable<string> characterStyles;
        private IEnumerable<string> paragraphStyles;
        private IEnumerable<string> tableStyles;

        public StyleNamesInfo()
        {
        }

        public IEnumerable<string> CharacterStyles
        {
            get
            {
                return this.characterStyles;
            }
            set
            {
                Guard.ThrowExceptionIfNull(value, "value");

                this.characterStyles = value;
            }
        }

        public IEnumerable<string> ParagraphStyles
        {
            get
            {
                return this.paragraphStyles;
            }
            set
            {
                Guard.ThrowExceptionIfNull(value, "value");

                this.paragraphStyles = value;
            }
        }

        public IEnumerable<string> TableStyles
        {
            get
            {
                return this.tableStyles;
            }
            set
            {
                Guard.ThrowExceptionIfNull(value, "value");

                this.tableStyles = value;
            }
        }
    }
}