﻿#if NETSTANDARD
using Telerik.Documents.Core.Fonts;
#else
using System.Windows.Media;
#endif

namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Model.Elements.Lists
{
    internal class BulletListInfo
    {
        public BulletListInfo(string htmlName, string symbol, FontFamily symbolFontFamily)
        {
            this.HtmlName = htmlName;
            this.BulletSymbol = symbol;
            this.SymbolFontFamily = symbolFontFamily;
        }

        public string HtmlName { get; private set; }

        public string BulletSymbol { get; private set; }

        public FontFamily SymbolFontFamily { get; private set; }
    }
}