﻿namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Model.Elements.Lists
{
    internal class ListIndexesPair
    {
        /// <summary>
        /// Gets or sets the vertical depth serial index for element without regarding the level.
        /// </summary>
        /// <value>The the vertical depth serial index.</value>
        public int VerticalDepthSerialIndex { get; set; }

        /// <summary>
        /// Gets or sets the serial index for the bullet in the level.
        /// </summary>
        /// <value>The serial index of the bullet.</value>
        public int BulletSerialIndex { get; set; }
    }
}
