﻿namespace Telerik.Windows.Documents.Flow.FormatProviders.Html.Model
{
    internal static class HtmlElementNames
    {
        // Default
        public const string Default = "DEFAULT";
        public const string Text = "TEXT";

        // Html
        public const string Html = "html";
        public const string Body = "body";
        public const string Head = "head";
        public const string Style = "style";
        public const string Link = "link";
        public const string Title = "title";

        // Paragraph
        public const string Paragraph = "p";
        public const string Span = "span";
        public const string Bold = "b";
        public const string Strong = "strong";
        public const string Strike = "strike";
        public const string Striketrough = "s";
        public const string Emphasis = "em";
        public const string Italic = "i";
        public const string Definition = "dfn";
        public const string Variable = "var";
        public const string Cite = "cite";
        public const string Underline = "u";
        public const string Subscript = "sub";
        public const string Superscript = "sup";
        public const string Code = "code";
        public const string Keyboard = "kbd";
        public const string Sample = "samp";
        public const string Preformatted = "pre";
        public const string Teletype = "tt";
        public const string Inserted = "ins";
        public const string Deleted = "del";

        public const string Label = "label";
        public const string Center = "center";
        public const string Quote = "q";
        public const string LineBreak = "br";

        // Lists
        public const string OrderedList = "ol";
        public const string UnorderedList = "ul";
        public const string ListLevel = "li";

        // Table
        public const string Table = "table";
        public const string TableHeader = "thead";
        public const string TableBody = "tbody";
        public const string TableFooter = "tfoot";
        public const string TableRow = "tr";
        public const string TableHeaderCell = "th";
        public const string TableCell = "td";

        // Headings
        public const string Heading1 = "h1";
        public const string Heading2 = "h2";
        public const string Heading3 = "h3";
        public const string Heading4 = "h4";
        public const string Heading5 = "h5";
        public const string Heading6 = "h6";

        // Other
        public const string Hyperlink = "a";
        public const string Image = "img";
        public const string Div = "div";
    }
}
