﻿namespace Telerik.Windows.Documents.Flow.FormatProviders.Pdf.Utils
{
    /// <summary>
    /// Represents a numbering style converter.
    /// </summary>
    public interface INumberingStyleConverter
    {
        /// <summary>
        /// Converts the number to text.
        /// </summary>
        /// <param name="number">The number.</param>
        /// <returns>The text representation of the given number.</returns>
        string ConvertNumberToText(int number);
    }
}
