namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions
{
    internal class ExpressionResult
    {
        private readonly double value;
        private readonly ExpressionException error;

        public ExpressionResult(double value)
        {
            this.value = value;
            this.error = null;
        }

        public ExpressionResult(ExpressionException error)
        {
            this.error = error;
            this.value = 0;
        }

        public double Value
        {
            get
            {
                return this.value;
            }
        }

        public ExpressionException Error
        {
            get
            {
                return this.error;
            }
        }
    }
}