﻿using System.Linq;

namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Functions
{
    internal class AverageFunctionExpression : FunctionExpression
    {
        public AverageFunctionExpression(Expression[] arguments)
            : base(arguments)
        {
        }

        public override ExpressionResult GetResult()
        {
            double result = this.Arguments.Sum(arg => arg.GetResult().Value);
            result /= this.Arguments.Count;

            return new ExpressionResult(result);
        }
    }
}