namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Functions
{
    internal class ModFunctionExpression : TwoArgumentFunctionExpression
    {
        public ModFunctionExpression(Expression[] arguments)
            : base(arguments)
        {
        }

        public override ExpressionResult GetResult()
        {
            double first = this.FirstArgument.GetResult().Value;
            double second = this.SecondArgument.GetResult().Value;
            double result = first % second;
            return new ExpressionResult(result);
        }
    }
}