using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Functions
{
    internal abstract class SingleArgumentFunctionExpression : FunctionExpression
    {
        public SingleArgumentFunctionExpression(Expression[] arguments)
            : base(arguments)
        {
            Guard.ThrowExceptionIfOutOfRange(1, 1, arguments.Length, "arguments");
        }

        protected Expression Argument
        {
            get
            {
                return this.Arguments[0];
            }
        }
    }
}