﻿namespace Telerik.Windows.Documents.Flow.Model.Fields.Expressions.Operators
{
    internal abstract class ComparisonOperatorExpression : BinaryOperatorExpression
    {
        public ComparisonOperatorExpression(Expression left, Expression right)
            : base(left, right)
        {
        }

        public override ExpressionResult GetResult()
        {
            double left = this.Left.GetResult().Value;
            double right = this.Right.GetResult().Value;
            return new ExpressionResult(this.Compare(left, right) ? 1 : 0);
        }

        protected abstract bool Compare(double left, double right);
    }
}