﻿namespace Telerik.Windows.Documents.Flow.Model
{
    /// <summary>
    /// Holds different options for controlling merge operation invoked from <see cref="RadFlowDocument.Merge(RadFlowDocument, MergeOptions)"/> method.
    /// </summary>
    public class MergeOptions
    {
        /// <summary>
        /// Gets or sets the mode used for resolving conflicts between styles with same IDs.
        /// </summary>
        /// <value>
        /// The conflicting styles resolution mode.
        /// </value>
        public ConflictingStylesResolutionMode ConflictingStylesResolutionMode { get; set; }
    }
}
