﻿namespace Telerik.Windows.Documents.Flow.Model.Styles.Core
{
    internal class TabStopCollectionStyleProperty : StyleProperty<TabStopCollection>
    {
        public TabStopCollectionStyleProperty(StylePropertyDefinition<TabStopCollection> propertyDefinition, DocumentElementPropertiesBase propertyContainer)
            : base(propertyDefinition, propertyContainer)
        {
        }

        public override TabStopCollection GetActualValue()
        {
            TabStopCollection tabStops = this.GetActualValueInternal();

            if (this.HasLocalValue)
            {
                tabStops = tabStops.Merge(this.LocalValue);
            }

            return tabStops;
        }
    }
}