﻿namespace Telerik.Windows.Documents.Flow.Model.Styles
{
    /// <summary>
    /// Specifies the algorithm which shall be used to lay out the contents of this table.
    /// </summary>
    public enum TableLayoutType
    {
        /// <summary>
        /// Fixed width table layout algorithm.
        /// </summary>
        FixedWidth,

        /// <summary>
        /// AutoFit table layout algorithm.
        /// </summary>
        AutoFit
    }
}
