﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.FormatProviders.Docx;
using Telerik.Windows.Documents.Flow.Model;
using Telerik.Windows.Documents.Flow.Tests.Utilities;

namespace Telerik.Windows.Documents.Flow.Tests.Integration.ImportExport.Charts
{
    [TestClass]
    public class ChartsImportTests
    {
        public const string TestFilesFolder = "Charts/";

        [TestMethod]
        public void AssertImportDocumentWithCharts_NotCrashing()
        {
            // Act
            RadFlowDocument importedDocument = TestHelper.GetDocumentFromFile(string.Format("{0}DocumentWithChart.docx", TestFilesFolder), new DocxFormatProvider());

            Assert.IsNotNull(importedDocument);
        }
    }
}
