﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.FormatProviders.Docx;
using Telerik.Windows.Documents.Flow.Model;
using Telerik.Windows.Documents.Flow.Tests.Utilities;

namespace Telerik.Windows.Documents.Flow.Tests.Integration.ImportExport.Drawings
{
    [TestClass]
    public class DrawingsTests : TestsBase
    {
        public const string TestFilesFolder = "Drawings/";

        [TestMethod]
        public void Drawing_Import_Docx()
        {
            RadFlowDocument doc = new RadFlowDocument();
            doc.Sections.AddSection().Blocks.AddParagraph();

            RadFlowDocument imported = TestHelper.GetDocumentFromFile(
                string.Format("{0}Shapes.docx", TestFilesFolder), new DocxFormatProvider());

            StructureAsserter.AssertDocumentsAreEqual(doc, imported);
        }
    }
}
