﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Telerik.Windows.Documents.Flow.Model.Fields;

namespace Telerik.Windows.Documents.Flow.Tests.Model.Fields
{
    [TestClass]
    public class DateFieldTests : UpdateFieldTestsBase
    {
        [TestMethod]
        public void InsertField_WithIfCode_CreatesIfField()
        {
            this.AssertInsertFieldCreatesFieldOfType("DATE", typeof(DateField));
        }

        // Formatting tests are in the Internal tests where DateTime service can be accessed.
        [TestMethod]
        public void UpdateDateField_NoFormattingString_UsesCurrentCulture()
        {
            string expected = DateTime.Now.ToShortDateString();

            FieldUpdateTestCaseCollection testCases = new FieldUpdateTestCaseCollection();
            testCases.Add("DATE", expected);
            this.AssertTestCases(testCases);
        }
    }
}
