﻿using System;
#if NETSTANDARD
using Telerik.Documents.Media;
#else
using System.Windows.Media;
#endif
using Telerik.Windows.Documents.Flow.Model.Styles;
#if WPF || SILVERLIGHT
using Telerik.Windows.Documents.Spreadsheet.Model;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.Flow.Tests.Utilities
{
    internal static class BordersAsserter
    {
        public static ParagraphBorders AssertParagraphBorders(ParagraphBorders borders, Border oldBorder, Func<Border, ParagraphBorders> func)
        {
            Border newBorder = new Border(2, BorderStyle.Double, new ThemableColor(Colors.Blue), true, true, 20);
            return func(newBorder);
        }

        public static TableBorders AssertTableBorders(TableBorders borders, Border oldBorder, Func<Border, TableBorders> func)
        {
            Border newBorder = new Border(2, BorderStyle.Double, new ThemableColor(Colors.Blue), true, true, 20);
            return func(newBorder);
        }

        public static TableCellBorders AssertTableCellBorders(TableCellBorders borders, Border oldBorder, Func<Border, TableCellBorders> func)
        {
            Border newBorder = new Border(2, BorderStyle.Double, new ThemableColor(Colors.Blue), true, true, 20);
            return func(newBorder);
        }
    }
}
