﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Telerik.Windows.Documents.Flow.Tests.Flow.Utils
{
    public static class TestSettings
    {
        public const string DOCXFILEEXTENSION = ".docx";
        public const string PDFFILEEXTENSION = ".pdf";
        public const string HTMLFILEEXTENSION = ".html";
        public const string RTFFILEEXTENSION = ".rtf";
        public const string XLSXFILEEXTENSION = ".xlsx";
        public const string CSVFILEEXTENSION = ".csv";

        public const string PDFPROCESS = "AcroRd32";
        public const string PDF_ARM_PROCESS = "AdobeARM";
        public const string WORDPROCESS = "WINWORD";
        public const string IEPROCESS = "iexplore";
        public const string EXCELPROCESS = "EXCEL";
        public const string WORDPAD = "wordpad";
 
        public const string DPL_TEMP_FOLDER = @"C:\DPL_Temp\";
        public const string TESTS_TEMP_FOLDER = @"C:\TESTS_TEMP\";
        public const string IMAGES_TEMP_FOLDER = TESTS_TEMP_FOLDER + @"Images\";
        public const string VIDEOS_TEMP_FOLDER = TESTS_TEMP_FOLDER + @"Videos\";
        public const string EXCEL_DOCUMENT_RECOVERY_PATH = @"Software\Microsoft\Office\16.0\Excel\Resiliency\DocumentRecovery\";
        public const string WORD_DOCUMENT_RECOVERY_PATH = @"Software\Microsoft\Office\16.0\Word\Resiliency\DocumentRecovery\";
        public const string EXCEL_DISABLED_ITEMS_PATH = @"Software\Microsoft\Office\16.0\Excel\Resiliency\DisabledItems\";
        public const string WORD_DISABLED_ITEMS_PATH = @"Software\Microsoft\Office\16.0\Word\Resiliency\DisabledItems\";
        public const string WORD_READING_LOCATIONS = @"Software\Microsoft\Office\16.0\Word\Reading Locations\";
        public const string WORD_File_MRU = @"Software\Microsoft\Office\16.0\Word\File MRU\";
        public const string WORD_User_MRU = @"Software\Microsoft\Office\16.0\Word\User MRU\";

        // On Windows 10 the name of the application is added to the end of the window's caption
        public const string PdfProcessWindowCaptionSuffix = " - Adobe Acrobat Reader DC";
        public const string WordProcessWindowCaptionSuffix = " - Word";
        public const string ExcelProcessWindowCaptionSuffix = " - Excel";
        public const string WordPadProcessWindowCaptionSuffix = " - WordPad";
    }
}
