﻿using Telerik.Windows.Documents.Flow.Model;
using Telerik.Windows.Documents.Flow.Model.Editing;
using Telerik.Windows.Documents.Flow.Model.Lists;

namespace Telerik.Windows.Documents.Flow.InternalTests.Integration.Html.Export
{
    public class ListsExportBase
    {
        public void AddParagraphsToDocument(RadFlowDocumentEditor editor, List list, int index)
        {
            Paragraph p = null;
            for (int i = index; i < index + 1; i++)
            {
                p = editor.InsertParagraph();
                p.ListId = list.Id;
                p.ListLevel = i;
                editor.InsertText("Hello " + i);
            }
        }
    }
}
