﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Flow.Model;
using Telerik.Windows.Documents.Flow.Model.Collections;

namespace Telerik.Windows.Documents.Flow.InternalTests.Model.Collections
{
    [TestClass]
    public class SectionCollectionTests
    {
        [TestMethod]
        public void AddSection_AddsSectionWithCorrectParentAndDocument()
        {
            RadFlowDocument document = new RadFlowDocument();

            SectionCollection sectionCollection = new SectionCollection(document);

            Section section = sectionCollection.AddSection();

            Assert.AreEqual(document, section.Document);
            Assert.AreEqual(document, section.Parent);
        }
    }
}
