﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace Telerik.Windows.Documents.Flow.InternalTests.Utilities
{
    // TODO: Think of how to use common test helper with the public tests project.
    internal static class TestHelper
    {
        public static void AssertExceptionIsThrown<TException>(Action action)
            where TException : Exception
        {
            try
            {
                action();
                Assert.Fail(string.Format("Expected exception type:{0} was not thrown.",
                    typeof(TException).Name));
            }
            catch (TException)
            {
            }
            catch (Exception ex)
            {
                Assert.Fail(string.Format(
                    "Expected exception type: '{0}', Actual: '{1}'",
                    typeof(TException).Name,
                    ex.GetType().Name));
            }
        }
    }
}
