﻿using System;
using System.Linq;
using System.Windows;

namespace Telerik.Windows.Documents.Licensing
{
    internal static class AssemblyProtection
    {
        // Modify to match your application name. For example: "Telerik Sales Dashboard (tm)".
        // In case of Windows Forms or console application, this should be modified to match the name of the Application.ResourceAssembly.
        internal const string ApplicationName = "MyApp";

        private const string Key = "Telerik.Windows.Controls.Key";

        public static bool IsValid()
        {
            // Uncomment the following line.
            ////return ValidatePassPhrase();
            return true;
        }

#if !NETSTANDARD
        public static bool ValidatePassPhrase()
        {
            Application application = Application.Current;
#if !SILVERLIGHT
            // This is the case of console application, Windows Forms application, etc.
            if (application == null)
            {
                if (Application.ResourceAssembly == null)
                {
                    return false;
                }

                return Application.ResourceAssembly.GetName().Name == ApplicationName;
            }
            else 
#endif
            if (application.Resources.Contains(Key))
            {
                string applicationName = application.Resources[Key] as string;
                if (applicationName != null && applicationName == ApplicationName)
                {
                    return true;
                }
            }

            return false;
        }
#endif
    }
}
