﻿using Telerik.Windows.Documents.Spreadsheet.Model;
#if (WPF || SILVERLIGHT) && !NETCORE
using Telerik.Windows.Documents.Spreadsheet.Theming;
#else
using Telerik.Documents.Common.Model;
#endif

namespace Telerik.Windows.Documents.Spreadsheet.Commands.WorkbookCommands
{
    internal class SetWorkbookThemeCommand : SetWorkbookPropertyCommand<DocumentTheme>
    {
        #region Methods

        protected override bool AffectsLayoutOverride(SetWorkbookPropertyCommandContext<DocumentTheme> context)
        {
            return true;
        }

        protected override DocumentTheme GetPropertyValue(Workbook workbook)
        {
            return workbook.Theme;
        }

        protected override void SetPropertyValue(Workbook workbook, DocumentTheme value)
        {
            workbook.SetThemeInternal(value);
        }

        #endregion
    }
}