﻿using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Commands.WorksheetCommands
{
    // TODO: Improve performance!
    internal class InsertCellCommand : UndoableWorksheetCommandBase<InsertCellCommandContext>
    {
        #region Methods

        protected override bool AffectsLayoutOverride(InsertCellCommandContext context)
        {
            return true;
        }

        protected override void PreserveStateBeforeExecute(InsertCellCommandContext context)
        {
            // TODO: Nothing to preserve?
        }

        protected override bool CanExecuteOverride(InsertCellCommandContext context)
        {
            return context.Worksheet.Cells.CanInsert(context.CellRange, context.ShiftType);
        }

        protected override void ExecuteOverride(InsertCellCommandContext context)
        {
            context.Worksheet.Cells.InsertInternal(context.CellRange, context.ShiftType);
        }

        protected override void UndoOverride(InsertCellCommandContext context)
        {
            RemoveShiftType shiftType = context.ShiftType.ReverseShiftType();
            context.Worksheet.Cells.RemoveInternal(context.CellRange, shiftType);
        }

        #endregion
    }
}