﻿using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Commands.WorksheetCommands
{
    internal abstract class WorksheetCommandContextBase : SheetCommandContextBase
    {
        #region Properties

        public Worksheet Worksheet
        {
            get
            {
                return (Worksheet)this.Sheet;
            }
        }

        public virtual bool ShouldBringActiveCellIntoView
        {
            get
            {
                return true;
            }
        }

        #endregion


        #region Constructors

        public WorksheetCommandContextBase(Worksheet worksheet)
            : base(worksheet)
        {
        }

        #endregion
    }
}