﻿namespace Telerik.Windows.Documents.Spreadsheet.DataSeries
{
    /// <summary>
    /// Represents the fill direction.
    /// </summary>
    public enum FillDirection
    {
        /// <summary>
        /// Left fill direction.
        /// </summary>
        Left,

        /// <summary>
        /// Up fill direction.
        /// </summary>
        Up,

        /// <summary>
        /// Right fill direction.
        /// </summary>
        Right,

        /// <summary>
        /// Down fill direction.
        /// </summary>
        Down
    }
}