﻿namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    /// <summary>
    /// Abstract class providing methods and properties for all expressions with constant value.
    /// </summary>
	public abstract class ConstantExpression : RadExpression
	{
		#region Methods
        
        /// <summary>
        /// Overridable method for getting expression value.
        /// </summary>
        /// <returns>The value as RadExpression.</returns>
        protected override RadExpression GetValueOverride()
        {
			return this;
		}
        
        internal override RadExpression CloneAndTranslate(ExpressionCloneAndTranslateContext context)
        {
            return this;
        }

        internal override void Translate(ExpressionTranslateContext context)
        {
            
        }

		#endregion
	}
}