﻿namespace Telerik.Windows.Documents.Spreadsheet.Expressions
{
    /// <summary>
    /// Describes different states of an RadExpression.
    /// </summary>
    public enum ExpressionState
    {
        /// <summary>
        /// Invalid expression state.
        /// </summary>
		Invalid,

        /// <summary>
        /// Computing expression state.
        /// </summary>
		Computing,

        /// <summary>
        /// Valid expression state.
        /// </summary>
		Valid
	}
}