﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Expressions.Parser
{
    internal class CellReferenceRangeExpressionToken : ExpressionToken
    {
        public CellReferenceExpressionToken Left { get; private set; }
        public CellReferenceExpressionToken Right { get; private set; }

        public CellReferenceRangeExpressionToken(CellReferenceExpressionToken left, CellReferenceExpressionToken right)
            : base(ExpressionTokenType.A1CellReferenceRange, left.Value + SpreadsheetCultureHelper.Colon + right.Value)
        {
            this.Left = left;
            this.Right = right;
        }
    }
}
