﻿using System;
using Telerik.Windows.Documents.Spreadsheet.Expressions;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.Utilities
{
    internal static class FormatProvidersUtility
    {
        public static void SetValueIgnoreErrors(this CellSelection cellSeletion ,string value)
        {
            ICellValue cellValue;
            CellValueFormat newFormat;
            cellSeletion.CreateValueIgnoreFormat(value, out cellValue, out newFormat);
            FormulaCellValue formulaCellValue = cellValue as FormulaCellValue;
            if (formulaCellValue != null)
            {
                ErrorExpression errorExpression = formulaCellValue.Value as ErrorExpression;
                if (errorExpression != null && errorExpression.Exception != null)
                {
                    cellValue = new TextCellValue(value);
                }
            }

            cellSeletion.SetValueInternal(cellValue, newFormat);
        }
    }
}
