﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Formatting.FormatStrings
{
    /// <summary>
    /// Defines the fraction denominator type.
    /// </summary>
    public enum FractionDenominatorType
    {
        /// <summary>
        /// UpToOneDigit fraction denominator type.
        /// </summary>
        UpToOneDigit,

        /// <summary>
        /// UpToTwoDigits fraction denominator type.
        /// </summary>
        UpToTwoDigits,

        /// <summary>
        /// UpToThreeDigits fraction denominator type.
        /// </summary>
        UpToThreeDigits,

        /// <summary>
        /// AsHalves fraction denominator type.
        /// </summary>
        AsHalves,

        /// <summary>
        /// AsQuarters fraction denominator type.
        /// </summary>
        AsQuarters,

        /// <summary>
        /// AsEighths fraction denominator type.
        /// </summary>
        AsEighths,

        /// <summary>
        /// AsSixteenths fraction denominator type.
        /// </summary>
        AsSixteenths,

        /// <summary>
        /// AsTenths fraction denominator type.
        /// </summary>
        AsTenths,

        /// <summary>
        /// AsHundredths fraction denominator type.
        /// </summary>
        AsHundredths
    }
}
