﻿using System.Windows.Media.Imaging;

namespace Telerik.Windows.Documents.Spreadsheet.Layout.Layers
{
    internal class BitmapShapeSource : IShapeSource
    {
        private readonly BitmapSource bitmap;

        public BitmapShapeSource(BitmapSource bitmap)
        {
            this.bitmap = bitmap;
        }

        public BitmapSource Bitmap
        {
            get
            {
                return this.bitmap;
            }
        }

        bool IShapeSource.IsLocked { get; set; }
    }
}
