﻿using System;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.Layout.Layers
{
    internal class CellBordersLayer : CellBordersLayerBase
    {
        public const bool SupportDiagonals = true;
        public static readonly Func<CellBorder, bool> ShowBorder = (border) => border != CellBorder.Default;

        public CellBordersLayer(IRenderer<LineRenderable> lineRenderer, bool shouldShowTopLeftMostBorders)
            : base(lineRenderer, shouldShowTopLeftMostBorders, CellBordersLayer.SupportDiagonals, CellBordersLayer.ShowBorder, WorksheetPredefinedLayers.CellBorders)
        {
        }
    }
}
