﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Layout.Layers
{
    internal static class WorksheetPredefinedLayers
    {
        #region Constants

        /// <summary>
        /// The name of the grid lines layer.
        /// </summary>
        public const string Gridlines = "Gridlines";

        /// <summary>
        /// The name of the grid lines outline layer.
        /// </summary>
        public const string GridlinesOutline = "GridlinesOutline";

        /// <summary>
        /// The name of the cell fill layer.
        /// </summary>
        public const string CellFill = "CellFill";

        /// <summary>
        /// The name of the cell borders layer.
        /// </summary>
        public const string CellBorders = "CellBorders";

        /// <summary>
        /// The name of the cell values layer.
        /// </summary>
        public const string CellValues = "CellValues";

        /// <summary>
        /// The name of the shapes layer.
        /// </summary>
        public const string Shapes = "Shapes";

        /// <summary>
        /// The name of the row heading margin layer.
        /// </summary>
        public const string RowHeadingMargin = "RowHeadingMargin";

        /// <summary>
        /// The name of the column heading margin layer.
        /// </summary>
        public const string ColumnHeadingMargin = "ColumnHeadingMargin";

        /// <summary>
        /// The name of the header/footer layer.
        /// </summary>
        public const string HeaderFooter = "HeaderFooter";

        #endregion
    }
}
