namespace Telerik.Windows.Documents.Spreadsheet.Maths
{
    /// <summary>
    /// Enumeration of supported force units.
    /// </summary>
    internal enum ForceUnit
    {
        /// <summary>
        /// Newton "N"
        /// </summary>
        Newton,
        /// <summary>
        /// Dyne "dyn" or "dy"
        /// </summary>
        Dyne,
        /// <summary>
        /// Pound "lbf"
        /// </summary>
        Pound,
        /// <summary>
        /// Pond "pond"
        /// </summary>
        Pond
    }
}