namespace Telerik.Windows.Documents.Spreadsheet.Maths
{
    /// <summary>
    /// Enumeration of supported power units.
    /// </summary>
    internal enum PowerUnit
    {
        /// <summary>
        /// Horse power "HP" or "h"
        /// </summary>
        HorsePower,
        /// <summary>
        /// Pferdestrke "PS"
        /// </summary>
        PferdeStarke,
        /// <summary>
        /// Watt "W" or "w"
        /// </summary>
        Watt
    }
}