﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Defines the types of border styles.
    /// </summary>
    public enum CellBorderStyle
    {
		// TODO:
        /// <summary>
        /// None cell border style.
        /// </summary>
        None,

        /// <summary>
        /// Hair cell border style.
        /// </summary>
        Hair,

        /// <summary>
        /// Dotted cell border style.
        /// </summary>
        Dotted,

        /// <summary>
        /// DashDotDot cell border style.
        /// </summary>
        DashDotDot,

        /// <summary>
        /// DashDot cell border style.
        /// </summary>
        DashDot,

        /// <summary>
        /// Dashed cell border style.
        /// </summary>
        Dashed,

        /// <summary>
        /// Thin cell border style.
        /// </summary>
        Thin,

        /// <summary>
        /// MediumDashDotDot cell border style.
        /// </summary>
        MediumDashDotDot,

        /// <summary>
        /// MediumDashDot cell border style.
        /// </summary>
        MediumDashDot,

        /// <summary>
        /// MediumDashed cell border style.
        /// </summary>
        MediumDashed,

        /// <summary>
        /// Double cell border style.
        /// </summary>
        Double,

        /// <summary>
        /// Medium cell border style.
        /// </summary>
        Medium,

        /// <summary>
        /// SlantDashDot cell border style.
        /// </summary>
        SlantDashDot,

        /// <summary>
        /// Thick cell border style.
        /// </summary>
        Thick
    }
}