﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Telerik.Windows.Documents.Spreadsheet.Model.Charts
{
    /// <summary>
    /// Represents the possible orientation of the series of a chart in a cell range.
    /// </summary>
    public enum SeriesRangesOrientation
    {
        /// <summary>
        /// Denotes automatic orientation. The series direction will be determined according to the data.
        /// </summary>
        Automatic,

        /// <summary>
        /// Denotes the vertical orientation.
        /// </summary>
        Vertical,

        /// <summary>
        /// Denotes the horizontal orientation.
        /// </summary>
        Horizontal,
    }
}
