﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Identifies the comparison operator.
    /// </summary>
    public enum ComparisonOperator
    {
        /// <summary>
        /// EqualsTo comparison operator.
        /// </summary>
        EqualsTo,

        /// <summary>
        /// GreaterThan comparison operator.
        /// </summary>
        GreaterThan,

        /// <summary>
        /// GreaterThanOrEqualsTo comparison operator.
        /// </summary>
        GreaterThanOrEqualsTo,

        /// <summary>
        /// LessThan comparison operator.
        /// </summary>
        LessThan,

        /// <summary>
        /// LessThanOrEqualsTo comparison operator.
        /// </summary>
        LessThanOrEqualsTo,

        /// <summary>
        /// NotEqualsTo comparison operator.
        /// </summary>
        NotEqualsTo,

        /// <summary>
        /// Between comparison operator.
        /// </summary>
        Between,

        /// <summary>
        /// NotBetween comparison operator.
        /// </summary>
        NotBetween
    }
}