﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Spreadsheet.Model.DataValidation
{
    /// <summary>
    /// Represents error style for data validation.
    /// </summary>
    public enum ErrorStyle
    {
        /// <summary>
        /// Stop error style.
        /// </summary>
        Stop,

        /// <summary>
        /// Warning error style.
        /// </summary>
        Warning,

        /// <summary>
        /// Information error style.
        /// </summary>
        Information
    }
}