﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Represents the types of date units.
    /// </summary>
    public enum DateUnitType
    {
        /// <summary>
        /// Day date unit type.
        /// </summary>
        Day,

        /// <summary>
        /// Weekday date unit type.
        /// </summary>
        Weekday,

        /// <summary>
        /// Month date unit type.
        /// </summary>
        Month,

        /// <summary>
        /// Year date unit type.
        /// </summary>
        Year
    }
}