﻿namespace Telerik.Windows.Documents.Spreadsheet.Model.Shapes
{
    /// <summary>
    /// Represents the possible types of the shapes contained in the worksheet.
    /// </summary>
    public enum FloatingShapeType
    {
        /// <summary>
        /// Denotes the image type of shape.
        /// </summary>
        Image,

#if !SILVERLIGHT
        /// <summary>
        /// Denotes the shape which can contain a chart.
        /// </summary>
        Chart
#endif
    }
}
