﻿using System;

namespace Telerik.Windows.Documents.Spreadsheet.Model
{
	internal static class SheetFactory
	{
		public static Sheet Create(SheetType type, string name, Workbook workbook)
		{
			switch (type)
			{
				case SheetType.Worksheet:
                    return new Worksheet(name, workbook);
				default:
					throw new NotSupportedException();
			}
		}
	}
}