﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Describes the types of visibility of the sheets.
    /// </summary>
    public enum SheetVisibility
    {
        /// <summary>
        /// Visible sheet visibility.
        /// </summary>
		Visible,

        /// <summary>
        /// Hidden sheet visibility.
        /// </summary>
		Hidden,

        /// <summary>
        /// Very hidden sheet visibility.
        /// </summary>
		VeryHidden
	}
}