﻿namespace Telerik.Windows.Documents.Spreadsheet.Model
{
    /// <summary>
    /// Describes the possible types of underline.
    /// </summary>
    public enum UnderlineType
    {
        /// <summary>
        /// None underline type.
        /// </summary>
		None,

        /// <summary>
        /// Single underline type.
        /// </summary>
		Single,

        /// <summary>
        /// Double underline type.
        /// </summary>
		Double,

        /// <summary>
        /// Single accounting underline type.
        /// </summary>
		SingleAccounting,

        /// <summary>
        /// Double accounting underline type.
        /// </summary>
		DoubleAccounting
	}
}