﻿namespace Telerik.Windows.Documents.Spreadsheet.PropertySystem
{
    /// <summary>
    /// Defines the cell style categories.
    /// </summary>
    public enum CellStyleCategory
    {
        /// <summary>
        /// Custom cell style category.
        /// </summary>
        Custom,

        /// <summary>
        /// GoodBadAndNeutral cell style category.
        /// </summary>
        GoodBadAndNeutral,

        /// <summary>
        /// DataAndModel cell style category.
        /// </summary>
        DataAndModel,

        /// <summary>
        /// TitlesAndHeadings cell style category.
        /// </summary>
        TitlesAndHeadings,

        /// <summary>
        /// ThemedCellStyles cell style category.
        /// </summary>
        ThemedCellStyles,

        /// <summary>
        /// NumberFormat cell style category.
        /// </summary>
        NumberFormat
    }
}