﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Export;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.PropertySystem;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Data
{
    public class DataWorkbook
    {
        public DataWorkbook()
        {
            this.Worksheets = new List<DataWorksheet>();
            this.Styles = new CellStyleCollection(new Workbook());
        }

        public List<DataWorksheet> Worksheets
        {
            get;
            set;
        }

        public CellStyleCollection Styles
        {
            get;
            set;
        }

        public void Export(Stream stream)
        {
            XlsxExporter exporter = new XlsxExporter();
            exporter.Export(stream, new XlsxDataWorkbookExportContext(this), new XlsxExportSettings());
        }
    }
}
