﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Model.Elements.Drawing
{
    internal class ColumnRowElement : WorksheetDrawingElementBase
    {
        private readonly string elementName;

        public ColumnRowElement(XlsxPartsManager partsManager, string elementName)
            : base(partsManager)
        {
            Guard.ThrowExceptionIfNullOrEmpty(elementName, "elementName");

            this.elementName = elementName;
        }

        public override string ElementName
        {
            get
            {
                return elementName;
            }
        }
    }
}
