﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Model.Elements.StyleSheet
{
    internal class ColorsElement : StyleSheetElementBase
    {
        public ColorsElement(XlsxPartsManager partsManager)
            : base(partsManager)
        {
            this.RegisterChildElement<IndexedColorsElement>(XlsxElementNames.IndexedColorsElementName);
        }

        public override string ElementName
        {
            get
            {
                return XlsxElementNames.ColorsElementName;
            }
        }
    }
}