﻿using System;
using System.Collections.Generic;
using Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Model.Types
{
    internal static class NumberFormatTypes
    {
        public static readonly int FirstCustomFormatId = 160;

        private static readonly Dictionary<string, int> builtInFormats;

        static NumberFormatTypes()
        {
            builtInFormats = BuiltInNumberFormatsGenerator.GetBuiltInFormatsForCurrentCulture();
        }

        public static Dictionary<string, int> BuiltInFormatStrings
        {
            get
            {
                return builtInFormats;
            }
        }

        public static bool IsBuiltInFormat(string format)
        {
            return BuiltInFormatStrings.ContainsKey(format);
        }
    }
}