﻿using System;
using System.Linq;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Model
{
    internal static class XlsxContentTypeNames
    {
        public static readonly string WorkbookContentType = @"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml";
        public static readonly string MacroEnabledWorkbookContentType = @"application/vnd.ms-excel.sheet.macroEnabled.main+xml";
        public static readonly string WorksheetContentType = @"application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml";
        public static readonly string StylesContentType = @"application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml";
        public static readonly string SharedStringsContentType = @"application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml";
        public static readonly string ThemeContentType = @"application/vnd.openxmlformats-officedocument.theme+xml";
        public static readonly string DrawingContentType = @"application/vnd.openxmlformats-officedocument.drawing+xml";
    }
}