﻿using System;
using System.Linq;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model;
using Telerik.Windows.Documents.FormatProviders.OpenXml.Model.Elements;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.OpenXml.Xlsx.Model
{
    internal class XlsxElementsPool : OpenXmlElementsPoolBase<XlsxPartsManager>
    {
        public XlsxElementsPool(XlsxPartsManager partsManager)
            : base(partsManager)
        {
        }

        protected override OpenXmlElementBase CreateInstance(string elementName)
        {
            if (XlsxElementsFactory.CanCreateInstance(elementName))
            {
                return XlsxElementsFactory.CreateInstance(elementName, this.PartsManager);
            }

            return base.CreateInstance(elementName);
        }
    }
}
