﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Documents.Spreadsheet.Layout;
using Telerik.Windows.Documents.Spreadsheet.Layout.Layers;

namespace Telerik.Windows.Documents.Spreadsheet.FormatProviders.Pdf.Export
{
    internal class PdfPrintWorksheetRenderUpdateContext : PrintWorksheetRenderUpdateContext
    {
#if !SILVERLIGHT
        private readonly IPdfChartRenderer chartRenderer;

        public PdfPrintWorksheetRenderUpdateContext(RadWorksheetLayout worksheetLayout, SheetViewport sheetViewport, Size scaleFactor, HeaderFooterRenderContext headerFooterContext, IPdfChartRenderer chartRenderer)
            : base(worksheetLayout, sheetViewport, scaleFactor, headerFooterContext)
        {
            this.chartRenderer = chartRenderer;
        }

        public IPdfChartRenderer ChartRenderer
        {
            get
            {
                return this.chartRenderer;
            }
        }
#else
        public PdfPrintWorksheetRenderUpdateContext(RadWorksheetLayout worksheetLayout, SheetViewport sheetViewport, Size scaleFactor, HeaderFooterRenderContext headerFooterContext)
    : base(worksheetLayout, sheetViewport, scaleFactor, headerFooterContext)
        {
        }
#endif
    }
}
