﻿using System;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.PropertySystem;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.ImportExportTests
{
    [TestClass]
    public class ImportDocumentContaingShowGridlinesShowRowColumnHeadingsAndLockedPropertyAsBooleanValues : ImportExportTestClassBase
    {
        public override Workbook ArrangeWorkbook()
        {
            // TODO: Implement this method
            throw new NotImplementedException();
        }

        public override void AssertWorkbookImportedCorrectly(Workbook workbook)
        {
            CellStyle style = workbook.Styles.GetByName("Bad");
            Assert.AreEqual(true, style.IncludeProtection);
            Assert.AreEqual(true, style.IsLocked);

            Assert.AreEqual(false, workbook.Worksheets[0].ViewState.ShowGridLines);
            Assert.AreEqual(true, workbook.Worksheets[0].ViewState.ShowRowColHeaders);
        }

        [TestMethod]
        [TestCategory("ImportExport")]
        public void ImportDocumentContaingShowGridlinesShowRowColumnHeadingsAndLockedPropertyAsBooleanValuesTest()
        {
            ImportFileAndAssert("BooleanPropertiesTest.xlsx");
        }
    }
}