﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.Tests.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Tests
{
    [TestClass]
    public class ColumnsTests
    {
        // TODO: Add more tests

        [TestMethod]
        public void ColumnsWidthChangedTest()
        {
            int columnsWidthChangedCount = 0;

            Worksheet worksheet = TestHelper.CreateWorksheet();
            worksheet.Columns.ColumnsWidthChanged += (sender, e) =>
                {
                    columnsWidthChangedCount++;
                };

            Assert.AreEqual(0, columnsWidthChangedCount);
        }
    }
}
