﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.Windows.Documents.Spreadsheet.Model;
using Telerik.Windows.Documents.Spreadsheet.Tests.Utilities;

namespace Telerik.Windows.Documents.Spreadsheet.Tests
{
    [TestClass]
    public class RowsTests
    {
        // TODO: Add more tests

        [TestMethod]
        [TestCategory("PropertySystemTests")]
        public void RowsHeightChangedTest()
        {
            int rowsHeightChangedCount = 0;

            Worksheet worksheet = TestHelper.CreateWorksheet();
            worksheet.Rows.RowsHeightsChanged += (sender, e) =>
            {
                rowsHeightChangedCount++;
            };

            Assert.AreEqual(0, rowsHeightChangedCount);
        }
    }
}
