﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class BubbleSeriesGroupEqualityConverter : SeriesGroupEqualityComparer<BubbleSeriesGroup>
    {
        public BubbleSeriesGroupEqualityConverter()
        {
            RegisterComparerFunction("AxisGroupName", this.CompareAxisGroupName);
        }

        private bool CompareAxisGroupName(BubbleSeriesGroup arg1, BubbleSeriesGroup arg2)
        {
            bool result = arg1.AxisGroupName == arg2.AxisGroupName;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }
    }
}
