﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class GenericSeriesGroupEqualityComparer : SafeEqualityComparerBase<SeriesGroup>
    {
        static GenericSeriesGroupEqualityComparer()
        {
            RegisterConcreteComparer(new ScatterSeriesGroupEqualityConverter());
            RegisterConcreteComparer(new BarSeriesGroupEqualityConverter());
            RegisterConcreteComparer(new PieSeriesGroupEqualityConverter());
            RegisterConcreteComparer(new LineSeriesGroupEqualityConverter());
            RegisterConcreteComparer(new BubbleSeriesGroupEqualityConverter());
        }
    }
}
