﻿using Telerik.Windows.Documents.Model.Drawing.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class TextTitleEqualityComparer : TitleEqualityComparerBase<TextTitle>
    {
        static TextTitleEqualityComparer()
        {
            RegisterComparerFunction("Text", CompareText);
        }

        private static bool CompareText(TextTitle arg1, TextTitle arg2)
        {
            bool result = arg1.Text == arg2.Text;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }
    }
}
