﻿using Telerik.Windows.Documents.Spreadsheet.Model.Charts;

namespace Telerik.Windows.Documents.Spreadsheet.Tests.Utilities.Charts
{
    internal class WorkbookFormulaChartDataEqualityComparer : FormulaChartDataEqualityComparerBase<WorkbookFormulaChartData>
    {
        static WorkbookFormulaChartDataEqualityComparer()
        {
            RegisterComparerFunction("Workbook", CompareWorkbook);
        }

        private static bool CompareWorkbook(WorkbookFormulaChartData arg1, WorkbookFormulaChartData arg2)
        {
            bool result = arg1.Workbook.Name == arg2.Workbook.Name;

#if DEBUG
            System.Diagnostics.Debug.Assert(result);
#endif

            return result;
        }
    }
}
