﻿using System;
using System.Linq;
using Telerik.Windows.Documents.Spreadsheet.Core.DataStructures;

namespace Telerik.Windows.Documents.Spreadsheet.TestsInternal.CompressedLists.RangeClassTests
{
    internal class RangeBuilder<TIndex, TValue> where TIndex : IComparable<TIndex>
    {
        public Range<TIndex, TValue> Build(TIndex start, TIndex end, TValue value = default(TValue))
        {
            return new Range<TIndex, TValue>(start, end, true, value);
        }
    }
}
