﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Telerik.Windows.Documents.Spreadsheet.TestsInternal.Functions
{
    [TestClass]
    public class FunctionBaseTests
    {
        #region Valid arguments number tests

        [TestMethod]
        public void IsValidArgumentsCountTrueTest1()
        {
            Assert.IsTrue(new ArgumentsFunction().IsArgumentNumberValid(3));
        }

        [TestMethod]
        public void IsValidArgumentsCountTrueTest2()
        {
            Assert.IsTrue(new ArgumentsFunction().IsArgumentNumberValid(6));
        }

        [TestMethod]
        public void IsValidArgumentsCountTrueTest3()
        {
            Assert.IsTrue(new ArgumentsFunction().IsArgumentNumberValid(9));
        }

        [TestMethod]
        public void IsValidArgumentsCountTrueTest4()
        {
            Assert.IsTrue(new ArgumentsFunction().IsArgumentNumberValid(12));
        }

        #endregion


        #region Invalid arguments number tests

        [TestMethod]
        public void IsValidArgumentsCountFalseTest1()
        {
            Assert.IsFalse(new ArgumentsFunction().IsArgumentNumberValid(2));
        }

        [TestMethod]
        public void IsValidArgumentsCountFalseTest2()
        {
            Assert.IsFalse(new ArgumentsFunction().IsArgumentNumberValid(5));
        }

        [TestMethod]
        public void IsValidArgumentsCountFalseTest3()
        {
            Assert.IsFalse(new ArgumentsFunction().IsArgumentNumberValid(7));
        }

        [TestMethod]
        public void IsValidArgumentsCountFalseTest4()
        {
            Assert.IsFalse(new ArgumentsFunction().IsArgumentNumberValid(13));
        }

        #endregion

    }
}
