﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Documents.Spreadsheet.Layout;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Windows.Documents.Spreadsheet.TestsInternal.SheetViewportTests
{
    internal class SheetViewportTestsArgs
    {
        public SheetViewport SheetViewport { get; set; }
        public RadWorksheetLayout RadWorksheetLayout { get; set; }
        public Size ScaleFactor { get; set; }
        public CellIndex FrozenCellIndex { get; set; }

        public Worksheet Worksheet
        {
            get
            {
                return this.RadWorksheetLayout.Worksheet;
            }
        }

        public SheetViewportTestsArgs(SheetViewport sheetViewport, RadWorksheetLayout layout, Size scaleFactor, CellIndex frozenCellIndex)
        {
            this.SheetViewport = sheetViewport;
            this.RadWorksheetLayout = layout;
            this.ScaleFactor = scaleFactor;
            this.FrozenCellIndex = frozenCellIndex;
        }
    }
}