﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming
{
    // see page 2443 of OOXML 2012 18.18.11 ST_CellType (Cell Type)
    internal enum CellValueType
    {
        Boolean, // b
        Date, // d
        Error, // e
        RichText, // inlineStr
        Number, // n
        SharedString, // s
        Text, // str
        Formula
    }
}