﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.Utilities;

namespace Telerik.Documents.SpreadsheetStreaming.Core
{
    internal abstract class NamedObjectBase : INamedObject
    {
        private readonly string name;

        protected NamedObjectBase(string name)
        {
            Guard.ThrowExceptionIfNull(name, "name");
            this.name = name;
        }

        public string Name
        {
            get
            {
                return this.name;
            }
        }
    }
}