﻿using System;
using System.IO;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.Model.Formatting;

namespace Telerik.Documents.SpreadsheetStreaming.Exporters.Xlsx
{
    internal sealed class XlsxWorkbookExporter : XlsxWorkbookExporterBase
    {
        internal XlsxWorkbookExporter(Stream stream)
            : base(stream)
        {
        }

        protected override StylesRepository InitializeStylesRepository()
        {
            SpreadCellStyle normalStyle = this.CellStyles.GetByName(SpreadCellStyleCollection.DefaultStyleName);
            return new StylesRepository(normalStyle);
        }
    }
}