﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core
{
    internal abstract class ConsecutivePartReaderBase<T> : PartBase<T>
        where T : ConsecutiveElementBase, new()
    {
        public ConsecutivePartReaderBase(PartContext context)
            : base(context)
        {
        }

        public void BeginRead()
        {
            this.RootElement.BeginReadElement();
        }
    }
}