﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Documents.SpreadsheetStreaming.Core;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core
{
    internal class ElementChildManager : ChildEntityManagerBase<ElementBase>
    {
        public override TResult GetRegisteredChild<TResult>()
        {
            return this.GetRegisteredChild<TResult>(true);
        }

        protected override void EnsureEndUsingChild(ElementBase previousInstance)
        {
            ConsecutiveElementBase element = previousInstance as ConsecutiveElementBase;

            if (element != null)
            {
                element.EnsureWritingEnded();
            }
        }
    }
}