﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core.Types
{
    internal class BoolConverter : IStringConverter<bool>
    {
        public bool ConvertFromString(string str)
        {
            if (str == "false" || str == "0" || str == "off")
            {
                return false;
            }
            else
            {
                return true;
            }
        }

        public string ConvertToString(bool obj)
        {
            return obj.ToString().ToLowerInvariant();
        }
    }
}