﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core.Types
{
    internal class NullableIntConverter : IStringConverter<int?>
    {
        public int? ConvertFromString(string value)
        {
            return Converters.IntValueConverter.ConvertFromString(value);
        }

        public string ConvertToString(int? value)
        {
            if (value != null)
            {
                return Converters.IntValueConverter.ConvertToString(value.Value);
            }
            else
            {
                return null;
            }
        }
    }
}