﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.Model;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core.Types
{
    internal static class SpreadPaneMapper
    {
        static SpreadPaneMapper()
        {
            Instance = new ValueMapper<string, SpreadPane>("topLeft", SpreadPane.TopLeft);
            Instance.AddPair("bottomRight", SpreadPane.BottomRight);
            Instance.AddPair("topRight", SpreadPane.TopRight);
            Instance.AddPair("bottomLeft", SpreadPane.BottomLeft);
        }

        public static ValueMapper<string, SpreadPane> Instance { get; set; }
    }
}