﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.Model;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core.Types
{
    internal class UnsignedIntHex
    {
        private readonly SpreadColor color;

        public UnsignedIntHex(SpreadColor color)
        {
            this.color = color;
        }

        public SpreadColor Color
        {
            get
            {
                return this.color;
            }
        }

        public override string ToString()
        {
            return string.Format("{0:X2}{1:X2}{2:X2}{3:X2}", this.color.A, this.color.R, this.color.G, this.color.B);
        }
    }
}