﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core
{
    internal static class XlsxContentTypeNames
    {
        public static readonly string RelationshipContentType = @"application/vnd.openxmlformats-package.relationships+xml";
        public static readonly string WorkbookContentType = @"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml";
        public static readonly string WorksheetContentType = @"application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml";
        public static readonly string StylesContentType = @"application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml";
    }
}