﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core
{
    internal static class XlsxElementNames
    {
        public const string WorkbookElementName = "workbook";
        public const string SheetsElementName = "sheets";
        public const string SheetElementName = "sheet";
        public const string RelationshipsElementName = "Relationships";
        public const string RelationshipElementName = "Relationship";
        public const string StyleSheetElementName = "styleSheet";
        public const string BordersElementName = "borders";
        public const string CellStylesElementName = "cellStyles";
        public const string BottomBorderElementName = "bottom";
        public const string CellStyleFormatsElementName = "cellStyleXfs";
        public const string NumberFormatsElementName = "numFmts";
        public const string NumberFormatElementName = "numFmt";
        public const string CellFormatsElementName = "cellXfs";
        public const string ColorElementName = "color";
        public const string FillsElementName = "fills";
        public const string DiagonalBorderElementName = "diagonal";
        public const string LeftBorderElementName = "left";
        public const string FontsElementName = "fonts";
        public const string DifferentialFormatsElementName = "dxfs";
        public const string RightBorderElementName = "right";
        public const string TopBorderElementName = "top";
        public const string BorderElementName = "border";
        public const string BoldElementName = "b";
        public const string FontFamilyElementName = "family";
        public const string ItalicElementName = "i";
        public const string FontNameElementName = "name";
        public const string SchemeElementName = "scheme";
        public const string FontSizeElementName = "sz";
        public const string UnderlineElementName = "u";
        public const string VerticalAlignmentElementName = "vertAlign";
        public const string FontElementName = "font";
        public const string FillElementName = "fill";
        public const string GradientFillElementName = "gradientFill";
        public const string StopElementName = "stop";
        public const string PatternFillElementName = "patternFill";
        public const string BackgroundColorElementName = "bgColor";
        public const string ForegroundColorElementName = "fgColor";
        public const string FormatElementName = "xf";
        public const string AlignmentElementName = "alignment";
        public const string ProtectionElementName = "protection";
        public const string CellStyleElementName = "cellStyle";
        public const string WorksheetElementName = "worksheet";
        public const string SheetDataElementName = "sheetData";
        public const string RowElementName = "row";
        public const string CellElementName = "c";
        public const string FormulaElementName = "f";
        public const string CellValueElementName = "v";
        public const string ColumnElementName = "col";
        public const string ColumnsElementName = "cols";
        public const string MergedCellsElementName = "mergeCells";
        public const string MergedCellElementName = "mergeCell";
        public const string TypesElementName = "Types";
        public const string DefaultElementName = "Default";
        public const string OverrideElementName = "Override";
        public const string SheetViewsElementName = "sheetViews";
        public const string SheetViewElementName = "sheetView";
        public const string PaneElementName = "pane";
        public const string SelectionElementName = "selection";
        public const string StrikeElementName = "strike";
    }
}