﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Core
{
    internal static class XlsxRelationshipTypes
    {
        public static readonly string OfficeDocumentRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument";
        public static readonly string WorksheetRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/worksheet";
        public static readonly string StylesRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles";
        public static readonly string SharedStringsRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/sharedStrings";
        public static readonly string HyperlinkRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/hyperlink";
        public static readonly string DrawingRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/drawing";
        public static readonly string ImageRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/image";
        public static readonly string ThemeRelationshipType = @"http://schemas.openxmlformats.org/officeDocument/2006/relationships/theme";
    }
}