﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.ImportExport.Core;
using Telerik.Documents.SpreadsheetStreaming.ImportExport.Core.Attributes;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Model.Elements.Styles
{
    internal class DifferentialFormatsElement : DirectElementBase<int>
    {
        private readonly OpenXmlCountAttribute count;

        public DifferentialFormatsElement()
        {
            this.count = this.RegisterCountAttribute();
        }

        public override string ElementName
        {
            get
            {
                return XlsxElementNames.DifferentialFormatsElementName;
            }
        }

        private int Count
        {
            set
            {
                this.count.Value = value;
            }
        }

        protected override void InitializeAttributesOverride(int value)
        {
            this.Count = value;
        }

        protected override void WriteChildElementsOverride(int value)
        {
        }

        protected override void CopyAttributesOverride(ref int value)
        {
        }

        protected override void ReadChildElementOverride(ElementBase element, ref int value)
        {
        }
    }
}