﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.ImportExport.Core;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Model.Elements.Worksheet
{
    internal class CellValueElement : DirectElementBase<string>
    {
        public override string ElementName
        {
            get
            {
                return XlsxElementNames.CellValueElementName;
            }
        }

        protected override void InitializeAttributesOverride(string value)
        {
            this.InnerText = value;
        }

        protected override void WriteChildElementsOverride(string value)
        {
        }

        protected override void CopyAttributesOverride(ref string value)
        {
            value = this.InnerText;
        }

        protected override void ReadChildElementOverride(ElementBase element, ref string value)
        {
        }
    }
}