﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.Utilities;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Model
{
    internal class NumberFormat
    {
        internal NumberFormat()
        {
        }

        internal NumberFormat(string numberFormatString)
        {
            this.NumberFormatString = numberFormatString;
        }

        public string NumberFormatString { get; set; }
        internal int? NumberFormatId { get; set; }

        public override bool Equals(object obj)
        {
            NumberFormat other = obj as NumberFormat;
            if (other == null)
            {
                return false;
            }

            return ObjectExtensions.EqualsOfT(this.NumberFormatString, other.NumberFormatString);
        }

        public override int GetHashCode()
        {
            return this.NumberFormatString.GetHashCodeOrZero();
        }
    }
}