﻿using System;
using System.Linq;
using Telerik.Documents.SpreadsheetStreaming.ImportExport.Core;
using Telerik.Documents.SpreadsheetStreaming.ImportExport.Model.Writers;
using Telerik.Documents.SpreadsheetStreaming.Model.Relations;

namespace Telerik.Documents.SpreadsheetStreaming.ImportExport.Model.Parts
{
    internal abstract class RelationshipsPartBase : PartBase<RelationshipsElement>
    {
        public RelationshipsPartBase(PartContext context)
            : base(context)
        {
        }

        public void WriteRelationships(Relationships relationships)
        {
            this.RootElement.Write(relationships);
        }

        public void ReadRelationships(Relationships relationships)
        {
            this.RootElement.Read(ref relationships);
        }
    }
}