﻿using System.Diagnostics;

namespace Telerik.Documents.SpreadsheetStreaming
{
    /// <summary>
    /// Holds information about a sheet in a workbook.
    /// </summary>
    [DebuggerDisplay("{Name}")]
    public class SheetInfo
    {
        internal SheetInfo(string name)
        {
            this.Name = name;
        }

        /// <summary>
        /// Gets the name of the sheet.
        /// </summary>
        public string Name { get; private set; }
    }
}