﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming
{
    /// <summary>
    /// Describes the possible types of predefined tint and shade proportions for themable colors.
    /// </summary>
    public enum SpreadColorShadeType
    {
        /// <summary>
        /// Represents shade 1 type of predefined tint and shade proportion.
        /// </summary>
        Shade1,

        /// <summary>
        /// Represents shade 2 type of predefined tint and shade proportion.
        /// </summary>
        Shade2,

        /// <summary>
        /// Represents shade 3 type of predefined tint and shade proportion.
        /// </summary>
        Shade3,

        /// <summary>
        /// Represents shade 4 type of predefined tint and shade proportion.
        /// </summary>
        Shade4,

        /// <summary>
        /// Represents shade 5 type of predefined tint and shade proportion.
        /// </summary>
        Shade5
    }
}