﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming
{
    /// <summary>
    /// Describes the supported spreadsheet document formats.
    /// </summary>
    public enum SpreadDocumentFormat
    {
        /// <summary>
        /// Xlsx spreadsheet document format.
        /// </summary>
        Xlsx,

        /// <summary>
        /// Csv spreadsheet document format.
        /// </summary>
        Csv
    }
}