﻿namespace Telerik.Documents.SpreadsheetStreaming
{
    /// <summary>
    /// Describes the supported spreadsheet export modes.
    /// </summary>
    public enum SpreadExportMode
    {
        /// <summary>
        /// Specifies that a new workbook should be created. If the stream has any content it will be overwritten.
        /// </summary>
        Create,

        /// <summary>
        /// Opens existing workbook from a stream, or creates a new workbook if the stream is empty. 
        /// </summary>
        Append
    }
}