﻿using System;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.Utilities
{
    internal static class DefaultValues
    {
        public static readonly double MaxDigitWidthInNormalStyle = 7.4335555555555564;
        public static readonly double DefaultColumnWidthInCharacters = 8.43;
        public static readonly double DefaultRowHeightInPoints = 15;
        public static readonly int RowCount = 1048576;
        public static readonly int ColumnCount = 16384;

        public static readonly double LeftCellMargin = 2 + (CellBorderDefaultThickness / 2);
        public static readonly double RightCellMargin = 2 + (CellBorderDefaultThickness / 2);

        private static readonly double CellBorderDefaultThickness = 1;
    }
}