﻿using System;
using System.Linq;
using System.Text;

namespace Telerik.Documents.SpreadsheetStreaming.Utilities
{
    internal class SpreadsheetCultureHelper
    {
        internal const string Colon = ":";
        internal const string FunctionStart = "=";

        public static string ClearFormulaValue(string formula)
        {
            StringBuilder sb = new StringBuilder(formula.Trim());
            if (sb.Length > 0 && IsCharEqualTo(sb[0], FunctionStart))
            {
                sb.Remove(0, 1);
            }

            return sb.ToString();
        }

        public static bool IsCharEqualTo(char ch, params string[] values)
        {
            string character = ch.ToString();
            for (int i = 0; i < values.Length; i++)
            {
                if (character == values[i])
                {
                    return true;
                }
            }

            return false;
        }
    }
}