﻿using Microsoft.Office.Interop.Excel;
using Telerik.Documents.SpreadsheetStreaming.Tests.CommonWrappers;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Wrappers
{
    public class BottomRightPaneWrapper
    {
        private Worksheet worksheet;

        public BottomRightPaneWrapper(Worksheet worksheet)
        {
            this.worksheet = worksheet;
        }

        internal CellRangeWrapper TopLeftCellIndex
        {
            get
            {
                var bottomRightPane = this.worksheet.Application.ActiveWindow.Panes[4];

                int row = bottomRightPane.ScrollRow - 1;
                int column = bottomRightPane.ScrollColumn - 1;

                return new CellRangeWrapper(row, column, row, column);
            }
        }
    }
}