﻿using Telerik.Documents.SpreadsheetStreaming.Tests.CommonWrappers;
using Telerik.Windows.Documents.Spreadsheet.Model;

namespace Telerik.Documents.SpreadsheetStreaming.Tests.Wrappers
{
    public class BottomRightPaneWrapper
    {
        private WorksheetViewState worksheetViewState;

        public BottomRightPaneWrapper(WorksheetViewState worksheetViewState)
        {
            this.worksheetViewState = worksheetViewState;
        }

        internal CellRangeWrapper TopLeftCellIndex
        {
            get
            {
                var cell = this.worksheetViewState.Pane.TopLeftCellIndex;
                var row = cell.RowIndex;
                var column = cell.ColumnIndex;

                return new CellRangeWrapper(row, column, row, column);
            }
        }
    }
}