﻿using System;
using System.IO;
using System.Linq;

namespace Telerik.Documents.SpreadsheetStreaming.VisualTests.Tests
{
    public abstract class WorksheetTestBase : ExportTestBase
    {
        protected void CreateWorkbookWithEmptyWorksheet()
        {
            MemoryStream stream = null;
            using (stream = new MemoryStream())
            {
                using (IWorkbookExporter workbook = SpreadExporter.CreateWorkbookExporter(this.SpreadDocumentFormat, stream))
                {
                    using (IWorksheetExporter worksheet = workbook.CreateWorksheetExporter("Date"))
                    {
                    }
                }
            }
        }
    }
}
