﻿#if NETSTANDARD
namespace Telerik.Zip
#else
namespace Telerik.Windows.Zip
#endif
{
    /// <summary>
    /// Specifies values for header type of the compressed stream.
    /// </summary>
    public enum CompressedStreamHeader
    {
        /// <summary>
        /// Compressed stream does not contain a header.
        /// </summary>
        None,

        /// <summary>
        /// Compressed stream is formatted in accordance with RFC 1950
        /// (ZLIB Compressed Data Format Specification version 3.3).
        /// </summary>
        ZLib
    }
}
