﻿#if NETSTANDARD
namespace Telerik.Zip
#else
namespace Telerik.Windows.Zip
#endif
{
    /// <summary>
    /// Specifies values for a type of the match finder for LZMA compression.
    /// </summary>
    public enum LzmaMatchFinderType
    {
        /// <summary>
        /// The match finder uses two bytes for the hash.
        /// </summary>
        BT2,

        /// <summary>
        /// The match finder uses four bytes for the hash.
        /// </summary>
        BT4
    }
}
