﻿using System;
using System.ComponentModel;

namespace Telerik.Windows.Zip
{
    /// <summary>
    /// Represents the compression types.
    /// </summary>
    [Obsolete("This class has been deprecated. Use ZipArchive instead of ZipPackage.")]
    [EditorBrowsable(EditorBrowsableState.Never)]
    public enum CompressionType
    {
        /// <summary>
        /// This is the default compression type which uses the deflate algorithm.
        /// </summary>
        Default = 0,

        /// <summary>
        /// This compression type uses the LZMA algorithm.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Lzma")]
        Lzma = 1,
    }
}
