﻿using System;
using System.ComponentModel;

namespace Telerik.Windows.Zip
{
    /// <summary>
    /// Represents the compression methods.
    /// </summary>
    [Obsolete("This class has been deprecated. Use ZipArchive instead of ZipPackage.")]
    [EditorBrowsable(EditorBrowsableState.Never)]
    public enum ZipCompression
    {
        /// <summary>
        /// This is the default compression method.
        /// </summary>
        Default = -1,

        /// <summary>
        /// This is the no-compression method.
        /// </summary>
        Stored = 0,

        /// <summary>
        /// This is the fastest compression method.
        /// </summary>
        BestSpeed = 1,

        /// <summary>
        /// This is a custom compression method.
        /// </summary>
        Method2 = 2,

        /// <summary>
        /// This is a custom compression method.
        /// </summary>
        Method3 = 3,

        /// <summary>
        /// This is a custom compression method.        
        /// </summary>
        Method4 = 4,

        /// <summary>
        /// This is a custom compression method.
        /// </summary>
        Method5 = 5,

        /// <summary>
        /// This is a custom compression method.
        /// </summary>
        Method6 = 6,

        /// <summary>
        /// This is a custom compression method.
        /// </summary>
        Method7 = 7,

        /// <summary>
        /// This is the the best compression method.
        /// </summary>
        Deflated = 8,

        /// <summary>
        /// This is the the best compression method.
        /// </summary>
        Deflate64 = 9
    }
}
