﻿using System;
using System.Collections.Generic;
using System.Text;

#if NETSTANDARD
namespace Telerik.Zip
#else
namespace Telerik.Windows.Zip
#endif
{
    /// <summary>
    /// Static class which provides access to the platform-specific settings for all 
    /// parts of the ZIP library.
    /// </summary>
    public static class PlatformSettings
    {
        private static IPlatformManager manager = new DefaultPlatformManager();

        /// <summary>
        /// Gets or sets platform manager.
        /// </summary>
        public static IPlatformManager Manager
        {
            get
            {
                return PlatformSettings.manager;
            }

            set
            {
                PlatformSettings.manager = value;
            }
        }            
    }
}
