﻿#if PORTABLE
namespace Telerik.Zip.Tests
#else
namespace Telerik.Windows.Zip.Tests
#endif
{
	public class AsyncWorkItem
	{
		/// <summary>
		/// Gets or sets a value indicating whether this instance is complete.
		/// </summary>
		/// <value>
		/// 	<c>true</c> if this instance is complete; otherwise, <c>false</c>.
		/// </value>
		public bool IsComplete
		{
			get;
			protected set;
		}

		/// <summary>
		/// Invokes this work item.
		/// </summary>
		public virtual void Invoke()
		{

		}
	}
}
